# Namespace org.isda.cdm@0.2.0

## Overview
- 547 concepts
- 85 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 632 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.isda.cdm@0.2.0.AdjustableDates` {
<< concept>>
   + `String` `id`
   + `DateTime[]` `unadjustedDate`
   + `DateTime[]` `adjustedDate`
   + `BusinessDayAdjustments` `dateAdjustments`
}

`org.isda.cdm@0.2.0.AdjustableDates` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
class `org.isda.cdm@0.2.0.AdjustableDatesBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime[]` `unadjustedDate`
   + `DateTime[]` `adjustedDate`
}

class `org.isda.cdm@0.2.0.AmountSchedule` {
<< concept>>
   + `String[]` `currency`
   + `String` `currencyScheme`
   + `String` `id`
   + `Double` `initialValue`
   + `Step[]` `step`
}

`org.isda.cdm@0.2.0.AmountSchedule` "1" *-- "*" `org.isda.cdm@0.2.0.Step`
class `org.isda.cdm@0.2.0.AmountScheduleBuilder` {
<< concept>>
   + `String[]` `currency`
   + `String` `currencyScheme`
   + `String` `id`
   + `Double` `initialValue`
}

class `org.isda.cdm@0.2.0.NonNegativeStep` {
<< concept>>
   + `String` `id`
   + `DateTime` `stepDate`
   + `Double` `stepValue`
}

class `org.isda.cdm@0.2.0.NonNegativeStepBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `stepDate`
   + `Double` `stepValue`
}

class `org.isda.cdm@0.2.0.ComputedAmount` {
<< concept>>
   + `String` `currency`
   + `String` `callFunction`
   + `String` `currencyScheme`
   + `Double` `amount`
}

class `org.isda.cdm@0.2.0.ComputedAmountBuilder` {
<< concept>>
   + `String` `currency`
   + `String` `callFunction`
   + `String` `currencyScheme`
   + `Double` `amount`
}

class `org.isda.cdm@0.2.0.InterestShortFall` {
<< concept>>
   + `InterestShortfallCapEnum` `interestShortfallCap`
   + `Boolean` `compounding`
   + `FloatingRateIndexEnum` `rateSource`
}

`org.isda.cdm@0.2.0.InterestShortFall` "1" *-- "1" `org.isda.cdm@0.2.0.InterestShortfallCapEnum`
`org.isda.cdm@0.2.0.InterestShortFall` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
class `org.isda.cdm@0.2.0.InterestShortFallBuilder` {
<< concept>>
   + `InterestShortfallCapEnum` `interestShortfallCap`
   + `Boolean` `compounding`
   + `FloatingRateIndexEnum` `rateSource`
}

`org.isda.cdm@0.2.0.InterestShortFallBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.InterestShortfallCapEnum`
`org.isda.cdm@0.2.0.InterestShortFallBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
class `org.isda.cdm@0.2.0.TradeHeaderBuilder` {
<< concept>>
   + `DateTime` `tradeDate`
}

class `org.isda.cdm@0.2.0.TradeHeader` {
<< concept>>
   + `PartyContractIdentifier[]` `identifier`
   + `DateTime` `tradeDate`
}

`org.isda.cdm@0.2.0.TradeHeader` "1" *-- "*" `org.isda.cdm@0.2.0.PartyContractIdentifier`
class `org.isda.cdm@0.2.0.PaymentDetail` {
<< concept>>
   + `String` `id`
   + `AdjustableOrAdjustedDate` `paymentDate`
   + `PaymentRule` `paymentRule`
   + `Money` `paymentAmount`
}

`org.isda.cdm@0.2.0.PaymentDetail` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrAdjustedDate`
`org.isda.cdm@0.2.0.PaymentDetail` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentRule`
`org.isda.cdm@0.2.0.PaymentDetail` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.PaymentDetailBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.PaymentRule` {
<< concept>>
   + `PercentageRule` `percentageRule`
}

`org.isda.cdm@0.2.0.PaymentRule` "1" *-- "1" `org.isda.cdm@0.2.0.PercentageRule`
class `org.isda.cdm@0.2.0.PaymentRuleBuilder`
<< concept>> `org.isda.cdm@0.2.0.PaymentRuleBuilder`

class `org.isda.cdm@0.2.0.AllocationOutcome` {
<< concept>>
   + `ExecutionReference` `execution`
   + `ContractReference[]` `contractReference`
   + `Contract[]` `contract`
}

`org.isda.cdm@0.2.0.AllocationOutcome` "1" *-- "1" `org.isda.cdm@0.2.0.ExecutionReference`
`org.isda.cdm@0.2.0.AllocationOutcome` "1" *-- "*" `org.isda.cdm@0.2.0.ContractReference`
`org.isda.cdm@0.2.0.AllocationOutcome` "1" *-- "*" `org.isda.cdm@0.2.0.Contract`
class `org.isda.cdm@0.2.0.AllocationOutcomeBuilder`
<< concept>> `org.isda.cdm@0.2.0.AllocationOutcomeBuilder`

class `org.isda.cdm@0.2.0.Account` {
<< concept>>
   + `String` `id`
   + `String` `accountNumber`
   + `String` `accountName`
   + `AccountTypeEnum` `accountType`
   + `String` `accountBeneficiary`
   + `String` `servicingParty`
   + `String` `accountNameScheme`
   + `String` `accountNumberScheme`
   + `String` `accountTypeScheme`
}

`org.isda.cdm@0.2.0.Account` "1" *-- "1" `org.isda.cdm@0.2.0.AccountTypeEnum`
class `org.isda.cdm@0.2.0.AccountBuilder` {
<< concept>>
   + `String` `id`
   + `String` `accountNumber`
   + `String` `accountName`
   + `AccountTypeEnum` `accountType`
   + `String` `accountBeneficiary`
   + `String` `servicingParty`
   + `String` `accountNameScheme`
   + `String` `accountNumberScheme`
   + `String` `accountTypeScheme`
}

`org.isda.cdm@0.2.0.AccountBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.AccountTypeEnum`
class `org.isda.cdm@0.2.0.ContractualDefinitionsEnum` {
<< enumeration>>
   + `ISDA1991`
   + `ISDA_1993_COMMODITY`
   + `ISDA_1996_EQUITY`
   + `ISDA_1997_BULLION`
   + `ISDA_1997_GOVERNMENT_BOND`
   + `ISDA1998FX`
   + `ISDA_1999_CREDIT`
   + `ISDA2000`
   + `ISDA_2002_EQUITY`
   + `ISDA_2003_CREDIT`
   + `ISDA_2004_NOVATION`
   + `ISDA_2005_COMMODITY`
   + `ISDA2006`
   + `ISDA_2006_INFLATION`
   + `ISDA_2008_INFLATION`
   + `ISDA_2011_EQUITY`
   + `ISDA_2014_CREDIT`
}

class `org.isda.cdm@0.2.0.BermudaExercise` {
<< concept>>
   + `String` `id`
   + `AdjustableOrRelativeDates` `relevantUnderlyingDate`
   + `BusinessCenterTime` `earliestExerciseTime`
   + `BusinessCenterTime` `expirationTime`
   + `AdjustableOrRelativeDates` `bermudaExerciseDates`
   + `BusinessCenterTime` `latestExerciseTime`
   + `MultipleExercise` `multipleExercise`
   + `ExerciseFeeSchedule` `exerciseFeeSchedule`
}

`org.isda.cdm@0.2.0.BermudaExercise` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDates`
`org.isda.cdm@0.2.0.BermudaExercise` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.BermudaExercise` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.BermudaExercise` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDates`
`org.isda.cdm@0.2.0.BermudaExercise` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.BermudaExercise` "1" *-- "1" `org.isda.cdm@0.2.0.MultipleExercise`
`org.isda.cdm@0.2.0.BermudaExercise` "1" *-- "1" `org.isda.cdm@0.2.0.ExerciseFeeSchedule`
class `org.isda.cdm@0.2.0.BermudaExerciseBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.ContractualMatrix` {
<< concept>>
   + `MatrixTypeEnum` `matrixType`
   + `DateTime` `publicationDate`
   + `MatrixTermEnum` `matrixTerm`
   + `String` `matrixTermScheme`
   + `String` `matrixTypeScheme`
}

`org.isda.cdm@0.2.0.ContractualMatrix` "1" *-- "1" `org.isda.cdm@0.2.0.MatrixTypeEnum`
`org.isda.cdm@0.2.0.ContractualMatrix` "1" *-- "1" `org.isda.cdm@0.2.0.MatrixTermEnum`
class `org.isda.cdm@0.2.0.ContractualMatrixBuilder` {
<< concept>>
   + `MatrixTypeEnum` `matrixType`
   + `DateTime` `publicationDate`
   + `MatrixTermEnum` `matrixTerm`
   + `String` `matrixTermScheme`
   + `String` `matrixTypeScheme`
}

`org.isda.cdm@0.2.0.ContractualMatrixBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.MatrixTypeEnum`
`org.isda.cdm@0.2.0.ContractualMatrixBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.MatrixTermEnum`
class `org.isda.cdm@0.2.0.PhysicalExercise` {
<< concept>>
   + `Cashflow` `cashflow`
   + `Commodity` `commodity`
   + `ListedProduct` `listedProduct`
   + `Quantity` `quantity`
   + `ContractReference[]` `contractReference`
   + `Contract[]` `contract`
}

`org.isda.cdm@0.2.0.PhysicalExercise` "1" *-- "1" `org.isda.cdm@0.2.0.Cashflow`
`org.isda.cdm@0.2.0.PhysicalExercise` "1" *-- "1" `org.isda.cdm@0.2.0.Commodity`
`org.isda.cdm@0.2.0.PhysicalExercise` "1" *-- "1" `org.isda.cdm@0.2.0.ListedProduct`
`org.isda.cdm@0.2.0.PhysicalExercise` "1" *-- "1" `org.isda.cdm@0.2.0.Quantity`
`org.isda.cdm@0.2.0.PhysicalExercise` "1" *-- "*" `org.isda.cdm@0.2.0.ContractReference`
`org.isda.cdm@0.2.0.PhysicalExercise` "1" *-- "*" `org.isda.cdm@0.2.0.Contract`
class `org.isda.cdm@0.2.0.PhysicalExerciseBuilder`
<< concept>> `org.isda.cdm@0.2.0.PhysicalExerciseBuilder`

class `org.isda.cdm@0.2.0.InterestRateCurveBuilder` {
<< concept>>
   + `String` `floatingRateIndexScheme`
   + `FloatingRateIndexEnum` `floatingRateIndex`
}

`org.isda.cdm@0.2.0.InterestRateCurveBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
class `org.isda.cdm@0.2.0.InterestRateCurve` {
<< concept>>
   + `String` `floatingRateIndexScheme`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Period` `tenor`
}

`org.isda.cdm@0.2.0.InterestRateCurve` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.InterestRateCurve` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
class `org.isda.cdm@0.2.0.RelativeDateOffset` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `BusinessCenters` `businessCenters`
   + `String` `businessCentersReference`
   + `String` `dateRelativeTo`
   + `DateTime` `adjustedDate`
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.RelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.RelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenters`
`org.isda.cdm@0.2.0.RelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.RelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.RelativeDateOffsetBuilder` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `String` `businessCentersReference`
   + `String` `dateRelativeTo`
   + `DateTime` `adjustedDate`
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.RelativeDateOffsetBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.RelativeDateOffsetBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.RelativeDateOffsetBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.PayoutLineage` {
<< concept>>
   + `String` `cashflow`
   + `String` `optionPayout`
   + `String` `creditDefaultPayout`
   + `String` `payoutReference`
   + `String` `interestRatePayout`
}

class `org.isda.cdm@0.2.0.PayoutLineageBuilder` {
<< concept>>
   + `String` `cashflow`
   + `String` `optionPayout`
   + `String` `creditDefaultPayout`
   + `String` `payoutReference`
   + `String` `interestRatePayout`
}

class `org.isda.cdm@0.2.0.ManualExercise` {
<< concept>>
   + `ExerciseNotice` `exerciseNotice`
   + `Boolean` `fallbackExercise`
}

`org.isda.cdm@0.2.0.ManualExercise` "1" *-- "1" `org.isda.cdm@0.2.0.ExerciseNotice`
class `org.isda.cdm@0.2.0.ManualExerciseBuilder` {
<< concept>>
   + `Boolean` `fallbackExercise`
}

class `org.isda.cdm@0.2.0.GeneralTerms` {
<< concept>>
   + `String` `additionalTermScheme`
   + `BuyerSeller` `buyerSeller`
   + `ReferenceInformation` `referenceInformation`
   + `IndexReferenceInformation` `indexReferenceInformation`
   + `Boolean` `substitution`
   + `Boolean` `modifiedEquityDelivery`
   + `BasketReferenceInformation` `basketReferenceInformation`
   + `String[]` `additionalTerm`
   + `BusinessDayAdjustments` `dateAdjustments`
}

`org.isda.cdm@0.2.0.GeneralTerms` "1" *-- "1" `org.isda.cdm@0.2.0.BuyerSeller`
`org.isda.cdm@0.2.0.GeneralTerms` "1" *-- "1" `org.isda.cdm@0.2.0.ReferenceInformation`
`org.isda.cdm@0.2.0.GeneralTerms` "1" *-- "1" `org.isda.cdm@0.2.0.IndexReferenceInformation`
`org.isda.cdm@0.2.0.GeneralTerms` "1" *-- "1" `org.isda.cdm@0.2.0.BasketReferenceInformation`
`org.isda.cdm@0.2.0.GeneralTerms` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
class `org.isda.cdm@0.2.0.GeneralTermsBuilder` {
<< concept>>
   + `String` `additionalTermScheme`
   + `Boolean` `substitution`
   + `Boolean` `modifiedEquityDelivery`
   + `String[]` `additionalTerm`
}

class `org.isda.cdm@0.2.0.ListedProduct` {
<< concept>>
   + `Bond` `bond`
   + `ConvertibleBond` `convertibleBond`
   + `String` `rosettaKey`
}

`org.isda.cdm@0.2.0.ListedProduct` "1" *-- "1" `org.isda.cdm@0.2.0.Bond`
`org.isda.cdm@0.2.0.ListedProduct` "1" *-- "1" `org.isda.cdm@0.2.0.ConvertibleBond`
class `org.isda.cdm@0.2.0.ListedProductBuilder`
<< concept>> `org.isda.cdm@0.2.0.ListedProductBuilder`

class `org.isda.cdm@0.2.0.RoundingDirectionEnum` {
<< enumeration>>
   + `UP`
   + `DOWN`
   + `NEAREST`
}

class `org.isda.cdm@0.2.0.NewTradePrimitiveBuilder`
<< concept>> `org.isda.cdm@0.2.0.NewTradePrimitiveBuilder`

class `org.isda.cdm@0.2.0.NewTradePrimitive` {
<< concept>>
   + `ContractIdentifier` `contractReference`
   + `Contract` `contract`
}

`org.isda.cdm@0.2.0.NewTradePrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.ContractIdentifier`
`org.isda.cdm@0.2.0.NewTradePrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.Contract`
class `org.isda.cdm@0.2.0.IndexReferenceInformationBuilder` {
<< concept>>
   + `String` `id`
   + `Integer` `indexAnnexVersion`
   + `String` `indexAnnexSourceScheme`
   + `String` `indexIdScheme`
   + `String` `indexNameScheme`
   + `Integer` `indexSeries`
   + `String` `indexName`
   + `String[]` `indexId`
   + `DateTime` `indexAnnexDate`
   + `IndexAnnexSourceEnum` `indexAnnexSource`
}

`org.isda.cdm@0.2.0.IndexReferenceInformationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.IndexAnnexSourceEnum`
class `org.isda.cdm@0.2.0.IndexReferenceInformation` {
<< concept>>
   + `String` `id`
   + `Integer` `indexAnnexVersion`
   + `String` `indexAnnexSourceScheme`
   + `String` `indexIdScheme`
   + `String` `indexNameScheme`
   + `Tranche` `tranche`
   + `Integer` `indexSeries`
   + `String` `indexName`
   + `String[]` `indexId`
   + `DateTime` `indexAnnexDate`
   + `IndexAnnexSourceEnum` `indexAnnexSource`
   + `LegalEntity[]` `excludedReferenceEntity`
   + `SettledEntityMatrix` `settledEntityMatrix`
}

`org.isda.cdm@0.2.0.IndexReferenceInformation` "1" *-- "1" `org.isda.cdm@0.2.0.Tranche`
`org.isda.cdm@0.2.0.IndexReferenceInformation` "1" *-- "1" `org.isda.cdm@0.2.0.IndexAnnexSourceEnum`
`org.isda.cdm@0.2.0.IndexReferenceInformation` "1" *-- "*" `org.isda.cdm@0.2.0.LegalEntity`
`org.isda.cdm@0.2.0.IndexReferenceInformation` "1" *-- "1" `org.isda.cdm@0.2.0.SettledEntityMatrix`
class `org.isda.cdm@0.2.0.ContractOrContractReference` {
<< concept>>
   + `ContractReference[]` `contractReference`
   + `Contract[]` `contract`
}

`org.isda.cdm@0.2.0.ContractOrContractReference` "1" *-- "*" `org.isda.cdm@0.2.0.ContractReference`
`org.isda.cdm@0.2.0.ContractOrContractReference` "1" *-- "*" `org.isda.cdm@0.2.0.Contract`
class `org.isda.cdm@0.2.0.ContractOrContractReferenceBuilder`
<< concept>> `org.isda.cdm@0.2.0.ContractOrContractReferenceBuilder`

class `org.isda.cdm@0.2.0.StepRelativeToEnum` {
<< enumeration>>
   + `INITIAL`
   + `PREVIOUS`
}

class `org.isda.cdm@0.2.0.TransactedPriceBuilder` {
<< concept>>
   + `Double` `initialPoints`
   + `QuotationStyleEnum` `quotationStyle`
   + `Double` `marketFixedRate`
   + `Double` `marketPrice`
}

`org.isda.cdm@0.2.0.TransactedPriceBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationStyleEnum`
class `org.isda.cdm@0.2.0.TransactedPrice` {
<< concept>>
   + `Double` `initialPoints`
   + `QuotationStyleEnum` `quotationStyle`
   + `Double` `marketFixedRate`
   + `Double` `marketPrice`
}

`org.isda.cdm@0.2.0.TransactedPrice` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationStyleEnum`
class `org.isda.cdm@0.2.0.Step` {
<< concept>>
   + `String` `id`
   + `DateTime` `stepDate`
   + `Double` `stepValue`
}

class `org.isda.cdm@0.2.0.StepBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `stepDate`
   + `Double` `stepValue`
}

class `org.isda.cdm@0.2.0.FxLinkedNotionalAmount` {
<< concept>>
   + `Double` `notionalAmount`
   + `DateTime` `resetDate`
   + `DateTime` `adjustedFxSpotFixingDate`
   + `Double` `observedFxSpotRate`
}

class `org.isda.cdm@0.2.0.FxLinkedNotionalAmountBuilder` {
<< concept>>
   + `Double` `notionalAmount`
   + `DateTime` `resetDate`
   + `DateTime` `adjustedFxSpotFixingDate`
   + `Double` `observedFxSpotRate`
}

class `org.isda.cdm@0.2.0.EarlyTerminationEvent` {
<< concept>>
   + `String` `id`
   + `DateTime` `adjustedEarlyTerminationDate`
   + `DateTime` `adjustedExerciseFeePaymentDate`
   + `DateTime` `adjustedCashSettlementValuationDate`
   + `DateTime` `adjustedCashSettlementPaymentDate`
   + `DateTime` `adjustedExerciseDate`
}

class `org.isda.cdm@0.2.0.EarlyTerminationEventBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `adjustedEarlyTerminationDate`
   + `DateTime` `adjustedExerciseFeePaymentDate`
   + `DateTime` `adjustedCashSettlementValuationDate`
   + `DateTime` `adjustedCashSettlementPaymentDate`
   + `DateTime` `adjustedExerciseDate`
}

class `org.isda.cdm@0.2.0.ObservationPrimitive` {
<< concept>>
   + `QuotationSideEnum` `side`
   + `ObservationSource` `source`
   + `Double` `observation`
   + `DateTime` `date`
   + `TimeZone` `time`
}

`org.isda.cdm@0.2.0.ObservationPrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationSideEnum`
`org.isda.cdm@0.2.0.ObservationPrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.ObservationSource`
`org.isda.cdm@0.2.0.ObservationPrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.TimeZone`
class `org.isda.cdm@0.2.0.ObservationPrimitiveBuilder` {
<< concept>>
   + `QuotationSideEnum` `side`
   + `Double` `observation`
   + `DateTime` `date`
}

`org.isda.cdm@0.2.0.ObservationPrimitiveBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationSideEnum`
class `org.isda.cdm@0.2.0.ValuationDate` {
<< concept>>
   + `SingleValuationDate` `singleValuationDate`
   + `MultipleValuationDates` `multipleValuationDates`
}

`org.isda.cdm@0.2.0.ValuationDate` "1" *-- "1" `org.isda.cdm@0.2.0.SingleValuationDate`
`org.isda.cdm@0.2.0.ValuationDate` "1" *-- "1" `org.isda.cdm@0.2.0.MultipleValuationDates`
class `org.isda.cdm@0.2.0.ValuationDateBuilder`
<< concept>> `org.isda.cdm@0.2.0.ValuationDateBuilder`

class `org.isda.cdm@0.2.0.PartyRole` {
<< concept>>
   + `PartyRoleEnum` `role`
   + `String` `partyReference`
}

`org.isda.cdm@0.2.0.PartyRole` "1" *-- "1" `org.isda.cdm@0.2.0.PartyRoleEnum`
class `org.isda.cdm@0.2.0.PartyRoleBuilder` {
<< concept>>
   + `PartyRoleEnum` `role`
   + `String` `partyReference`
}

`org.isda.cdm@0.2.0.PartyRoleBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PartyRoleEnum`
class `org.isda.cdm@0.2.0.TimeUnitEnum` {
<< enumeration>>
   + `SECOND`
   + `MINUTE`
   + `HOUR`
   + `DAY`
   + `WEEK`
   + `MONTH`
   + `YEAR`
}

class `org.isda.cdm@0.2.0.TimeZone` {
<< concept>>
   + `String` `location`
   + `String` `locationScheme`
   + `DateTime` `time`
}

class `org.isda.cdm@0.2.0.TimeZoneBuilder` {
<< concept>>
   + `String` `location`
   + `String` `locationScheme`
   + `DateTime` `time`
}

class `org.isda.cdm@0.2.0.Tranche` {
<< concept>>
   + `Double` `attachmentPoint`
   + `Double` `exhaustionPoint`
   + `Boolean` `incurredRecoveryApplicable`
}

class `org.isda.cdm@0.2.0.TrancheBuilder` {
<< concept>>
   + `Double` `attachmentPoint`
   + `Double` `exhaustionPoint`
   + `Boolean` `incurredRecoveryApplicable`
}

class `org.isda.cdm@0.2.0.StrategyFeature` {
<< concept>>
   + `StrikeSpread` `strikeSpread`
   + `CalendarSpread` `calendarSpread`
}

`org.isda.cdm@0.2.0.StrategyFeature` "1" *-- "1" `org.isda.cdm@0.2.0.StrikeSpread`
`org.isda.cdm@0.2.0.StrategyFeature` "1" *-- "1" `org.isda.cdm@0.2.0.CalendarSpread`
class `org.isda.cdm@0.2.0.StrategyFeatureBuilder`
<< concept>> `org.isda.cdm@0.2.0.StrategyFeatureBuilder`

class `org.isda.cdm@0.2.0.FloatingAmountEvents` {
<< concept>>
   + `Boolean` `failureToPayPrincipal`
   + `Boolean` `writedown`
   + `Boolean` `impliedWritedown`
   + `AdditionalFixedPayments` `additionalFixedPayments`
   + `InterestShortFall` `interestShortfall`
   + `FloatingAmountProvisions` `floatingAmountProvisions`
}

`org.isda.cdm@0.2.0.FloatingAmountEvents` "1" *-- "1" `org.isda.cdm@0.2.0.AdditionalFixedPayments`
`org.isda.cdm@0.2.0.FloatingAmountEvents` "1" *-- "1" `org.isda.cdm@0.2.0.InterestShortFall`
`org.isda.cdm@0.2.0.FloatingAmountEvents` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingAmountProvisions`
class `org.isda.cdm@0.2.0.FloatingAmountEventsBuilder` {
<< concept>>
   + `Boolean` `failureToPayPrincipal`
   + `Boolean` `writedown`
   + `Boolean` `impliedWritedown`
}

class `org.isda.cdm@0.2.0.Collateral` {
<< concept>>
   + `IndependentAmount` `independentAmount`
}

`org.isda.cdm@0.2.0.Collateral` "1" *-- "1" `org.isda.cdm@0.2.0.IndependentAmount`
class `org.isda.cdm@0.2.0.CollateralBuilder`
<< concept>> `org.isda.cdm@0.2.0.CollateralBuilder`

class `org.isda.cdm@0.2.0.CurveBuilder` {
<< concept>>
   + `String` `commodityCurveScheme`
   + `CommodityReferencePriceEnum` `commodityCurve`
}

`org.isda.cdm@0.2.0.CurveBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CommodityReferencePriceEnum`
class `org.isda.cdm@0.2.0.Curve` {
<< concept>>
   + `String` `commodityCurveScheme`
   + `InterestRateCurve` `interestRateCurve`
   + `CommodityReferencePriceEnum` `commodityCurve`
}

`org.isda.cdm@0.2.0.Curve` "1" *-- "1" `org.isda.cdm@0.2.0.InterestRateCurve`
`org.isda.cdm@0.2.0.Curve` "1" *-- "1" `org.isda.cdm@0.2.0.CommodityReferencePriceEnum`
class `org.isda.cdm@0.2.0.PassThrough` {
<< concept>>
   + `PassThroughItem[]` `passThroughItem`
}

`org.isda.cdm@0.2.0.PassThrough` "1" *-- "*" `org.isda.cdm@0.2.0.PassThroughItem`
class `org.isda.cdm@0.2.0.PassThroughBuilder`
<< concept>> `org.isda.cdm@0.2.0.PassThroughBuilder`

class `org.isda.cdm@0.2.0.QuotationStyleEnum` {
<< enumeration>>
   + `POINTS_UP_FRONT`
   + `TRADED_SPREAD`
   + `PRICE`
}

class `org.isda.cdm@0.2.0.ReferencePoolItemBuilder` {
<< concept>>
   + `String` `protectionTermsReference`
   + `String` `settlementTermsReference`
}

class `org.isda.cdm@0.2.0.ReferencePoolItem` {
<< concept>>
   + `ReferencePair` `referencePair`
   + `String` `protectionTermsReference`
   + `String` `settlementTermsReference`
   + `ConstituentWeight` `constituentWeight`
}

`org.isda.cdm@0.2.0.ReferencePoolItem` "1" *-- "1" `org.isda.cdm@0.2.0.ReferencePair`
`org.isda.cdm@0.2.0.ReferencePoolItem` "1" *-- "1" `org.isda.cdm@0.2.0.ConstituentWeight`
class `org.isda.cdm@0.2.0.StubPeriod` {
<< concept>>
   + `String` `calculationPeriodDatesReference`
   + `StubValue` `initialStub`
   + `StubValue` `finalStub`
}

`org.isda.cdm@0.2.0.StubPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.StubValue`
`org.isda.cdm@0.2.0.StubPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.StubValue`
class `org.isda.cdm@0.2.0.StubPeriodBuilder` {
<< concept>>
   + `String` `calculationPeriodDatesReference`
}

class `org.isda.cdm@0.2.0.Event` {
<< concept>>
   + `DateTime` `effectiveDate`
   + `PrimitiveEvent` `primitive`
   + `Lineage` `lineage`
   + `MessageInformation` `messageInformation`
   + `Identifier` `eventIdentifier`
   + `String` `eventQualifier`
   + `DateTime` `eventDate`
   + `ActionEnum` `action`
   + `IntentEnum` `intent`
   + `String` `functionCall`
   + `EventEffect` `eventEffect`
   + `Party[]` `party`
   + `String` `rosettaKey`
   + `EventTimestamp` `timestamp`
}

`org.isda.cdm@0.2.0.Event` "1" *-- "1" `org.isda.cdm@0.2.0.PrimitiveEvent`
`org.isda.cdm@0.2.0.Event` "1" *-- "1" `org.isda.cdm@0.2.0.Lineage`
`org.isda.cdm@0.2.0.Event` "1" *-- "1" `org.isda.cdm@0.2.0.MessageInformation`
`org.isda.cdm@0.2.0.Event` "1" *-- "1" `org.isda.cdm@0.2.0.Identifier`
`org.isda.cdm@0.2.0.Event` "1" *-- "1" `org.isda.cdm@0.2.0.ActionEnum`
`org.isda.cdm@0.2.0.Event` "1" *-- "1" `org.isda.cdm@0.2.0.IntentEnum`
`org.isda.cdm@0.2.0.Event` "1" *-- "1" `org.isda.cdm@0.2.0.EventEffect`
`org.isda.cdm@0.2.0.Event` "1" *-- "*" `org.isda.cdm@0.2.0.Party`
`org.isda.cdm@0.2.0.Event` "1" *-- "1" `org.isda.cdm@0.2.0.EventTimestamp`
class `org.isda.cdm@0.2.0.EventBuilder` {
<< concept>>
   + `DateTime` `effectiveDate`
   + `String` `eventQualifier`
   + `DateTime` `eventDate`
   + `ActionEnum` `action`
   + `IntentEnum` `intent`
   + `String` `functionCall`
}

`org.isda.cdm@0.2.0.EventBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.ActionEnum`
`org.isda.cdm@0.2.0.EventBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.IntentEnum`
class `org.isda.cdm@0.2.0.Transfer` {
<< concept>>
   + `GrossCashflow[]` `grossCashflow`
   + `String` `settlementReference`
   + `String` `rosettaKey`
   + `AdjustableOrAdjustedOrRelativeDate` `transferDate`
   + `String` `transferCalculation`
   + `TransferTypeEnum` `transferType`
   + `TransferStatusEnum` `transferStatus`
   + `PayerReceiver` `payerReceiver`
   + `Asset` `asset`
   + `TransferorTransferee` `transferorTransferee`
   + `Quantity` `quantity`
   + `Money` `amount`
}

`org.isda.cdm@0.2.0.Transfer` "1" *-- "*" `org.isda.cdm@0.2.0.GrossCashflow`
`org.isda.cdm@0.2.0.Transfer` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrAdjustedOrRelativeDate`
`org.isda.cdm@0.2.0.Transfer` "1" *-- "1" `org.isda.cdm@0.2.0.TransferTypeEnum`
`org.isda.cdm@0.2.0.Transfer` "1" *-- "1" `org.isda.cdm@0.2.0.TransferStatusEnum`
`org.isda.cdm@0.2.0.Transfer` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiver`
`org.isda.cdm@0.2.0.Transfer` "1" *-- "1" `concerto@1.0.0.Asset`
`org.isda.cdm@0.2.0.Transfer` "1" *-- "1" `org.isda.cdm@0.2.0.TransferorTransferee`
`org.isda.cdm@0.2.0.Transfer` "1" *-- "1" `org.isda.cdm@0.2.0.Quantity`
`org.isda.cdm@0.2.0.Transfer` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.TransferBuilder` {
<< concept>>
   + `String` `settlementReference`
   + `String` `transferCalculation`
   + `TransferTypeEnum` `transferType`
   + `TransferStatusEnum` `transferStatus`
}

`org.isda.cdm@0.2.0.TransferBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.TransferTypeEnum`
`org.isda.cdm@0.2.0.TransferBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.TransferStatusEnum`
class `org.isda.cdm@0.2.0.SpreadScheduleTypeEnum` {
<< enumeration>>
   + `LONG`
   + `SHORT`
}

class `org.isda.cdm@0.2.0.AdditionalFixedPayments` {
<< concept>>
   + `Boolean` `interestShortfallReimbursement`
   + `Boolean` `principalShortfallReimbursement`
   + `Boolean` `writedownReimbursement`
}

class `org.isda.cdm@0.2.0.AdditionalFixedPaymentsBuilder` {
<< concept>>
   + `Boolean` `interestShortfallReimbursement`
   + `Boolean` `principalShortfallReimbursement`
   + `Boolean` `writedownReimbursement`
}

class `org.isda.cdm@0.2.0.EuropeanExerciseBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.EuropeanExercise` {
<< concept>>
   + `String` `id`
   + `AdjustableOrRelativeDate` `expirationDate`
   + `AdjustableOrRelativeDates` `relevantUnderlyingDate`
   + `BusinessCenterTime` `earliestExerciseTime`
   + `BusinessCenterTime` `expirationTime`
   + `PartialExercise` `partialExercise`
   + `ExerciseFee` `exerciseFee`
}

`org.isda.cdm@0.2.0.EuropeanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDate`
`org.isda.cdm@0.2.0.EuropeanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDates`
`org.isda.cdm@0.2.0.EuropeanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.EuropeanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.EuropeanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.PartialExercise`
`org.isda.cdm@0.2.0.EuropeanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.ExerciseFee`
class `org.isda.cdm@0.2.0.CreditSeniorityTradingEnum` {
<< enumeration>>
   + `SENIOR`
   + `SUBORDINATE`
}

class `org.isda.cdm@0.2.0.Barrier` {
<< concept>>
   + `TriggerEvent` `barrierCap`
   + `TriggerEvent` `barrierFloor`
}

`org.isda.cdm@0.2.0.Barrier` "1" *-- "1" `org.isda.cdm@0.2.0.TriggerEvent`
`org.isda.cdm@0.2.0.Barrier` "1" *-- "1" `org.isda.cdm@0.2.0.TriggerEvent`
class `org.isda.cdm@0.2.0.BarrierBuilder`
<< concept>> `org.isda.cdm@0.2.0.BarrierBuilder`

class `org.isda.cdm@0.2.0.QuoteBasisEnum` {
<< enumeration>>
   + `CURRENCY_1_PER_CURRENCY_2`
   + `CURRENCY_2_PER_CURRENCY_1`
}

class `org.isda.cdm@0.2.0.BusinessDayAdjustments` {
<< concept>>
   + `String` `id`
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `BusinessCenters` `businessCenters`
}

`org.isda.cdm@0.2.0.BusinessDayAdjustments` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.BusinessDayAdjustments` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenters`
class `org.isda.cdm@0.2.0.BusinessDayAdjustmentsBuilder` {
<< concept>>
   + `String` `id`
   + `BusinessDayConventionEnum` `businessDayConvention`
}

`org.isda.cdm@0.2.0.BusinessDayAdjustmentsBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
class `org.isda.cdm@0.2.0.PeriodExtendedEnum` {
<< enumeration>>
   + `T`
   + `D`
   + `W`
   + `M`
   + `Y`
}

class `org.isda.cdm@0.2.0.FloatingRateDefinition` {
<< concept>>
   + `Double` `floatingRateMultiplier`
   + `Double` `spread`
   + `Double` `calculatedRate`
   + `RateObservation[]` `rateObservation`
   + `Strike[]` `capRate`
   + `Strike[]` `floorRate`
}

`org.isda.cdm@0.2.0.FloatingRateDefinition` "1" *-- "*" `org.isda.cdm@0.2.0.RateObservation`
`org.isda.cdm@0.2.0.FloatingRateDefinition` "1" *-- "*" `org.isda.cdm@0.2.0.Strike`
`org.isda.cdm@0.2.0.FloatingRateDefinition` "1" *-- "*" `org.isda.cdm@0.2.0.Strike`
class `org.isda.cdm@0.2.0.FloatingRateDefinitionBuilder` {
<< concept>>
   + `Double` `floatingRateMultiplier`
   + `Double` `spread`
   + `Double` `calculatedRate`
}

class `org.isda.cdm@0.2.0.AllocationPrimitiveBuilder`
<< concept>> `org.isda.cdm@0.2.0.AllocationPrimitiveBuilder`

class `org.isda.cdm@0.2.0.AllocationPrimitive` {
<< concept>>
   + `Execution` `before`
   + `AllocationOutcome` `after`
}

`org.isda.cdm@0.2.0.AllocationPrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.Execution`
`org.isda.cdm@0.2.0.AllocationPrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.AllocationOutcome`
class `org.isda.cdm@0.2.0.FxRateBuilder` {
<< concept>>
   + `Double` `rate`
}

class `org.isda.cdm@0.2.0.FxRate` {
<< concept>>
   + `QuotedCurrencyPair` `quotedCurrencyPair`
   + `Double` `rate`
}

`org.isda.cdm@0.2.0.FxRate` "1" *-- "1" `org.isda.cdm@0.2.0.QuotedCurrencyPair`
class `org.isda.cdm@0.2.0.ExtendibleProvisionAdjustedDatesBuilder`
<< concept>> `org.isda.cdm@0.2.0.ExtendibleProvisionAdjustedDatesBuilder`

class `org.isda.cdm@0.2.0.ExtendibleProvisionAdjustedDates` {
<< concept>>
   + `ExtensionEvent[]` `extensionEvent`
}

`org.isda.cdm@0.2.0.ExtendibleProvisionAdjustedDates` "1" *-- "*" `org.isda.cdm@0.2.0.ExtensionEvent`
class `org.isda.cdm@0.2.0.RelativeDatesBuilder` {
<< concept>>
   + `Integer` `periodSkip`
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `String` `businessCentersReference`
   + `String` `dateRelativeTo`
   + `DateTime` `adjustedDate`
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.RelativeDatesBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.RelativeDatesBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.RelativeDatesBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.RelativeDates` {
<< concept>>
   + `Integer` `periodSkip`
   + `DateRange` `scheduleBounds`
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `BusinessCenters` `businessCenters`
   + `String` `businessCentersReference`
   + `String` `dateRelativeTo`
   + `DateTime` `adjustedDate`
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.RelativeDates` "1" *-- "1" `org.isda.cdm@0.2.0.DateRange`
`org.isda.cdm@0.2.0.RelativeDates` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.RelativeDates` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenters`
`org.isda.cdm@0.2.0.RelativeDates` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.RelativeDates` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.ActionEnum` {
<< enumeration>>
   + `NEW`
   + `CORRECT`
   + `CANCEL`
}

class `org.isda.cdm@0.2.0.OptionStrike` {
<< concept>>
   + `String` `currency`
   + `Double` `spread`
   + `ReferenceSwapCurve` `referenceSwapCurve`
   + `Double` `price`
   + `Double` `percentage`
   + `String` `strikeReference`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.OptionStrike` "1" *-- "1" `org.isda.cdm@0.2.0.ReferenceSwapCurve`
class `org.isda.cdm@0.2.0.OptionStrikeBuilder` {
<< concept>>
   + `String` `currency`
   + `Double` `spread`
   + `Double` `price`
   + `Double` `percentage`
   + `String` `strikeReference`
   + `String` `currencyScheme`
}

class `org.isda.cdm@0.2.0.ResetPrimitive` {
<< concept>>
   + `Cashflow` `cashflow`
   + `Double` `resetValue`
   + `String` `rosettaKey`
   + `DateTime` `date`
}

`org.isda.cdm@0.2.0.ResetPrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.Cashflow`
class `org.isda.cdm@0.2.0.ResetPrimitiveBuilder` {
<< concept>>
   + `Double` `resetValue`
   + `DateTime` `date`
}

class `org.isda.cdm@0.2.0.AveragingPeriodBuilder` {
<< concept>>
   + `String` `marketDisruptionScheme`
   + `MarketDisruptionEnum` `marketDisruption`
}

`org.isda.cdm@0.2.0.AveragingPeriodBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.MarketDisruptionEnum`
class `org.isda.cdm@0.2.0.AveragingPeriod` {
<< concept>>
   + `String` `marketDisruptionScheme`
   + `DateTimeList` `averagingDateTimes`
   + `AveragingObservationList` `averagingObservations`
   + `MarketDisruptionEnum` `marketDisruption`
   + `AveragingSchedule[]` `schedule`
}

`org.isda.cdm@0.2.0.AveragingPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.DateTimeList`
`org.isda.cdm@0.2.0.AveragingPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingObservationList`
`org.isda.cdm@0.2.0.AveragingPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.MarketDisruptionEnum`
`org.isda.cdm@0.2.0.AveragingPeriod` "1" *-- "*" `org.isda.cdm@0.2.0.AveragingSchedule`
class `org.isda.cdm@0.2.0.PercentageRuleBuilder` {
<< concept>>
   + `Double` `paymentPercent`
   + `String` `notionalAmountReference`
}

class `org.isda.cdm@0.2.0.PercentageRule` {
<< concept>>
   + `Double` `paymentPercent`
   + `String` `notionalAmountReference`
}

class `org.isda.cdm@0.2.0.CalculationAgent` {
<< concept>>
   + `String` `calculationAgentBusinessCenterScheme`
   + `BusinessCenterEnum` `calculationAgentBusinessCenter`
   + `String[]` `calculationAgentPartyReference`
   + `CalculationAgentPartyEnum` `calculationAgentParty`
}

`org.isda.cdm@0.2.0.CalculationAgent` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
`org.isda.cdm@0.2.0.CalculationAgent` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationAgentPartyEnum`
class `org.isda.cdm@0.2.0.CalculationAgentBuilder` {
<< concept>>
   + `String` `calculationAgentBusinessCenterScheme`
   + `BusinessCenterEnum` `calculationAgentBusinessCenter`
   + `String[]` `calculationAgentPartyReference`
   + `CalculationAgentPartyEnum` `calculationAgentParty`
}

`org.isda.cdm@0.2.0.CalculationAgentBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
`org.isda.cdm@0.2.0.CalculationAgentBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationAgentPartyEnum`
class `org.isda.cdm@0.2.0.NaturalPerson` {
<< concept>>
   + `String` `id`
   + `String` `honorific`
   + `String` `firstName`
   + `String[]` `middleName`
   + `String[]` `initial`
   + `String` `surname`
   + `String` `suffix`
   + `DateTime` `dateOfBirth`
}

class `org.isda.cdm@0.2.0.NaturalPersonBuilder` {
<< concept>>
   + `String` `id`
   + `String` `honorific`
   + `String` `firstName`
   + `String[]` `middleName`
   + `String[]` `initial`
   + `String` `surname`
   + `String` `suffix`
   + `DateTime` `dateOfBirth`
}

class `org.isda.cdm@0.2.0.BusinessDateRangeBuilder` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `DateTime` `unadjustedFirstDate`
   + `DateTime` `unadjustedLastDate`
}

`org.isda.cdm@0.2.0.BusinessDateRangeBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
class `org.isda.cdm@0.2.0.BusinessDateRange` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `BusinessCenters` `businessCenters`
   + `DateTime` `unadjustedFirstDate`
   + `DateTime` `unadjustedLastDate`
}

`org.isda.cdm@0.2.0.BusinessDateRange` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.BusinessDateRange` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenters`
class `org.isda.cdm@0.2.0.CancelableProvision` {
<< concept>>
   + `Boolean` `followUpConfirmation`
   + `AmericanExercise` `americanExercise`
   + `BermudaExercise` `bermudaExercise`
   + `EuropeanExercise` `europeanExercise`
   + `ExerciseNotice` `exerciseNotice`
   + `SimplePayment` `initialFee`
   + `CancelableProvisionAdjustedDates` `cancelableProvisionAdjustedDates`
   + `FinalCalculationPeriodDateAdjustment[]` `finalCalculationPeriodDateAdjustment`
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
   + `String` `buyerAccountReference`
   + `String` `sellerAccountReference`
}

`org.isda.cdm@0.2.0.CancelableProvision` "1" *-- "1" `org.isda.cdm@0.2.0.AmericanExercise`
`org.isda.cdm@0.2.0.CancelableProvision` "1" *-- "1" `org.isda.cdm@0.2.0.BermudaExercise`
`org.isda.cdm@0.2.0.CancelableProvision` "1" *-- "1" `org.isda.cdm@0.2.0.EuropeanExercise`
`org.isda.cdm@0.2.0.CancelableProvision` "1" *-- "1" `org.isda.cdm@0.2.0.ExerciseNotice`
`org.isda.cdm@0.2.0.CancelableProvision` "1" *-- "1" `org.isda.cdm@0.2.0.SimplePayment`
`org.isda.cdm@0.2.0.CancelableProvision` "1" *-- "1" `org.isda.cdm@0.2.0.CancelableProvisionAdjustedDates`
`org.isda.cdm@0.2.0.CancelableProvision` "1" *-- "*" `org.isda.cdm@0.2.0.FinalCalculationPeriodDateAdjustment`
class `org.isda.cdm@0.2.0.CancelableProvisionBuilder` {
<< concept>>
   + `Boolean` `followUpConfirmation`
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
   + `String` `buyerAccountReference`
   + `String` `sellerAccountReference`
}

class `org.isda.cdm@0.2.0.BrokerConfirmationTypeEnum` {
<< enumeration>>
   + `ABX`
   + `CD_SON_MBS`
}

class `org.isda.cdm@0.2.0.QuotationRateTypeEnum` {
<< enumeration>>
   + `BID`
   + `ASK`
   + `MID`
   + `EXERCISING_PARTY_PAYS`
}

class `org.isda.cdm@0.2.0.PriceSourceDisruptionBuilder`
<< concept>> `org.isda.cdm@0.2.0.PriceSourceDisruptionBuilder`

class `org.isda.cdm@0.2.0.PriceSourceDisruption` {
<< concept>>
   + `FallbackReferencePrice` `fallbackReferencePrice`
}

`org.isda.cdm@0.2.0.PriceSourceDisruption` "1" *-- "1" `org.isda.cdm@0.2.0.FallbackReferencePrice`
class `org.isda.cdm@0.2.0.CreditDefaultPayout` {
<< concept>>
   + `String` `id`
   + `PhysicalSettlementTerms` `physicalSettlementTerms`
   + `String` `rosettaKeyValue`
   + `ProtectionTerms` `protectionTerms`
   + `GeneralTerms` `generalTerms`
   + `CashSettlementTerms` `cashSettlementTerms`
   + `TransactedPrice` `transactedPrice`
}

`org.isda.cdm@0.2.0.CreditDefaultPayout` "1" *-- "1" `org.isda.cdm@0.2.0.PhysicalSettlementTerms`
`org.isda.cdm@0.2.0.CreditDefaultPayout` "1" *-- "1" `org.isda.cdm@0.2.0.ProtectionTerms`
`org.isda.cdm@0.2.0.CreditDefaultPayout` "1" *-- "1" `org.isda.cdm@0.2.0.GeneralTerms`
`org.isda.cdm@0.2.0.CreditDefaultPayout` "1" *-- "1" `org.isda.cdm@0.2.0.CashSettlementTerms`
`org.isda.cdm@0.2.0.CreditDefaultPayout` "1" *-- "1" `org.isda.cdm@0.2.0.TransactedPrice`
class `org.isda.cdm@0.2.0.CreditDefaultPayoutBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.CashPriceMethodBuilder` {
<< concept>>
   + `String` `cashSettlementCurrencyScheme`
   + `String` `cashSettlementCurrency`
   + `QuotationRateTypeEnum` `quotationRateType`
}

`org.isda.cdm@0.2.0.CashPriceMethodBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationRateTypeEnum`
class `org.isda.cdm@0.2.0.CashPriceMethod` {
<< concept>>
   + `String` `cashSettlementCurrencyScheme`
   + `CashSettlementReferenceBanks` `cashSettlementReferenceBanks`
   + `String` `cashSettlementCurrency`
   + `QuotationRateTypeEnum` `quotationRateType`
}

`org.isda.cdm@0.2.0.CashPriceMethod` "1" *-- "1" `org.isda.cdm@0.2.0.CashSettlementReferenceBanks`
`org.isda.cdm@0.2.0.CashPriceMethod` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationRateTypeEnum`
class `org.isda.cdm@0.2.0.TimeTypeEnum` {
<< enumeration>>
   + `CLOSE`
   + `OPEN`
   + `OSP`
   + `SPECIFIC_TIME`
   + `XETRA`
   + `DERIVATIVES_CLOSE`
   + `AS_SPECIFIED_IN_MASTER_CONFIRMATION`
}

class `org.isda.cdm@0.2.0.InformationProviderEnum` {
<< enumeration>>
   + `BANK_OF_JAPAN`
   + `BLOOMBERG`
   + `ISDA`
   + `REUTERS`
   + `TELERATE`
   + `OTHER`
}

class `org.isda.cdm@0.2.0.RollConventionEnum` {
<< enumeration>>
   + `EOM`
   + `FRN`
   + `IMM`
   + `IMMCAD`
   + `IMMAUD`
   + `IMMNZD`
   + `SFE`
   + `NONE`
   + `TBILL`
   + `_1`
   + `_2`
   + `_3`
   + `_4`
   + `_5`
   + `_6`
   + `_7`
   + `_8`
   + `_9`
   + `_10`
   + `_11`
   + `_12`
   + `_13`
   + `_14`
   + `_15`
   + `_16`
   + `_17`
   + `_18`
   + `_19`
   + `_20`
   + `_21`
   + `_22`
   + `_23`
   + `_24`
   + `_25`
   + `_26`
   + `_27`
   + `_28`
   + `_29`
   + `_30`
   + `MON`
   + `TUE`
   + `WED`
   + `THU`
   + `FRI`
   + `SAT`
   + `SUN`
}

class `org.isda.cdm@0.2.0.Mortgage` {
<< concept>>
   + `Period` `paymentFrequency`
   + `String` `dayCountFractionScheme`
   + `String` `sectorScheme`
   + `String` `tranche`
   + `Party` `insurer`
   + `String` `insurerReference`
   + `Double` `originalPrincipalAmount`
   + `MortgageSectorEnum` `sector`
   + `DayCountFractionEnum` `dayCountFraction`
   + `AssetPool` `pool`
   + `String` `couponTypeScheme`
   + `String` `seniorityScheme`
   + `String` `issuerName`
   + `String` `issuerReference`
   + `CreditSeniorityEnum` `seniority`
   + `CouponTypeEnum` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `DateTime` `issueDate`
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `ProductIdentifier[]` `productIdentifier`
   + `ProductTaxonomy[]` `productTaxonomy`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.Mortgage` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.Mortgage` "1" *-- "1" `org.isda.cdm@0.2.0.Party`
`org.isda.cdm@0.2.0.Mortgage` "1" *-- "1" `org.isda.cdm@0.2.0.MortgageSectorEnum`
`org.isda.cdm@0.2.0.Mortgage` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.Mortgage` "1" *-- "1" `org.isda.cdm@0.2.0.AssetPool`
`org.isda.cdm@0.2.0.Mortgage` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSeniorityEnum`
`org.isda.cdm@0.2.0.Mortgage` "1" *-- "1" `org.isda.cdm@0.2.0.CouponTypeEnum`
`org.isda.cdm@0.2.0.Mortgage` "1" *-- "*" `org.isda.cdm@0.2.0.ProductIdentifier`
`org.isda.cdm@0.2.0.Mortgage` "1" *-- "*" `org.isda.cdm@0.2.0.ProductTaxonomy`
class `org.isda.cdm@0.2.0.MortgageBuilder` {
<< concept>>
   + `String` `dayCountFractionScheme`
   + `String` `sectorScheme`
   + `String` `tranche`
   + `String` `insurerReference`
   + `Double` `originalPrincipalAmount`
   + `MortgageSectorEnum` `sector`
   + `DayCountFractionEnum` `dayCountFraction`
   + `String` `couponTypeScheme`
   + `String` `seniorityScheme`
   + `String` `issuerName`
   + `String` `issuerReference`
   + `CreditSeniorityEnum` `seniority`
   + `CouponTypeEnum` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `DateTime` `issueDate`
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.MortgageBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.MortgageSectorEnum`
`org.isda.cdm@0.2.0.MortgageBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.MortgageBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSeniorityEnum`
`org.isda.cdm@0.2.0.MortgageBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CouponTypeEnum`
class `org.isda.cdm@0.2.0.AssetClassEnum` {
<< enumeration>>
   + `COMMODITY`
   + `CREDIT`
   + `EQUITY`
   + `FOREIGN_EXCHANGE`
   + `INTEREST_RATE`
}

class `org.isda.cdm@0.2.0.GoverningLawEnum` {
<< enumeration>>
   + `AS_SPECIFIED_IN_MASTER_AGREEMENT`
}

class `org.isda.cdm@0.2.0.CategoryEnum` {
<< enumeration>>
   + `TBD`
}

class `org.isda.cdm@0.2.0.PaymentDiscounting` {
<< concept>>
   + `Double` `discountFactor`
   + `Money` `presentValueAmount`
}

`org.isda.cdm@0.2.0.PaymentDiscounting` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.PaymentDiscountingBuilder` {
<< concept>>
   + `Double` `discountFactor`
}

class `org.isda.cdm@0.2.0.ReferenceSwapCurve` {
<< concept>>
   + `SwapCurveValuation` `swapUnwindValue`
   + `MakeWholeAmount` `makeWholeAmount`
}

`org.isda.cdm@0.2.0.ReferenceSwapCurve` "1" *-- "1" `org.isda.cdm@0.2.0.SwapCurveValuation`
`org.isda.cdm@0.2.0.ReferenceSwapCurve` "1" *-- "1" `org.isda.cdm@0.2.0.MakeWholeAmount`
class `org.isda.cdm@0.2.0.ReferenceSwapCurveBuilder`
<< concept>> `org.isda.cdm@0.2.0.ReferenceSwapCurveBuilder`

class `org.isda.cdm@0.2.0.InterestRate` {
<< concept>>
   + `FloatingRateCalculation` `floatingRate`
   + `InflationRateCalculation` `inflationRate`
   + `Schedule` `fixedRate`
}

`org.isda.cdm@0.2.0.InterestRate` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateCalculation`
`org.isda.cdm@0.2.0.InterestRate` "1" *-- "1" `org.isda.cdm@0.2.0.InflationRateCalculation`
`org.isda.cdm@0.2.0.InterestRate` "1" *-- "1" `org.isda.cdm@0.2.0.Schedule`
class `org.isda.cdm@0.2.0.InterestRateBuilder`
<< concept>> `org.isda.cdm@0.2.0.InterestRateBuilder`

class `org.isda.cdm@0.2.0.PartyContractIdentifierBuilder` {
<< concept>>
   + `String` `accountReference`
   + `String` `partyReference`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

class `org.isda.cdm@0.2.0.PartyContractIdentifier` {
<< concept>>
   + `LinkId[]` `linkId`
   + `ContractIdentifier[]` `allocationTradeId`
   + `ContractIdentifierExtended[]` `resultingTradeId`
   + `ContractIdentifier` `blockTradeId`
   + `ContractIdentifier[]` `originatingTradeId`
   + `String` `accountReference`
   + `String` `partyReference`
   + `IdentifierValue` `identifierValue`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

`org.isda.cdm@0.2.0.PartyContractIdentifier` "1" *-- "*" `org.isda.cdm@0.2.0.LinkId`
`org.isda.cdm@0.2.0.PartyContractIdentifier` "1" *-- "*" `org.isda.cdm@0.2.0.ContractIdentifier`
`org.isda.cdm@0.2.0.PartyContractIdentifier` "1" *-- "*" `org.isda.cdm@0.2.0.ContractIdentifierExtended`
`org.isda.cdm@0.2.0.PartyContractIdentifier` "1" *-- "1" `org.isda.cdm@0.2.0.ContractIdentifier`
`org.isda.cdm@0.2.0.PartyContractIdentifier` "1" *-- "*" `org.isda.cdm@0.2.0.ContractIdentifier`
`org.isda.cdm@0.2.0.PartyContractIdentifier` "1" *-- "1" `org.isda.cdm@0.2.0.IdentifierValue`
class `org.isda.cdm@0.2.0.OptionTypeEnum` {
<< enumeration>>
   + `PUT`
   + `CALL`
   + `PAYER`
   + `RECEIVER`
   + `STRADDLE`
}

class `org.isda.cdm@0.2.0.ConvertibleBondBuilder` {
<< concept>>
   + `DateTime` `redemptionDate`
   + `String` `dayCountFractionScheme`
   + `Double` `parValue`
   + `Double` `issuanceFaceAmount`
   + `DayCountFractionEnum` `dayCountFraction`
   + `String` `couponTypeScheme`
   + `String` `seniorityScheme`
   + `String` `issuerName`
   + `String` `issuerReference`
   + `CreditSeniorityEnum` `seniority`
   + `CouponTypeEnum` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `DateTime` `issueDate`
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.ConvertibleBondBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.ConvertibleBondBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSeniorityEnum`
`org.isda.cdm@0.2.0.ConvertibleBondBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CouponTypeEnum`
class `org.isda.cdm@0.2.0.ConvertibleBond` {
<< concept>>
   + `EquityAsset` `underlyingEquity`
   + `DateTime` `redemptionDate`
   + `Period` `paymentFrequency`
   + `String` `dayCountFractionScheme`
   + `Double` `parValue`
   + `Double` `issuanceFaceAmount`
   + `DayCountFractionEnum` `dayCountFraction`
   + `String` `couponTypeScheme`
   + `String` `seniorityScheme`
   + `String` `issuerName`
   + `String` `issuerReference`
   + `CreditSeniorityEnum` `seniority`
   + `CouponTypeEnum` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `DateTime` `issueDate`
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `ProductIdentifier[]` `productIdentifier`
   + `ProductTaxonomy[]` `productTaxonomy`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.ConvertibleBond` "1" *-- "1" `org.isda.cdm@0.2.0.EquityAsset`
`org.isda.cdm@0.2.0.ConvertibleBond` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.ConvertibleBond` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.ConvertibleBond` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSeniorityEnum`
`org.isda.cdm@0.2.0.ConvertibleBond` "1" *-- "1" `org.isda.cdm@0.2.0.CouponTypeEnum`
`org.isda.cdm@0.2.0.ConvertibleBond` "1" *-- "*" `org.isda.cdm@0.2.0.ProductIdentifier`
`org.isda.cdm@0.2.0.ConvertibleBond` "1" *-- "*" `org.isda.cdm@0.2.0.ProductTaxonomy`
class `org.isda.cdm@0.2.0.Offset` {
<< concept>>
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.Offset` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.Offset` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.OffsetBuilder` {
<< concept>>
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.OffsetBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.OffsetBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.StandardSettlementStyleEnum` {
<< enumeration>>
   + `STANDARD`
   + `NET`
   + `STANDARD_AND_NET`
}

class `org.isda.cdm@0.2.0.PaymentDates` {
<< concept>>
   + `String` `id`
   + `Frequency` `paymentFrequency`
   + `Offset` `paymentDaysOffset`
   + `DateTime` `lastRegularPaymentDate`
   + `String` `resetDatesReference`
   + `String` `valuationDatesReference`
   + `Boolean` `paymentDelay`
   + `PayRelativeToEnum` `payRelativeTo`
   + `DateTime` `firstPaymentDate`
   + `String` `calculationPeriodDatesReference`
   + `BusinessDayAdjustments` `paymentDatesAdjustments`
}

`org.isda.cdm@0.2.0.PaymentDates` "1" *-- "1" `org.isda.cdm@0.2.0.Frequency`
`org.isda.cdm@0.2.0.PaymentDates` "1" *-- "1" `org.isda.cdm@0.2.0.Offset`
`org.isda.cdm@0.2.0.PaymentDates` "1" *-- "1" `org.isda.cdm@0.2.0.PayRelativeToEnum`
`org.isda.cdm@0.2.0.PaymentDates` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
class `org.isda.cdm@0.2.0.PaymentDatesBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `lastRegularPaymentDate`
   + `String` `resetDatesReference`
   + `String` `valuationDatesReference`
   + `Boolean` `paymentDelay`
   + `PayRelativeToEnum` `payRelativeTo`
   + `DateTime` `firstPaymentDate`
   + `String` `calculationPeriodDatesReference`
}

`org.isda.cdm@0.2.0.PaymentDatesBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PayRelativeToEnum`
class `org.isda.cdm@0.2.0.QuotedCurrencyPair` {
<< concept>>
   + `String` `currency1`
   + `String` `currency2`
   + `QuoteBasisEnum` `quoteBasis`
   + `String` `currency1Scheme`
   + `String` `currency2Scheme`
}

`org.isda.cdm@0.2.0.QuotedCurrencyPair` "1" *-- "1" `org.isda.cdm@0.2.0.QuoteBasisEnum`
class `org.isda.cdm@0.2.0.QuotedCurrencyPairBuilder` {
<< concept>>
   + `String` `currency1`
   + `String` `currency2`
   + `QuoteBasisEnum` `quoteBasis`
   + `String` `currency1Scheme`
   + `String` `currency2Scheme`
}

`org.isda.cdm@0.2.0.QuotedCurrencyPairBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuoteBasisEnum`
class `org.isda.cdm@0.2.0.ObservationSource` {
<< concept>>
   + `Curve` `curve`
   + `InformationSource` `informationSource`
}

`org.isda.cdm@0.2.0.ObservationSource` "1" *-- "1" `org.isda.cdm@0.2.0.Curve`
`org.isda.cdm@0.2.0.ObservationSource` "1" *-- "1" `org.isda.cdm@0.2.0.InformationSource`
class `org.isda.cdm@0.2.0.ObservationSourceBuilder`
<< concept>> `org.isda.cdm@0.2.0.ObservationSourceBuilder`

class `org.isda.cdm@0.2.0.ContractIdentifierExtended` {
<< concept>>
   + `String` `associatedParty`
   + `String` `accountReference`
   + `String` `partyReference`
   + `IdentifierValue` `identifierValue`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

`org.isda.cdm@0.2.0.ContractIdentifierExtended` "1" *-- "1" `org.isda.cdm@0.2.0.IdentifierValue`
class `org.isda.cdm@0.2.0.ContractIdentifierExtendedBuilder` {
<< concept>>
   + `String` `associatedParty`
   + `String` `accountReference`
   + `String` `partyReference`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

class `org.isda.cdm@0.2.0.StrikeBuilder` {
<< concept>>
   + `String` `id`
   + `PayerReceiverEnum` `buyer`
   + `PayerReceiverEnum` `seller`
   + `Double` `strikeRate`
}

`org.isda.cdm@0.2.0.StrikeBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiverEnum`
`org.isda.cdm@0.2.0.StrikeBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiverEnum`
class `org.isda.cdm@0.2.0.Strike` {
<< concept>>
   + `String` `id`
   + `PayerReceiverEnum` `buyer`
   + `PayerReceiverEnum` `seller`
   + `Double` `strikeRate`
}

`org.isda.cdm@0.2.0.Strike` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiverEnum`
`org.isda.cdm@0.2.0.Strike` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiverEnum`
class `org.isda.cdm@0.2.0.PaymentTypeEnum` {
<< enumeration>>
   + `NET_CASHFLOW`
   + `BROKERAGE_COMMISSION`
   + `FEE`
   + `INTEREST`
   + `NET_INTEREST`
   + `NOVATION_FEE`
   + `PREMIUM`
   + `TERMINATION_FEE`
}

class `org.isda.cdm@0.2.0.StrikeSchedule` {
<< concept>>
   + `PayerReceiverEnum` `buyer`
   + `PayerReceiverEnum` `seller`
   + `String` `id`
   + `Double` `initialValue`
   + `Step[]` `step`
}

`org.isda.cdm@0.2.0.StrikeSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiverEnum`
`org.isda.cdm@0.2.0.StrikeSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiverEnum`
`org.isda.cdm@0.2.0.StrikeSchedule` "1" *-- "*" `org.isda.cdm@0.2.0.Step`
class `org.isda.cdm@0.2.0.StrikeScheduleBuilder` {
<< concept>>
   + `PayerReceiverEnum` `buyer`
   + `PayerReceiverEnum` `seller`
   + `String` `id`
   + `Double` `initialValue`
}

`org.isda.cdm@0.2.0.StrikeScheduleBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiverEnum`
`org.isda.cdm@0.2.0.StrikeScheduleBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiverEnum`
class `org.isda.cdm@0.2.0.AveragingMethodEnum` {
<< enumeration>>
   + `UNWEIGHTED`
   + `WEIGHTED`
}

class `org.isda.cdm@0.2.0.IntentEnum` {
<< enumeration>>
   + `ALLOCATION`
   + `COMPRESSION`
   + `CORRECTION`
   + `EARLY_TERMINATION`
   + `EXERCISE`
   + `INCREASE`
   + `NEW_TRADE`
   + `NOVATION`
   + `PARTIAL_NOVATION`
   + `PARTIAL_TERMINATION`
   + `PORTFOLIO_COMPRESSION`
   + `RENEGOTIATION`
   + `TERMINATION`
}

class `org.isda.cdm@0.2.0.ExercisePrimitive` {
<< concept>>
   + `ContractOrContractReference` `before`
   + `DateTime` `exerciseDate`
   + `DateTime` `exerciseTime`
   + `Boolean` `fullExercise`
   + `ExerciseOutcome` `after`
}

`org.isda.cdm@0.2.0.ExercisePrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.ContractOrContractReference`
`org.isda.cdm@0.2.0.ExercisePrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.ExerciseOutcome`
class `org.isda.cdm@0.2.0.ExercisePrimitiveBuilder` {
<< concept>>
   + `DateTime` `exerciseDate`
   + `DateTime` `exerciseTime`
   + `Boolean` `fullExercise`
}

class `org.isda.cdm@0.2.0.DayOfWeekEnum` {
<< enumeration>>
   + `MON`
   + `TUE`
   + `WED`
   + `THU`
   + `FRI`
   + `SAT`
   + `SUN`
}

class `org.isda.cdm@0.2.0.AccountTypeEnum` {
<< enumeration>>
   + `AGGREGATE_CLIENT`
   + `CLIENT`
   + `HOUSE`
}

class `org.isda.cdm@0.2.0.AdjustedRelativeDateOffset` {
<< concept>>
   + `BusinessDayAdjustments` `relativeDateAdjustments`
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `BusinessCenters` `businessCenters`
   + `String` `businessCentersReference`
   + `String` `dateRelativeTo`
   + `DateTime` `adjustedDate`
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.AdjustedRelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
`org.isda.cdm@0.2.0.AdjustedRelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.AdjustedRelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenters`
`org.isda.cdm@0.2.0.AdjustedRelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.AdjustedRelativeDateOffset` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.AdjustedRelativeDateOffsetBuilder` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `String` `businessCentersReference`
   + `String` `dateRelativeTo`
   + `DateTime` `adjustedDate`
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.AdjustedRelativeDateOffsetBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.AdjustedRelativeDateOffsetBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.AdjustedRelativeDateOffsetBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.CreditSupportAgreementBuilder` {
<< concept>>
   + `CreditSupportAgreementTypeEnum` `type`
   + `String` `identifierValue`
   + `DateTime` `date`
   + `String` `typeScheme`
}

`org.isda.cdm@0.2.0.CreditSupportAgreementBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSupportAgreementTypeEnum`
class `org.isda.cdm@0.2.0.CreditSupportAgreement` {
<< concept>>
   + `CreditSupportAgreementTypeEnum` `type`
   + `String` `identifierValue`
   + `DateTime` `date`
   + `String` `typeScheme`
}

`org.isda.cdm@0.2.0.CreditSupportAgreement` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSupportAgreementTypeEnum`
class `org.isda.cdm@0.2.0.PaymentStatusEnum` {
<< enumeration>>
   + `DISPUTED`
   + `INSTRUCTED`
   + `PENDING`
   + `SETTLED`
}

class `org.isda.cdm@0.2.0.LinkId` {
<< concept>>
   + `String` `id`
   + `String` `linkId`
   + `String` `linkIdScheme`
}

class `org.isda.cdm@0.2.0.LinkIdBuilder` {
<< concept>>
   + `String` `id`
   + `String` `linkId`
   + `String` `linkIdScheme`
}

class `org.isda.cdm@0.2.0.MasterConfirmationTypeEnum` {
<< enumeration>>
   + `CREDIT_INDEX_2003`
   + `DJ_CDX_NA`
   + `DJ_I_TRAXX_EUROPE`
   + `ISDA_1999_CREDIT`
   + `ISDA_2003_CREDIT_JAPAN`
   + `ISDA_2003_CREDIT_NORTH_AMERICAN`
}

class `org.isda.cdm@0.2.0.MatrixTypeEnum` {
<< enumeration>>
   + `CREDIT_DERIVATIVES_PHYSICAL_SETTLEMENT_MATRIX`
   + `EQUITY_DERIVATIVES_MATRIX`
   + `SETTLEMENT_MATRIX`
}

class `org.isda.cdm@0.2.0.ExtendibleProvisionBuilder` {
<< concept>>
   + `Boolean` `followUpConfirmation`
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
   + `String` `buyerAccountReference`
   + `String` `sellerAccountReference`
}

class `org.isda.cdm@0.2.0.ExtendibleProvision` {
<< concept>>
   + `Boolean` `followUpConfirmation`
   + `AmericanExercise` `americanExercise`
   + `BermudaExercise` `bermudaExercise`
   + `EuropeanExercise` `europeanExercise`
   + `ExerciseNotice` `exerciseNotice`
   + `ExtendibleProvisionAdjustedDates` `extendibleProvisionAdjustedDates`
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
   + `String` `buyerAccountReference`
   + `String` `sellerAccountReference`
}

`org.isda.cdm@0.2.0.ExtendibleProvision` "1" *-- "1" `org.isda.cdm@0.2.0.AmericanExercise`
`org.isda.cdm@0.2.0.ExtendibleProvision` "1" *-- "1" `org.isda.cdm@0.2.0.BermudaExercise`
`org.isda.cdm@0.2.0.ExtendibleProvision` "1" *-- "1" `org.isda.cdm@0.2.0.EuropeanExercise`
`org.isda.cdm@0.2.0.ExtendibleProvision` "1" *-- "1" `org.isda.cdm@0.2.0.ExerciseNotice`
`org.isda.cdm@0.2.0.ExtendibleProvision` "1" *-- "1" `org.isda.cdm@0.2.0.ExtendibleProvisionAdjustedDates`
class `org.isda.cdm@0.2.0.InterestShortfallCapEnum` {
<< enumeration>>
   + `FIXED`
   + `VARIABLE`
}

class `org.isda.cdm@0.2.0.ExtensionEvent` {
<< concept>>
   + `String` `id`
   + `DateTime` `adjustedExerciseDate`
   + `DateTime` `adjustedExtendedTerminationDate`
}

class `org.isda.cdm@0.2.0.ExtensionEventBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `adjustedExerciseDate`
   + `DateTime` `adjustedExtendedTerminationDate`
}

class `org.isda.cdm@0.2.0.CreditSeniorityEnum` {
<< enumeration>>
   + `OTHER`
   + `SENIOR_SEC`
   + `SENIOR_UN_SEC`
   + `SUB_LOWER_TIER_2`
   + `SUB_TIER_1`
   + `SUB_TIER_3`
   + `SUB_UPPER_TIER_2`
}

class `org.isda.cdm@0.2.0.InterpolationMethodEnum` {
<< enumeration>>
   + `LINEAR_ZERO_YIELD`
   + `NONE`
}

class `org.isda.cdm@0.2.0.AdjustableOrAdjustedDate` {
<< concept>>
   + `String` `id`
   + `DateTime` `unadjustedDate`
   + `DateTime` `adjustedDate`
   + `BusinessDayAdjustments` `dateAdjustments`
}

`org.isda.cdm@0.2.0.AdjustableOrAdjustedDate` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
class `org.isda.cdm@0.2.0.AdjustableOrAdjustedDateBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `unadjustedDate`
   + `DateTime` `adjustedDate`
}

class `org.isda.cdm@0.2.0.BuyerSeller` {
<< concept>>
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
   + `String` `buyerAccountReference`
   + `String` `sellerAccountReference`
}

class `org.isda.cdm@0.2.0.BuyerSellerBuilder` {
<< concept>>
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
   + `String` `buyerAccountReference`
   + `String` `sellerAccountReference`
}

class `org.isda.cdm@0.2.0.PaymentBuilder` {
<< concept>>
   + `PaymentTypeEnum` `paymentType`
   + `PaymentStatusEnum` `paymentStatus`
   + `String` `settlementReference`
   + `String` `id`
   + `Double` `discountFactor`
}

`org.isda.cdm@0.2.0.PaymentBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentTypeEnum`
`org.isda.cdm@0.2.0.PaymentBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentStatusEnum`
class `org.isda.cdm@0.2.0.Payment` {
<< concept>>
   + `PaymentTypeEnum` `paymentType`
   + `AdjustableOrAdjustedOrRelativeDate` `paymentDate`
   + `GrossCashflow[]` `grossCashflow`
   + `PaymentStatusEnum` `paymentStatus`
   + `String` `settlementReference`
   + `String` `rosettaKey`
   + `Money` `paymentAmount`
   + `String` `id`
   + `Double` `discountFactor`
   + `Money` `presentValueAmount`
   + `PremiumExpression` `premiumExpression`
   + `PaymentDiscounting` `paymentDiscounting`
   + `PayerReceiver` `payerReceiver`
}

`org.isda.cdm@0.2.0.Payment` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentTypeEnum`
`org.isda.cdm@0.2.0.Payment` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrAdjustedOrRelativeDate`
`org.isda.cdm@0.2.0.Payment` "1" *-- "*" `org.isda.cdm@0.2.0.GrossCashflow`
`org.isda.cdm@0.2.0.Payment` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentStatusEnum`
`org.isda.cdm@0.2.0.Payment` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.Payment` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.Payment` "1" *-- "1" `org.isda.cdm@0.2.0.PremiumExpression`
`org.isda.cdm@0.2.0.Payment` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentDiscounting`
`org.isda.cdm@0.2.0.Payment` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiver`
class `org.isda.cdm@0.2.0.LengthUnitEnum` {
<< enumeration>>
   + `PAGES`
   + `TIME_UNIT`
}

class `org.isda.cdm@0.2.0.SingleValuationDateBuilder` {
<< concept>>
   + `Integer` `businessDays`
}

class `org.isda.cdm@0.2.0.SingleValuationDate` {
<< concept>>
   + `Integer` `businessDays`
}

class `org.isda.cdm@0.2.0.PayerReceiverEnum` {
<< enumeration>>
   + `PAYER`
   + `RECEIVER`
}

class `org.isda.cdm@0.2.0.FloatingRateCalculation` {
<< concept>>
   + `Double` `initialRate`
   + `Rounding` `finalRateRounding`
   + `AveragingMethodEnum` `averagingMethod`
   + `NegativeInterestRateTreatmentEnum` `negativeInterestRateTreatment`
   + `String` `id`
   + `SpreadSchedule[]` `spreadSchedule`
   + `String` `floatingRateIndexScheme`
   + `Schedule` `floatingRateMultiplierSchedule`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Period` `indexTenor`
   + `RateTreatmentEnum` `rateTreatment`
   + `StrikeSchedule[]` `capRateSchedule`
   + `StrikeSchedule[]` `floorRateSchedule`
}

`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.Rounding`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingMethodEnum`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.NegativeInterestRateTreatmentEnum`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "*" `org.isda.cdm@0.2.0.SpreadSchedule`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.Schedule`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.RateTreatmentEnum`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "*" `org.isda.cdm@0.2.0.StrikeSchedule`
`org.isda.cdm@0.2.0.FloatingRateCalculation` "1" *-- "*" `org.isda.cdm@0.2.0.StrikeSchedule`
class `org.isda.cdm@0.2.0.FloatingRateCalculationBuilder` {
<< concept>>
   + `Double` `initialRate`
   + `AveragingMethodEnum` `averagingMethod`
   + `NegativeInterestRateTreatmentEnum` `negativeInterestRateTreatment`
   + `String` `id`
   + `String` `floatingRateIndexScheme`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `RateTreatmentEnum` `rateTreatment`
}

`org.isda.cdm@0.2.0.FloatingRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingMethodEnum`
`org.isda.cdm@0.2.0.FloatingRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.NegativeInterestRateTreatmentEnum`
`org.isda.cdm@0.2.0.FloatingRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.FloatingRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.RateTreatmentEnum`
class `org.isda.cdm@0.2.0.EventTestBundleBuilder`
<< concept>> `org.isda.cdm@0.2.0.EventTestBundleBuilder`

class `org.isda.cdm@0.2.0.EventTestBundle` {
<< concept>>
   + `Event[]` `event`
   + `ComputedAmount[]` `computedAmount`
}

`org.isda.cdm@0.2.0.EventTestBundle` "1" *-- "*" `concerto@1.0.0.Event`
`org.isda.cdm@0.2.0.EventTestBundle` "1" *-- "*" `org.isda.cdm@0.2.0.ComputedAmount`
class `org.isda.cdm@0.2.0.NonDeliverableSettlementBuilder` {
<< concept>>
   + `String` `referenceCurrency`
   + `SettlementRateOptionEnum` `settlementRateOption`
   + `String` `referenceCurrencyScheme`
   + `String` `settlementRateOptionScheme`
}

`org.isda.cdm@0.2.0.NonDeliverableSettlementBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.SettlementRateOptionEnum`
class `org.isda.cdm@0.2.0.NonDeliverableSettlement` {
<< concept>>
   + `String` `referenceCurrency`
   + `FxFixingDate` `fxFixingDate`
   + `AdjustableDates` `fxFixingSchedule`
   + `SettlementRateOptionEnum` `settlementRateOption`
   + `PriceSourceDisruption` `priceSourceDisruption`
   + `String` `referenceCurrencyScheme`
   + `String` `settlementRateOptionScheme`
}

`org.isda.cdm@0.2.0.NonDeliverableSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.FxFixingDate`
`org.isda.cdm@0.2.0.NonDeliverableSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDates`
`org.isda.cdm@0.2.0.NonDeliverableSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.SettlementRateOptionEnum`
`org.isda.cdm@0.2.0.NonDeliverableSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.PriceSourceDisruption`
class `org.isda.cdm@0.2.0.AutomaticExercise` {
<< concept>>
   + `Double` `thresholdRate`
}

class `org.isda.cdm@0.2.0.AutomaticExerciseBuilder` {
<< concept>>
   + `Double` `thresholdRate`
}

class `org.isda.cdm@0.2.0.MasterConfirmationAnnexTypeEnum` {
<< enumeration>>
   + `ISDA_2004_INDEX_VARIANCE_SWAP_AMERICAS_INTERDEALER`
}

class `org.isda.cdm@0.2.0.CalculationPeriodFrequency` {
<< concept>>
   + `RollConventionEnum` `rollConvention`
   + `String` `id`
   + `PeriodExtendedEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.CalculationPeriodFrequency` "1" *-- "1" `org.isda.cdm@0.2.0.RollConventionEnum`
`org.isda.cdm@0.2.0.CalculationPeriodFrequency` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodExtendedEnum`
class `org.isda.cdm@0.2.0.CalculationPeriodFrequencyBuilder` {
<< concept>>
   + `RollConventionEnum` `rollConvention`
   + `String` `id`
   + `PeriodExtendedEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.CalculationPeriodFrequencyBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.RollConventionEnum`
`org.isda.cdm@0.2.0.CalculationPeriodFrequencyBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodExtendedEnum`
class `org.isda.cdm@0.2.0.CashflowRepresentationBuilder` {
<< concept>>
   + `Boolean` `cashflowsMatchParameters`
}

class `org.isda.cdm@0.2.0.CashflowRepresentation` {
<< concept>>
   + `Boolean` `cashflowsMatchParameters`
   + `PrincipalExchange[]` `principalExchange`
   + `PaymentCalculationPeriod[]` `paymentCalculationPeriod`
}

`org.isda.cdm@0.2.0.CashflowRepresentation` "1" *-- "*" `org.isda.cdm@0.2.0.PrincipalExchange`
`org.isda.cdm@0.2.0.CashflowRepresentation` "1" *-- "*" `org.isda.cdm@0.2.0.PaymentCalculationPeriod`
class `org.isda.cdm@0.2.0.DiscountingBuilder` {
<< concept>>
   + `DayCountFractionEnum` `discountRateDayCountFraction`
   + `Double` `discountRate`
   + `DiscountingTypeEnum` `discountingType`
   + `String` `discountRateDayCountFractionScheme`
}

`org.isda.cdm@0.2.0.DiscountingBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.DiscountingBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DiscountingTypeEnum`
class `org.isda.cdm@0.2.0.Discounting` {
<< concept>>
   + `DayCountFractionEnum` `discountRateDayCountFraction`
   + `Double` `discountRate`
   + `DiscountingTypeEnum` `discountingType`
   + `String` `discountRateDayCountFractionScheme`
}

`org.isda.cdm@0.2.0.Discounting` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.Discounting` "1" *-- "1" `org.isda.cdm@0.2.0.DiscountingTypeEnum`
class `org.isda.cdm@0.2.0.YieldCurveMethod` {
<< concept>>
   + `QuotationRateTypeEnum` `quotationRateType`
   + `SettlementRateSource` `settlementRateSource`
}

`org.isda.cdm@0.2.0.YieldCurveMethod` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationRateTypeEnum`
`org.isda.cdm@0.2.0.YieldCurveMethod` "1" *-- "1" `org.isda.cdm@0.2.0.SettlementRateSource`
class `org.isda.cdm@0.2.0.YieldCurveMethodBuilder` {
<< concept>>
   + `QuotationRateTypeEnum` `quotationRateType`
}

`org.isda.cdm@0.2.0.YieldCurveMethodBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationRateTypeEnum`
class `org.isda.cdm@0.2.0.CreditSupportAgreementTypeEnum` {
<< enumeration>>
   + `ISDA_1994_CREDIT_SUPPORT_ANNEX_NEW_YORK_LAW`
   + `ISDA_1995_CREDIT_SUPPORT_ANNEX_ENGLISH_LAW`
   + `ISDA_1995_CREDIT_SUPPORT_ANNEX_JAPANESE_LAW`
   + `ISDA_1995_CREDIT_SUPPORT_DEED_ENGLISH_LAW`
   + `ISDA_2001_MARGIN_PROVISIONS`
   + `ISDA_2013_STANDARD_CREDIT_SUPPORT_AGREEMENT`
   + `ISDA_2014_STANDARD_CREDIT_SUPPORT_AGREEMENT`
}

class `org.isda.cdm@0.2.0.OptionExercise` {
<< concept>>
   + `OptionStyle` `optionStyle`
   + `OptionStrike` `strike`
   + `ExerciseProcedure` `exerciseProcedure`
   + `OptionSettlement` `settlement`
}

`org.isda.cdm@0.2.0.OptionExercise` "1" *-- "1" `org.isda.cdm@0.2.0.OptionStyle`
`org.isda.cdm@0.2.0.OptionExercise` "1" *-- "1" `org.isda.cdm@0.2.0.OptionStrike`
`org.isda.cdm@0.2.0.OptionExercise` "1" *-- "1" `org.isda.cdm@0.2.0.ExerciseProcedure`
`org.isda.cdm@0.2.0.OptionExercise` "1" *-- "1" `org.isda.cdm@0.2.0.OptionSettlement`
class `org.isda.cdm@0.2.0.OptionExerciseBuilder`
<< concept>> `org.isda.cdm@0.2.0.OptionExerciseBuilder`

class `org.isda.cdm@0.2.0.CashSettlementPaymentDateBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.CashSettlementPaymentDate` {
<< concept>>
   + `String` `id`
   + `AdjustableDates` `adjustableDates`
   + `BusinessDateRange` `businessDateRange`
   + `RelativeDateOffset` `relativeDate`
}

`org.isda.cdm@0.2.0.CashSettlementPaymentDate` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDates`
`org.isda.cdm@0.2.0.CashSettlementPaymentDate` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDateRange`
`org.isda.cdm@0.2.0.CashSettlementPaymentDate` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
class `org.isda.cdm@0.2.0.DateList` {
<< concept>>
   + `DateTime[]` `date`
}

class `org.isda.cdm@0.2.0.DateListBuilder` {
<< concept>>
   + `DateTime[]` `date`
}

class `org.isda.cdm@0.2.0.DateRange` {
<< concept>>
   + `DateTime` `unadjustedFirstDate`
   + `DateTime` `unadjustedLastDate`
}

class `org.isda.cdm@0.2.0.DateRangeBuilder` {
<< concept>>
   + `DateTime` `unadjustedFirstDate`
   + `DateTime` `unadjustedLastDate`
}

class `org.isda.cdm@0.2.0.PrimitiveEvent` {
<< concept>>
   + `Payment[]` `payment`
   + `ObservationPrimitive[]` `observation`
   + `Transfer[]` `transfer`
   + `NewTradePrimitive[]` `newTrade`
   + `Inception[]` `inception`
   + `QuantityChangePrimitive[]` `quantityChange`
   + `AllocationPrimitive[]` `allocation`
   + `TermsChangePrimitive` `termsChange`
   + `ExercisePrimitive` `exercise`
   + `ResetPrimitive[]` `reset`
}

`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "*" `org.isda.cdm@0.2.0.Payment`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "*" `org.isda.cdm@0.2.0.ObservationPrimitive`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "*" `org.isda.cdm@0.2.0.Transfer`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "*" `org.isda.cdm@0.2.0.NewTradePrimitive`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "*" `org.isda.cdm@0.2.0.Inception`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "*" `org.isda.cdm@0.2.0.QuantityChangePrimitive`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "*" `org.isda.cdm@0.2.0.AllocationPrimitive`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "1" `org.isda.cdm@0.2.0.TermsChangePrimitive`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "1" `org.isda.cdm@0.2.0.ExercisePrimitive`
`org.isda.cdm@0.2.0.PrimitiveEvent` "1" *-- "*" `org.isda.cdm@0.2.0.ResetPrimitive`
class `org.isda.cdm@0.2.0.PrimitiveEventBuilder`
<< concept>> `org.isda.cdm@0.2.0.PrimitiveEventBuilder`

class `org.isda.cdm@0.2.0.StubValueBuilder` {
<< concept>>
   + `Double` `stubRate`
}

class `org.isda.cdm@0.2.0.StubValue` {
<< concept>>
   + `StubFloatingRate[]` `floatingRate`
   + `Double` `stubRate`
   + `Money` `stubAmount`
}

`org.isda.cdm@0.2.0.StubValue` "1" *-- "*" `org.isda.cdm@0.2.0.StubFloatingRate`
`org.isda.cdm@0.2.0.StubValue` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.PartyRoleEnum` {
<< enumeration>>
   + `BARRIER_DETERMINATION_AGENT`
   + `BENEFICIARY`
   + `BROKER`
   + `DETERMINING_PARTY`
   + `HEDGING_PARTY`
}

class `org.isda.cdm@0.2.0.GrossCashflowBuilder` {
<< concept>>
   + `String` `cashflowCalculation`
   + `CashflowTypeEnum` `cashflowType`
   + `String` `id`
   + `Double` `discountFactor`
}

`org.isda.cdm@0.2.0.GrossCashflowBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CashflowTypeEnum`
class `org.isda.cdm@0.2.0.GrossCashflow` {
<< concept>>
   + `PayoutLineage` `payoutLineage`
   + `String` `cashflowCalculation`
   + `CashflowTypeEnum` `cashflowType`
   + `Money` `cashflowAmount`
   + `String` `id`
   + `Double` `discountFactor`
   + `Money` `presentValueAmount`
   + `PremiumExpression` `premiumExpression`
   + `PaymentDiscounting` `paymentDiscounting`
   + `PayerReceiver` `payerReceiver`
}

`org.isda.cdm@0.2.0.GrossCashflow` "1" *-- "1" `org.isda.cdm@0.2.0.PayoutLineage`
`org.isda.cdm@0.2.0.GrossCashflow` "1" *-- "1" `org.isda.cdm@0.2.0.CashflowTypeEnum`
`org.isda.cdm@0.2.0.GrossCashflow` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.GrossCashflow` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.GrossCashflow` "1" *-- "1" `org.isda.cdm@0.2.0.PremiumExpression`
`org.isda.cdm@0.2.0.GrossCashflow` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentDiscounting`
`org.isda.cdm@0.2.0.GrossCashflow` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiver`
class `org.isda.cdm@0.2.0.NaturalPersonRole` {
<< concept>>
   + `NaturalPersonRoleEnum` `role`
   + `String` `personReference`
   + `String` `roleScheme`
}

`org.isda.cdm@0.2.0.NaturalPersonRole` "1" *-- "1" `org.isda.cdm@0.2.0.NaturalPersonRoleEnum`
class `org.isda.cdm@0.2.0.NaturalPersonRoleBuilder` {
<< concept>>
   + `NaturalPersonRoleEnum` `role`
   + `String` `personReference`
   + `String` `roleScheme`
}

`org.isda.cdm@0.2.0.NaturalPersonRoleBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.NaturalPersonRoleEnum`
class `org.isda.cdm@0.2.0.QuantityTypeEnum` {
<< enumeration>>
   + `UNITS`
   + `CONTRACTS`
   + `UNITS_OF_MEASURE_PER_TIME_UNIT`
}

class `org.isda.cdm@0.2.0.EntityTypeEnum` {
<< enumeration>>
   + `ASIAN`
   + `AUSTRALIAN_AND_NEW_ZEALAND`
   + `EUROPEAN_EMERGING_MARKETS`
   + `JAPANESE`
   + `NORTH_AMERICAN_HIGH_YIELD`
   + `NORTH_AMERICAN_INSURANCE`
   + `NORTH_AMERICAN_INVESTMENT_GRADE`
   + `SINGAPOREAN`
   + `WESTERN_EUROPEAN`
   + `WESTERN_EUROPEAN_INSURANCE`
}

class `org.isda.cdm@0.2.0.FxFixingDate` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `BusinessCenters` `businessCenters`
   + `String` `businessCentersReference`
   + `DateRelativeToPaymentDates` `dateRelativeToPaymentDates`
   + `DateRelativeToCalculationPeriodDates` `dateRelativeToCalculationPeriodDates`
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.FxFixingDate` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.FxFixingDate` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenters`
`org.isda.cdm@0.2.0.FxFixingDate` "1" *-- "1" `org.isda.cdm@0.2.0.DateRelativeToPaymentDates`
`org.isda.cdm@0.2.0.FxFixingDate` "1" *-- "1" `org.isda.cdm@0.2.0.DateRelativeToCalculationPeriodDates`
`org.isda.cdm@0.2.0.FxFixingDate` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.FxFixingDate` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.FxFixingDateBuilder` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `String` `businessCentersReference`
   + `DayTypeEnum` `dayType`
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.FxFixingDateBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
`org.isda.cdm@0.2.0.FxFixingDateBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayTypeEnum`
`org.isda.cdm@0.2.0.FxFixingDateBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.RelatedParty` {
<< concept>>
   + `PartyRoleEnum` `role`
   + `String` `accountReference`
   + `String` `partyReference`
}

`org.isda.cdm@0.2.0.RelatedParty` "1" *-- "1" `org.isda.cdm@0.2.0.PartyRoleEnum`
class `org.isda.cdm@0.2.0.RelatedPartyBuilder` {
<< concept>>
   + `PartyRoleEnum` `role`
   + `String` `accountReference`
   + `String` `partyReference`
}

`org.isda.cdm@0.2.0.RelatedPartyBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PartyRoleEnum`
class `org.isda.cdm@0.2.0.SimplePayment` {
<< concept>>
   + `String` `id`
   + `AdjustableOrRelativeDate` `paymentDate`
   + `Money` `paymentAmount`
   + `String` `payerPartyReference`
   + `String` `receiverPartyReference`
   + `String` `payerAccountReference`
   + `String` `receiverAccountReference`
}

`org.isda.cdm@0.2.0.SimplePayment` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDate`
`org.isda.cdm@0.2.0.SimplePayment` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.SimplePaymentBuilder` {
<< concept>>
   + `String` `id`
   + `String` `payerPartyReference`
   + `String` `receiverPartyReference`
   + `String` `payerAccountReference`
   + `String` `receiverAccountReference`
}

class `org.isda.cdm@0.2.0.ResetRelativeToEnum` {
<< enumeration>>
   + `CALCULATION_PERIOD_START_DATE`
   + `CALCULATION_PERIOD_END_DATE`
}

class `org.isda.cdm@0.2.0.Product` {
<< concept>>
   + `ListedProduct` `listedProduct`
   + `ContractualProduct` `contractualProduct`
}

`org.isda.cdm@0.2.0.Product` "1" *-- "1" `org.isda.cdm@0.2.0.ListedProduct`
`org.isda.cdm@0.2.0.Product` "1" *-- "1" `org.isda.cdm@0.2.0.ContractualProduct`
class `org.isda.cdm@0.2.0.ProductBuilder`
<< concept>> `org.isda.cdm@0.2.0.ProductBuilder`

class `org.isda.cdm@0.2.0.ResetDates` {
<< concept>>
   + `String` `id`
   + `Offset` `rateCutOffDaysOffset`
   + `ResetRelativeToEnum` `resetRelativeTo`
   + `InitialFixingDate` `initialFixingDate`
   + `AdjustableDate` `finalFixingDate`
   + `RelativeDateOffset` `fixingDates`
   + `String` `calculationPeriodDatesReference`
   + `ResetFrequency` `resetFrequency`
   + `BusinessDayAdjustments` `resetDatesAdjustments`
}

`org.isda.cdm@0.2.0.ResetDates` "1" *-- "1" `org.isda.cdm@0.2.0.Offset`
`org.isda.cdm@0.2.0.ResetDates` "1" *-- "1" `org.isda.cdm@0.2.0.ResetRelativeToEnum`
`org.isda.cdm@0.2.0.ResetDates` "1" *-- "1" `org.isda.cdm@0.2.0.InitialFixingDate`
`org.isda.cdm@0.2.0.ResetDates` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDate`
`org.isda.cdm@0.2.0.ResetDates` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
`org.isda.cdm@0.2.0.ResetDates` "1" *-- "1" `org.isda.cdm@0.2.0.ResetFrequency`
`org.isda.cdm@0.2.0.ResetDates` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
class `org.isda.cdm@0.2.0.ResetDatesBuilder` {
<< concept>>
   + `String` `id`
   + `ResetRelativeToEnum` `resetRelativeTo`
   + `String` `calculationPeriodDatesReference`
}

`org.isda.cdm@0.2.0.ResetDatesBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.ResetRelativeToEnum`
class `org.isda.cdm@0.2.0.NotDomesticCurrencyBuilder` {
<< concept>>
   + `String` `currency`
   + `Boolean` `applicable`
   + `String` `currencyScheme`
}

class `org.isda.cdm@0.2.0.NotDomesticCurrency` {
<< concept>>
   + `String` `currency`
   + `Boolean` `applicable`
   + `String` `currencyScheme`
}

class `org.isda.cdm@0.2.0.AdjustableOrRelativeDate` {
<< concept>>
   + `String` `id`
   + `AdjustableDate` `adjustableDate`
   + `RelativeDateOffset` `relativeDate`
}

`org.isda.cdm@0.2.0.AdjustableOrRelativeDate` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDate`
`org.isda.cdm@0.2.0.AdjustableOrRelativeDate` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
class `org.isda.cdm@0.2.0.AdjustableOrRelativeDateBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.FraDiscountingEnum` {
<< enumeration>>
   + `ISDA`
   + `AFMA`
   + `NONE`
   + `ISDA_YIELD`
}

class `org.isda.cdm@0.2.0.FxLinkedNotionalScheduleBuilder` {
<< concept>>
   + `String` `varyingNotionalCurrency`
   + `String` `constantNotionalScheduleReference`
   + `Double` `initialValue`
   + `String` `varyingNotionalCurrencyScheme`
}

class `org.isda.cdm@0.2.0.FxLinkedNotionalSchedule` {
<< concept>>
   + `String` `varyingNotionalCurrency`
   + `FxSpotRateSource` `fxSpotRateSource`
   + `String` `constantNotionalScheduleReference`
   + `RelativeDateOffset` `varyingNotionalFixingDates`
   + `RelativeDateOffset` `varyingNotionalInterimExchangePaymentDates`
   + `Double` `initialValue`
   + `String` `varyingNotionalCurrencyScheme`
}

`org.isda.cdm@0.2.0.FxLinkedNotionalSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.FxSpotRateSource`
`org.isda.cdm@0.2.0.FxLinkedNotionalSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
`org.isda.cdm@0.2.0.FxLinkedNotionalSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
class `org.isda.cdm@0.2.0.MultipleExercise` {
<< concept>>
   + `Double` `maximumNumberOfOptions`
   + `Double` `maximumNotionalAmount`
   + `Integer` `minimumNumberOfOptions`
   + `String` `notionaReference`
   + `Double` `integralMultipleAmount`
   + `Double` `minimumNotionalAmount`
}

class `org.isda.cdm@0.2.0.MultipleExerciseBuilder` {
<< concept>>
   + `Double` `maximumNumberOfOptions`
   + `Double` `maximumNotionalAmount`
   + `Integer` `minimumNumberOfOptions`
   + `String` `notionaReference`
   + `Double` `integralMultipleAmount`
   + `Double` `minimumNotionalAmount`
}

class `org.isda.cdm@0.2.0.PCDeliverableObligationCharacBuilder` {
<< concept>>
   + `Boolean` `applicable`
   + `Boolean` `partialCashSettlement`
}

class `org.isda.cdm@0.2.0.PCDeliverableObligationCharac` {
<< concept>>
   + `Boolean` `applicable`
   + `Boolean` `partialCashSettlement`
}

class `org.isda.cdm@0.2.0.FloatingAmountProvisions` {
<< concept>>
   + `Boolean` `wacCapInterestProvision`
   + `Boolean` `stepUpProvision`
}

class `org.isda.cdm@0.2.0.FloatingAmountProvisionsBuilder` {
<< concept>>
   + `Boolean` `wacCapInterestProvision`
   + `Boolean` `stepUpProvision`
}

class `org.isda.cdm@0.2.0.DayTypeEnum` {
<< enumeration>>
   + `BUSINESS`
   + `CALENDAR`
   + `COMMODITY_BUSINESS`
   + `CURRENCY_BUSINESS`
   + `EXCHANGE_BUSINESS`
   + `SCHEDULED_TRADING_DAY`
}

class `org.isda.cdm@0.2.0.FallbackReferencePrice` {
<< concept>>
   + `SettlementRateOptionEnum[]` `fallBackSettlementRateOption`
   + `Boolean` `fallbackSurveyValuationPostponement`
   + `CalculationAgent` `calculationAgenDetermination`
   + `ValuationPostponement` `valuationPostponement`
   + `String` `fallBackSettlementRateOptionScheme`
}

`org.isda.cdm@0.2.0.FallbackReferencePrice` "1" *-- "*" `org.isda.cdm@0.2.0.SettlementRateOptionEnum`
`org.isda.cdm@0.2.0.FallbackReferencePrice` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationAgent`
`org.isda.cdm@0.2.0.FallbackReferencePrice` "1" *-- "1" `org.isda.cdm@0.2.0.ValuationPostponement`
class `org.isda.cdm@0.2.0.FallbackReferencePriceBuilder` {
<< concept>>
   + `SettlementRateOptionEnum[]` `fallBackSettlementRateOption`
   + `Boolean` `fallbackSurveyValuationPostponement`
   + `String` `fallBackSettlementRateOptionScheme`
}

`org.isda.cdm@0.2.0.FallbackReferencePriceBuilder` "1" *-- "*" `org.isda.cdm@0.2.0.SettlementRateOptionEnum`
class `org.isda.cdm@0.2.0.FixedIncomeSecurityBuilder` {
<< concept>>
   + `String` `couponTypeScheme`
   + `String` `seniorityScheme`
   + `String` `issuerName`
   + `String` `issuerReference`
   + `CreditSeniorityEnum` `seniority`
   + `CouponTypeEnum` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `DateTime` `issueDate`
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.FixedIncomeSecurityBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSeniorityEnum`
`org.isda.cdm@0.2.0.FixedIncomeSecurityBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CouponTypeEnum`
class `org.isda.cdm@0.2.0.FixedIncomeSecurity` {
<< concept>>
   + `String` `couponTypeScheme`
   + `String` `seniorityScheme`
   + `String` `issuerName`
   + `String` `issuerReference`
   + `CreditSeniorityEnum` `seniority`
   + `CouponTypeEnum` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `DateTime` `issueDate`
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `ProductIdentifier[]` `productIdentifier`
   + `ProductTaxonomy[]` `productTaxonomy`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.FixedIncomeSecurity` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSeniorityEnum`
`org.isda.cdm@0.2.0.FixedIncomeSecurity` "1" *-- "1" `org.isda.cdm@0.2.0.CouponTypeEnum`
`org.isda.cdm@0.2.0.FixedIncomeSecurity` "1" *-- "*" `org.isda.cdm@0.2.0.ProductIdentifier`
`org.isda.cdm@0.2.0.FixedIncomeSecurity` "1" *-- "*" `org.isda.cdm@0.2.0.ProductTaxonomy`
class `org.isda.cdm@0.2.0.BasketName` {
<< concept>>
   + `String` `basketName`
   + `String[]` `basketId`
   + `String` `basketIdScheme`
   + `String` `basketNameScheme`
}

class `org.isda.cdm@0.2.0.BasketNameBuilder` {
<< concept>>
   + `String` `basketName`
   + `String[]` `basketId`
   + `String` `basketIdScheme`
   + `String` `basketNameScheme`
}

class `org.isda.cdm@0.2.0.QuotationSideEnum` {
<< enumeration>>
   + `BID`
   + `ASK`
   + `MID`
}

class `org.isda.cdm@0.2.0.TransferorTransfereeBuilder` {
<< concept>>
   + `String` `transferorPartyReference`
   + `String` `transferorAccountReference`
   + `String` `transfereePartyReference`
   + `String` `transfereeAccountReference`
}

class `org.isda.cdm@0.2.0.TransferorTransferee` {
<< concept>>
   + `String` `transferorPartyReference`
   + `String` `transferorAccountReference`
   + `String` `transfereePartyReference`
   + `String` `transfereeAccountReference`
}

class `org.isda.cdm@0.2.0.FutureValueAmount` {
<< concept>>
   + `DateTime` `valueDate`
   + `Integer` `calculationPeriodNumberOfDays`
   + `String` `id`
   + `String` `currency`
   + `String` `currencyScheme`
   + `Double` `amount`
}

class `org.isda.cdm@0.2.0.FutureValueAmountBuilder` {
<< concept>>
   + `DateTime` `valueDate`
   + `Integer` `calculationPeriodNumberOfDays`
   + `String` `id`
   + `String` `currency`
   + `String` `currencyScheme`
   + `Double` `amount`
}

class `org.isda.cdm@0.2.0.ObligationCategoryEnum` {
<< enumeration>>
   + `PAYMENT`
   + `BORROWED_MONEY`
   + `REFERENCE_OBLIGATIONS_ONLY`
   + `BOND`
   + `LOAN`
   + `BOND_OR_LOAN`
}

class `org.isda.cdm@0.2.0.PhysicalSettlementTerms` {
<< concept>>
   + `String` `id`
   + `DeliverableObligations` `deliverableObligations`
   + `String` `settlementCurrency`
   + `PhysicalSettlementPeriod` `physicalSettlementPeriod`
   + `Boolean` `escrow`
   + `Boolean` `sixtyBusinessDaySettlementCap`
   + `String` `settlementCurrencyScheme`
}

`org.isda.cdm@0.2.0.PhysicalSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.DeliverableObligations`
`org.isda.cdm@0.2.0.PhysicalSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.PhysicalSettlementPeriod`
class `org.isda.cdm@0.2.0.PhysicalSettlementTermsBuilder` {
<< concept>>
   + `String` `id`
   + `String` `settlementCurrency`
   + `Boolean` `escrow`
   + `Boolean` `sixtyBusinessDaySettlementCap`
   + `String` `settlementCurrencyScheme`
}

class `org.isda.cdm@0.2.0.OptionalEarlyTerminationAdjustedDates` {
<< concept>>
   + `EarlyTerminationEvent[]` `earlyTerminationEvent`
}

`org.isda.cdm@0.2.0.OptionalEarlyTerminationAdjustedDates` "1" *-- "*" `org.isda.cdm@0.2.0.EarlyTerminationEvent`
class `org.isda.cdm@0.2.0.OptionalEarlyTerminationAdjustedDatesBuilder`
<< concept>> `org.isda.cdm@0.2.0.OptionalEarlyTerminationAdjustedDatesBuilder`

class `org.isda.cdm@0.2.0.OptionSettlement` {
<< concept>>
   + `OptionPhysicalSettlement` `physicalSettlementTerms`
   + `String` `settlementCurrency`
   + `OptionCashSettlement` `cashSettlementTerms`
   + `SettlementTypeEnum` `settlementType`
   + `AdjustableOrRelativeDate` `settlementDate`
   + `Money` `settlementAmount`
   + `String` `settlementCurrencyScheme`
}

`org.isda.cdm@0.2.0.OptionSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.OptionPhysicalSettlement`
`org.isda.cdm@0.2.0.OptionSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.OptionCashSettlement`
`org.isda.cdm@0.2.0.OptionSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.SettlementTypeEnum`
`org.isda.cdm@0.2.0.OptionSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDate`
`org.isda.cdm@0.2.0.OptionSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.OptionSettlementBuilder` {
<< concept>>
   + `String` `settlementCurrency`
   + `SettlementTypeEnum` `settlementType`
   + `String` `settlementCurrencyScheme`
}

`org.isda.cdm@0.2.0.OptionSettlementBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.SettlementTypeEnum`
class `org.isda.cdm@0.2.0.OptionalEarlyTermination` {
<< concept>>
   + `OptionCashSettlement` `cashSettlement`
   + `Boolean` `followUpConfirmation`
   + `BuyerSeller` `singlePartyOption`
   + `AmericanExercise` `americanExercise`
   + `BermudaExercise` `bermudaExercise`
   + `EuropeanExercise` `europeanExercise`
   + `ExerciseNotice[]` `exerciseNotice`
   + `OptionalEarlyTerminationAdjustedDates` `optionalEarlyTerminationAdjustedDates`
   + `CalculationAgent` `calculationAgent`
}

`org.isda.cdm@0.2.0.OptionalEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.OptionCashSettlement`
`org.isda.cdm@0.2.0.OptionalEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.BuyerSeller`
`org.isda.cdm@0.2.0.OptionalEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.AmericanExercise`
`org.isda.cdm@0.2.0.OptionalEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.BermudaExercise`
`org.isda.cdm@0.2.0.OptionalEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.EuropeanExercise`
`org.isda.cdm@0.2.0.OptionalEarlyTermination` "1" *-- "*" `org.isda.cdm@0.2.0.ExerciseNotice`
`org.isda.cdm@0.2.0.OptionalEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.OptionalEarlyTerminationAdjustedDates`
`org.isda.cdm@0.2.0.OptionalEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationAgent`
class `org.isda.cdm@0.2.0.OptionalEarlyTerminationBuilder` {
<< concept>>
   + `Boolean` `followUpConfirmation`
}

class `org.isda.cdm@0.2.0.AssetBuilder`
<< concept>> `org.isda.cdm@0.2.0.AssetBuilder`

class `org.isda.cdm@0.2.0.Asset` {
<< concept>>
   + `Commodity` `commodity`
   + `ListedProduct` `listedProduct`
}

`org.isda.cdm@0.2.0.Asset` "1" *-- "1" `org.isda.cdm@0.2.0.Commodity`
`org.isda.cdm@0.2.0.Asset` "1" *-- "1" `org.isda.cdm@0.2.0.ListedProduct`
class `org.isda.cdm@0.2.0.StubPeriodTypeEnum` {
<< enumeration>>
   + `SHORT_INITIAL`
   + `SHORT_FINAL`
   + `LONG_INITIAL`
   + `LONG_FINAL`
}

class `org.isda.cdm@0.2.0.PartyContractInformationBuilder` {
<< concept>>
   + `String` `partyReference`
}

class `org.isda.cdm@0.2.0.PartyContractInformation` {
<< concept>>
   + `NaturalPersonRole[]` `naturalPersonRole`
   + `String` `partyReference`
}

`org.isda.cdm@0.2.0.PartyContractInformation` "1" *-- "*" `org.isda.cdm@0.2.0.NaturalPersonRole`
class `org.isda.cdm@0.2.0.FxSpotRateSource` {
<< concept>>
   + `InformationSource` `primaryRateSource`
   + `InformationSource` `secondaryRateSource`
   + `BusinessCenterTime` `fixingTime`
}

`org.isda.cdm@0.2.0.FxSpotRateSource` "1" *-- "1" `org.isda.cdm@0.2.0.InformationSource`
`org.isda.cdm@0.2.0.FxSpotRateSource` "1" *-- "1" `org.isda.cdm@0.2.0.InformationSource`
`org.isda.cdm@0.2.0.FxSpotRateSource` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
class `org.isda.cdm@0.2.0.FxSpotRateSourceBuilder`
<< concept>> `org.isda.cdm@0.2.0.FxSpotRateSourceBuilder`

class `org.isda.cdm@0.2.0.SettlementRateSource` {
<< concept>>
   + `CashSettlementReferenceBanks` `cashSettlementReferenceBanks`
   + `InformationSource` `informationSource`
}

`org.isda.cdm@0.2.0.SettlementRateSource` "1" *-- "1" `org.isda.cdm@0.2.0.CashSettlementReferenceBanks`
`org.isda.cdm@0.2.0.SettlementRateSource` "1" *-- "1" `org.isda.cdm@0.2.0.InformationSource`
class `org.isda.cdm@0.2.0.SettlementRateSourceBuilder`
<< concept>> `org.isda.cdm@0.2.0.SettlementRateSourceBuilder`

class `org.isda.cdm@0.2.0.CalculationPeriodBuilder` {
<< concept>>
   + `String` `id`
   + `Double` `notionalAmount`
   + `Double` `forecastRate`
   + `DateTime` `unadjustedStartDate`
   + `DateTime` `unadjustedEndDate`
   + `DateTime` `adjustedStartDate`
   + `DateTime` `adjustedEndDate`
   + `Double` `dayCountYearFraction`
   + `Integer` `calculationPeriodNumberOfDays`
   + `Double` `fixedRate`
}

class `org.isda.cdm@0.2.0.CalculationPeriod` {
<< concept>>
   + `String` `id`
   + `Double` `notionalAmount`
   + `Double` `forecastRate`
   + `DateTime` `unadjustedStartDate`
   + `DateTime` `unadjustedEndDate`
   + `DateTime` `adjustedStartDate`
   + `DateTime` `adjustedEndDate`
   + `FxLinkedNotionalAmount` `fxLinkedNotionalAmount`
   + `FloatingRateDefinition` `floatingRateDefinition`
   + `Double` `dayCountYearFraction`
   + `Money` `forecastAmount`
   + `Integer` `calculationPeriodNumberOfDays`
   + `Double` `fixedRate`
}

`org.isda.cdm@0.2.0.CalculationPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.FxLinkedNotionalAmount`
`org.isda.cdm@0.2.0.CalculationPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateDefinition`
`org.isda.cdm@0.2.0.CalculationPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.ExecutionReferenceBuilder` {
<< concept>>
   + `StateEnum` `state`
}

`org.isda.cdm@0.2.0.ExecutionReferenceBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.StateEnum`
class `org.isda.cdm@0.2.0.ExecutionReference` {
<< concept>>
   + `StateEnum` `state`
   + `Identifier` `executionReference`
}

`org.isda.cdm@0.2.0.ExecutionReference` "1" *-- "1" `org.isda.cdm@0.2.0.StateEnum`
`org.isda.cdm@0.2.0.ExecutionReference` "1" *-- "1" `org.isda.cdm@0.2.0.Identifier`
class `org.isda.cdm@0.2.0.ExerciseProcedure` {
<< concept>>
   + `ManualExercise` `manualExercise`
   + `AutomaticExercise` `automaticExercise`
   + `Boolean` `followUpConfirmation`
   + `Boolean` `limitedRightToConfirm`
   + `Boolean` `splitTicket`
}

`org.isda.cdm@0.2.0.ExerciseProcedure` "1" *-- "1" `org.isda.cdm@0.2.0.ManualExercise`
`org.isda.cdm@0.2.0.ExerciseProcedure` "1" *-- "1" `org.isda.cdm@0.2.0.AutomaticExercise`
class `org.isda.cdm@0.2.0.ExerciseProcedureBuilder` {
<< concept>>
   + `Boolean` `followUpConfirmation`
   + `Boolean` `limitedRightToConfirm`
   + `Boolean` `splitTicket`
}

class `org.isda.cdm@0.2.0.CalculationAgentPartyEnum` {
<< enumeration>>
   + `EXERCISING_PARTY`
   + `NON_EXERCISING_PARTY`
   + `AS_SPECIFIED_IN_MASTER_AGREEMENT`
   + `AS_SPECIFIED_IN_STANDARD_TERMS_SUPPLEMENT`
   + `BOTH`
}

class `org.isda.cdm@0.2.0.NonNegativeSchedule` {
<< concept>>
   + `String` `id`
   + `Double` `initialValue`
   + `NonNegativeStep[]` `step`
}

`org.isda.cdm@0.2.0.NonNegativeSchedule` "1" *-- "*" `org.isda.cdm@0.2.0.NonNegativeStep`
class `org.isda.cdm@0.2.0.NonNegativeScheduleBuilder` {
<< concept>>
   + `String` `id`
   + `Double` `initialValue`
}

class `org.isda.cdm@0.2.0.Contract` {
<< concept>>
   + `String` `id`
   + `StateEnum` `state`
   + `Account[]` `account`
   + `CalculationAgent` `calculationAgent`
   + `DateTime` `clearedDate`
   + `Collateral` `collateral`
   + `PartyContractIdentifier[]` `contractIdentifier`
   + `ContractualProduct` `contractualProduct`
   + `Documentation` `documentation`
   + `GoverningLawEnum` `governingLaw`
   + `String` `governingLawScheme`
   + `Payment[]` `otherPartyPayment`
   + `Party[]` `party`
   + `PartyContractInformation[]` `partyContractInformation`
   + `PartyRole[]` `partyRole`
   + `DateInstances` `tradeDate`
   + `String` `rosettaKey`
}

`org.isda.cdm@0.2.0.Contract` "1" *-- "1" `org.isda.cdm@0.2.0.StateEnum`
`org.isda.cdm@0.2.0.Contract` "1" *-- "*" `org.isda.cdm@0.2.0.Account`
`org.isda.cdm@0.2.0.Contract` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationAgent`
`org.isda.cdm@0.2.0.Contract` "1" *-- "1" `org.isda.cdm@0.2.0.Collateral`
`org.isda.cdm@0.2.0.Contract` "1" *-- "*" `org.isda.cdm@0.2.0.PartyContractIdentifier`
`org.isda.cdm@0.2.0.Contract` "1" *-- "1" `org.isda.cdm@0.2.0.ContractualProduct`
`org.isda.cdm@0.2.0.Contract` "1" *-- "1" `org.isda.cdm@0.2.0.Documentation`
`org.isda.cdm@0.2.0.Contract` "1" *-- "1" `org.isda.cdm@0.2.0.GoverningLawEnum`
`org.isda.cdm@0.2.0.Contract` "1" *-- "*" `org.isda.cdm@0.2.0.Payment`
`org.isda.cdm@0.2.0.Contract` "1" *-- "*" `org.isda.cdm@0.2.0.Party`
`org.isda.cdm@0.2.0.Contract` "1" *-- "*" `org.isda.cdm@0.2.0.PartyContractInformation`
`org.isda.cdm@0.2.0.Contract` "1" *-- "*" `org.isda.cdm@0.2.0.PartyRole`
`org.isda.cdm@0.2.0.Contract` "1" *-- "1" `org.isda.cdm@0.2.0.DateInstances`
class `org.isda.cdm@0.2.0.ContractBuilder` {
<< concept>>
   + `String` `id`
   + `StateEnum` `state`
   + `DateTime` `clearedDate`
   + `GoverningLawEnum` `governingLaw`
   + `String` `governingLawScheme`
}

`org.isda.cdm@0.2.0.ContractBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.StateEnum`
`org.isda.cdm@0.2.0.ContractBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.GoverningLawEnum`
class `org.isda.cdm@0.2.0.DiscountingTypeEnum` {
<< enumeration>>
   + `STANDARD`
   + `FRA`
   + `FRA_YIELD`
}

class `org.isda.cdm@0.2.0.Money` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `String` `currencyScheme`
   + `Double` `amount`
}

class `org.isda.cdm@0.2.0.MoneyBuilder` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `String` `currencyScheme`
   + `Double` `amount`
}

class `org.isda.cdm@0.2.0.TriggerEvent` {
<< concept>>
   + `DateList` `triggerDates`
   + `Trigger` `trigger`
   + `FeaturePayment` `featurePayment`
   + `AveragingSchedule[]` `schedule`
}

`org.isda.cdm@0.2.0.TriggerEvent` "1" *-- "1" `org.isda.cdm@0.2.0.DateList`
`org.isda.cdm@0.2.0.TriggerEvent` "1" *-- "1" `org.isda.cdm@0.2.0.Trigger`
`org.isda.cdm@0.2.0.TriggerEvent` "1" *-- "1" `org.isda.cdm@0.2.0.FeaturePayment`
`org.isda.cdm@0.2.0.TriggerEvent` "1" *-- "*" `org.isda.cdm@0.2.0.AveragingSchedule`
class `org.isda.cdm@0.2.0.TriggerEventBuilder`
<< concept>> `org.isda.cdm@0.2.0.TriggerEventBuilder`

class `org.isda.cdm@0.2.0.ResetFrequencyBuilder` {
<< concept>>
   + `WeeklyRollConventionEnum` `weeklyRollConvention`
   + `String` `id`
   + `PeriodExtendedEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.ResetFrequencyBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.WeeklyRollConventionEnum`
`org.isda.cdm@0.2.0.ResetFrequencyBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodExtendedEnum`
class `org.isda.cdm@0.2.0.ResetFrequency` {
<< concept>>
   + `WeeklyRollConventionEnum` `weeklyRollConvention`
   + `String` `id`
   + `PeriodExtendedEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.ResetFrequency` "1" *-- "1" `org.isda.cdm@0.2.0.WeeklyRollConventionEnum`
`org.isda.cdm@0.2.0.ResetFrequency` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodExtendedEnum`
class `org.isda.cdm@0.2.0.TriggerTypeEnum` {
<< enumeration>>
   + `EQUAL_OR_LESS`
   + `EQUAL_OR_GREATER`
   + `EQUAL`
   + `LESS`
   + `GREATER`
}

class `org.isda.cdm@0.2.0.CashSettlementReferenceBanks` {
<< concept>>
   + `ReferenceBank[]` `referenceBank`
}

`org.isda.cdm@0.2.0.CashSettlementReferenceBanks` "1" *-- "*" `org.isda.cdm@0.2.0.ReferenceBank`
class `org.isda.cdm@0.2.0.CashSettlementReferenceBanksBuilder`
<< concept>> `org.isda.cdm@0.2.0.CashSettlementReferenceBanksBuilder`

class `org.isda.cdm@0.2.0.AssetPoolBuilder` {
<< concept>>
   + `DateTime` `effectiveDate`
   + `Double` `initialFactor`
   + `Double` `currentFactor`
   + `String` `version`
}

class `org.isda.cdm@0.2.0.AssetPool` {
<< concept>>
   + `DateTime` `effectiveDate`
   + `Double` `initialFactor`
   + `Double` `currentFactor`
   + `String` `version`
}

class `org.isda.cdm@0.2.0.ContractualProductBuilder`
<< concept>> `org.isda.cdm@0.2.0.ContractualProductBuilder`

class `org.isda.cdm@0.2.0.ContractualProduct` {
<< concept>>
   + `EconomicTerms` `economicTerms`
   + `ProductTaxonomy[]` `productTaxonomy`
   + `ProductIdentification` `productIdentification`
}

`org.isda.cdm@0.2.0.ContractualProduct` "1" *-- "1" `org.isda.cdm@0.2.0.EconomicTerms`
`org.isda.cdm@0.2.0.ContractualProduct` "1" *-- "*" `org.isda.cdm@0.2.0.ProductTaxonomy`
`org.isda.cdm@0.2.0.ContractualProduct` "1" *-- "1" `org.isda.cdm@0.2.0.ProductIdentification`
class `org.isda.cdm@0.2.0.OptionPayoutBuilder` {
<< concept>>
   + `String` `id`
   + `OptionTypeEnum` `optionType`
}

`org.isda.cdm@0.2.0.OptionPayoutBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.OptionTypeEnum`
class `org.isda.cdm@0.2.0.OptionPayout` {
<< concept>>
   + `String` `id`
   + `String` `rosettaKeyValue`
   + `BuyerSeller` `buyerSeller`
   + `OptionTypeEnum` `optionType`
   + `OptionFeature` `feature`
   + `OptionDenomination` `denomination`
   + `OptionExercise` `exerciseTerms`
   + `Product` `underlyer`
   + `ContractualQuantity` `quantity`
}

`org.isda.cdm@0.2.0.OptionPayout` "1" *-- "1" `org.isda.cdm@0.2.0.BuyerSeller`
`org.isda.cdm@0.2.0.OptionPayout` "1" *-- "1" `org.isda.cdm@0.2.0.OptionTypeEnum`
`org.isda.cdm@0.2.0.OptionPayout` "1" *-- "1" `org.isda.cdm@0.2.0.OptionFeature`
`org.isda.cdm@0.2.0.OptionPayout` "1" *-- "1" `org.isda.cdm@0.2.0.OptionDenomination`
`org.isda.cdm@0.2.0.OptionPayout` "1" *-- "1" `org.isda.cdm@0.2.0.OptionExercise`
`org.isda.cdm@0.2.0.OptionPayout` "1" *-- "1" `org.isda.cdm@0.2.0.Product`
`org.isda.cdm@0.2.0.OptionPayout` "1" *-- "1" `org.isda.cdm@0.2.0.ContractualQuantity`
class `org.isda.cdm@0.2.0.PayoutBuilder`
<< concept>> `org.isda.cdm@0.2.0.PayoutBuilder`

class `org.isda.cdm@0.2.0.Payout` {
<< concept>>
   + `Cashflow[]` `cashflow`
   + `OptionPayout[]` `optionPayout`
   + `CreditDefaultPayout` `creditDefaultPayout`
   + `InterestRatePayout[]` `interestRatePayout`
}

`org.isda.cdm@0.2.0.Payout` "1" *-- "*" `org.isda.cdm@0.2.0.Cashflow`
`org.isda.cdm@0.2.0.Payout` "1" *-- "*" `org.isda.cdm@0.2.0.OptionPayout`
`org.isda.cdm@0.2.0.Payout` "1" *-- "1" `org.isda.cdm@0.2.0.CreditDefaultPayout`
`org.isda.cdm@0.2.0.Payout` "1" *-- "*" `org.isda.cdm@0.2.0.InterestRatePayout`
class `org.isda.cdm@0.2.0.WeightedAveragingObservation` {
<< concept>>
   + `DateTime` `dateTime`
   + `Double` `weight`
   + `Integer` `observationNumber`
}

class `org.isda.cdm@0.2.0.WeightedAveragingObservationBuilder` {
<< concept>>
   + `DateTime` `dateTime`
   + `Double` `weight`
   + `Integer` `observationNumber`
}

class `org.isda.cdm@0.2.0.PubliclyAvailableInformation` {
<< concept>>
   + `Integer` `specifiedNumber`
   + `Boolean` `standardPublicSources`
   + `String[]` `publicSource`
}

class `org.isda.cdm@0.2.0.PubliclyAvailableInformationBuilder` {
<< concept>>
   + `Integer` `specifiedNumber`
   + `Boolean` `standardPublicSources`
   + `String[]` `publicSource`
}

class `org.isda.cdm@0.2.0.Party` {
<< concept>>
   + `String` `id`
   + `String` `partyIdScheme`
   + `String[]` `partyId`
   + `LegalEntity` `legalEntity`
   + `NaturalPerson[]` `naturalPerson`
}

`org.isda.cdm@0.2.0.Party` "1" *-- "1" `org.isda.cdm@0.2.0.LegalEntity`
`org.isda.cdm@0.2.0.Party` "1" *-- "*" `org.isda.cdm@0.2.0.NaturalPerson`
class `org.isda.cdm@0.2.0.PartyBuilder` {
<< concept>>
   + `String` `id`
   + `String` `partyIdScheme`
   + `String[]` `partyId`
}

class `org.isda.cdm@0.2.0.MessageInformationBuilder` {
<< concept>>
   + `String` `copyToScheme`
   + `String` `messageIdScheme`
   + `String` `sentByScheme`
   + `String` `sentToScheme`
   + `String` `messageId`
   + `String` `sentBy`
   + `String` `sentTo`
   + `String[]` `copyTo`
}

class `org.isda.cdm@0.2.0.MessageInformation` {
<< concept>>
   + `String` `copyToScheme`
   + `String` `messageIdScheme`
   + `String` `sentByScheme`
   + `String` `sentToScheme`
   + `String` `messageId`
   + `String` `sentBy`
   + `String` `sentTo`
   + `String[]` `copyTo`
}

class `org.isda.cdm@0.2.0.Asian` {
<< concept>>
   + `AveragingInOutEnum` `averagingInOut`
   + `Double` `strikeFactor`
   + `AveragingPeriod` `averagingPeriodIn`
   + `AveragingPeriod` `averagingPeriodOut`
}

`org.isda.cdm@0.2.0.Asian` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingInOutEnum`
`org.isda.cdm@0.2.0.Asian` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingPeriod`
`org.isda.cdm@0.2.0.Asian` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingPeriod`
class `org.isda.cdm@0.2.0.AsianBuilder` {
<< concept>>
   + `AveragingInOutEnum` `averagingInOut`
   + `Double` `strikeFactor`
}

`org.isda.cdm@0.2.0.AsianBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingInOutEnum`
class `org.isda.cdm@0.2.0.ReferenceBankBuilder` {
<< concept>>
   + `String` `referenceBankId`
   + `String` `referenceBankName`
   + `String` `referenceBankIdScheme`
}

class `org.isda.cdm@0.2.0.ReferenceBank` {
<< concept>>
   + `String` `referenceBankId`
   + `String` `referenceBankName`
   + `String` `referenceBankIdScheme`
}

class `org.isda.cdm@0.2.0.ProtectionTerms` {
<< concept>>
   + `String` `id`
   + `Money` `notionalAmount`
   + `CreditEvents` `creditEvents`
   + `FloatingAmountEvents` `floatingAmountEvents`
   + `Obligations` `obligations`
}

`org.isda.cdm@0.2.0.ProtectionTerms` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.ProtectionTerms` "1" *-- "1" `org.isda.cdm@0.2.0.CreditEvents`
`org.isda.cdm@0.2.0.ProtectionTerms` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingAmountEvents`
`org.isda.cdm@0.2.0.ProtectionTerms` "1" *-- "1" `org.isda.cdm@0.2.0.Obligations`
class `org.isda.cdm@0.2.0.ProtectionTermsBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.ProductIdSourceEnum` {
<< enumeration>>
   + `CUSIP`
   + `SEDOL`
   + `ISIN`
   + `RIC`
   + `FIGI`
   + `WERTPAPIER`
   + `SICOVAM`
}

class `org.isda.cdm@0.2.0.RestructuringBuilder` {
<< concept>>
   + `Boolean` `multipleHolderObligation`
   + `Boolean` `multipleCreditEventNotices`
   + `Boolean` `applicable`
   + `RestructuringEnum` `restructuringType`
   + `String` `restructuringTypeScheme`
}

`org.isda.cdm@0.2.0.RestructuringBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.RestructuringEnum`
class `org.isda.cdm@0.2.0.Restructuring` {
<< concept>>
   + `Boolean` `multipleHolderObligation`
   + `Boolean` `multipleCreditEventNotices`
   + `Boolean` `applicable`
   + `RestructuringEnum` `restructuringType`
   + `String` `restructuringTypeScheme`
}

`org.isda.cdm@0.2.0.Restructuring` "1" *-- "1" `org.isda.cdm@0.2.0.RestructuringEnum`
class `org.isda.cdm@0.2.0.CreditEventNotice` {
<< concept>>
   + `NotifyingParty` `notifyingParty`
   + `BusinessCenterEnum` `businessCenter`
   + `PubliclyAvailableInformation` `publiclyAvailableInformation`
}

`org.isda.cdm@0.2.0.CreditEventNotice` "1" *-- "1" `org.isda.cdm@0.2.0.NotifyingParty`
`org.isda.cdm@0.2.0.CreditEventNotice` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
`org.isda.cdm@0.2.0.CreditEventNotice` "1" *-- "1" `org.isda.cdm@0.2.0.PubliclyAvailableInformation`
class `org.isda.cdm@0.2.0.CreditEventNoticeBuilder` {
<< concept>>
   + `BusinessCenterEnum` `businessCenter`
}

`org.isda.cdm@0.2.0.CreditEventNoticeBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
class `org.isda.cdm@0.2.0.StrikeSpread` {
<< concept>>
   + `OptionStrike` `upperStrike`
   + `Double` `upperStrikeNumberOfOptions`
}

`org.isda.cdm@0.2.0.StrikeSpread` "1" *-- "1" `org.isda.cdm@0.2.0.OptionStrike`
class `org.isda.cdm@0.2.0.StrikeSpreadBuilder` {
<< concept>>
   + `Double` `upperStrikeNumberOfOptions`
}

class `org.isda.cdm@0.2.0.ResourceLength` {
<< concept>>
   + `LengthUnitEnum` `lengthUnit`
   + `Double` `lengthValue`
}

`org.isda.cdm@0.2.0.ResourceLength` "1" *-- "1" `org.isda.cdm@0.2.0.LengthUnitEnum`
class `org.isda.cdm@0.2.0.ResourceLengthBuilder` {
<< concept>>
   + `LengthUnitEnum` `lengthUnit`
   + `Double` `lengthValue`
}

`org.isda.cdm@0.2.0.ResourceLengthBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.LengthUnitEnum`
class `org.isda.cdm@0.2.0.ResourceTypeEnum` {
<< enumeration>>
   + `CONFIRMATION`
   + `SUPPLEMENTAL_MATERIAL_ECONOMIC_TERMS`
   + `TERM_SHEET`
}

class `org.isda.cdm@0.2.0.AmericanExerciseBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.AmericanExercise` {
<< concept>>
   + `String` `id`
   + `AdjustableOrRelativeDate` `expirationDate`
   + `AdjustableOrRelativeDates` `relevantUnderlyingDate`
   + `BusinessCenterTime` `earliestExerciseTime`
   + `BusinessCenterTime` `expirationTime`
   + `BusinessCenterTime` `latestExerciseTime`
   + `MultipleExercise` `multipleExercise`
   + `ExerciseFeeSchedule` `exerciseFeeSchedule`
   + `AdjustableOrRelativeDate` `commencementDate`
}

`org.isda.cdm@0.2.0.AmericanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDate`
`org.isda.cdm@0.2.0.AmericanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDates`
`org.isda.cdm@0.2.0.AmericanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.AmericanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.AmericanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.AmericanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.MultipleExercise`
`org.isda.cdm@0.2.0.AmericanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.ExerciseFeeSchedule`
`org.isda.cdm@0.2.0.AmericanExercise` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDate`
class `org.isda.cdm@0.2.0.CouponTypeEnum` {
<< enumeration>>
   + `FIXED`
   + `FLOAT`
   + `STRUCTURED`
}

class `org.isda.cdm@0.2.0.SettlementTypeEnum` {
<< enumeration>>
   + `CASH`
   + `PHYSICAL`
   + `ELECTION`
   + `CASH_OR_PHYSICAL`
}

class `org.isda.cdm@0.2.0.CreditEvents` {
<< concept>>
   + `String` `id`
   + `CreditEventNotice` `creditEventNotice`
   + `Restructuring` `restructuring`
   + `Boolean` `failureToPayPrincipal`
   + `Boolean` `failureToPayInterest`
   + `Boolean` `distressedRatingsDowngrade`
   + `Boolean` `maturityExtension`
   + `Boolean` `writedown`
   + `Boolean` `impliedWritedown`
   + `Boolean` `bankruptcy`
   + `Boolean` `obligationDefault`
   + `Boolean` `obligationAcceleration`
   + `Boolean` `repudiationMoratorium`
   + `Boolean` `governmentalIntervention`
   + `FailureToPay` `failureToPay`
   + `Money` `defaultRequirement`
}

`org.isda.cdm@0.2.0.CreditEvents` "1" *-- "1" `org.isda.cdm@0.2.0.CreditEventNotice`
`org.isda.cdm@0.2.0.CreditEvents` "1" *-- "1" `org.isda.cdm@0.2.0.Restructuring`
`org.isda.cdm@0.2.0.CreditEvents` "1" *-- "1" `org.isda.cdm@0.2.0.FailureToPay`
`org.isda.cdm@0.2.0.CreditEvents` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.CreditEventsBuilder` {
<< concept>>
   + `String` `id`
   + `Boolean` `failureToPayPrincipal`
   + `Boolean` `failureToPayInterest`
   + `Boolean` `distressedRatingsDowngrade`
   + `Boolean` `maturityExtension`
   + `Boolean` `writedown`
   + `Boolean` `impliedWritedown`
   + `Boolean` `bankruptcy`
   + `Boolean` `obligationDefault`
   + `Boolean` `obligationAcceleration`
   + `Boolean` `repudiationMoratorium`
   + `Boolean` `governmentalIntervention`
}

class `org.isda.cdm@0.2.0.NotifyingParty` {
<< concept>>
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
}

class `org.isda.cdm@0.2.0.NotifyingPartyBuilder` {
<< concept>>
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
}

class `org.isda.cdm@0.2.0.IndependentAmount` {
<< concept>>
   + `PaymentDetail[]` `paymentDetail`
   + `String` `payerPartyReference`
   + `String` `receiverPartyReference`
   + `String` `payerAccountReference`
   + `String` `receiverAccountReference`
}

`org.isda.cdm@0.2.0.IndependentAmount` "1" *-- "*" `org.isda.cdm@0.2.0.PaymentDetail`
class `org.isda.cdm@0.2.0.IndependentAmountBuilder` {
<< concept>>
   + `String` `payerPartyReference`
   + `String` `receiverPartyReference`
   + `String` `payerAccountReference`
   + `String` `receiverAccountReference`
}

class `org.isda.cdm@0.2.0.ContractIdentifierBuilder` {
<< concept>>
   + `String` `accountReference`
   + `String` `partyReference`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

class `org.isda.cdm@0.2.0.ContractIdentifier` {
<< concept>>
   + `String` `accountReference`
   + `String` `partyReference`
   + `IdentifierValue` `identifierValue`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

`org.isda.cdm@0.2.0.ContractIdentifier` "1" *-- "1" `org.isda.cdm@0.2.0.IdentifierValue`
class `org.isda.cdm@0.2.0.ContractualQuantityBuilder` {
<< concept>>
   + `String` `notionalReference`
}

class `org.isda.cdm@0.2.0.ContractualQuantity` {
<< concept>>
   + `Money` `notionalAmount`
   + `NotionalSchedule` `notionalSchedule`
   + `FxLinkedNotionalSchedule` `fxLinkedNotional`
   + `String` `notionalReference`
   + `Quantity` `quantity`
   + `FutureValueAmount` `futureValueNotional`
}

`org.isda.cdm@0.2.0.ContractualQuantity` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.ContractualQuantity` "1" *-- "1" `org.isda.cdm@0.2.0.NotionalSchedule`
`org.isda.cdm@0.2.0.ContractualQuantity` "1" *-- "1" `org.isda.cdm@0.2.0.FxLinkedNotionalSchedule`
`org.isda.cdm@0.2.0.ContractualQuantity` "1" *-- "1" `org.isda.cdm@0.2.0.Quantity`
`org.isda.cdm@0.2.0.ContractualQuantity` "1" *-- "1" `org.isda.cdm@0.2.0.FutureValueAmount`
class `org.isda.cdm@0.2.0.DateRelativeToPaymentDates` {
<< concept>>
   + `String[]` `paymentDatesReference`
}

class `org.isda.cdm@0.2.0.DateRelativeToPaymentDatesBuilder` {
<< concept>>
   + `String[]` `paymentDatesReference`
}

class `org.isda.cdm@0.2.0.PaymentCalculationPeriod` {
<< concept>>
   + `String` `id`
   + `DateTime` `unadjustedPaymentDate`
   + `DateTime` `adjustedPaymentDate`
   + `Double` `fixedPaymentAmount`
   + `Double` `discountFactor`
   + `Money` `forecastPaymentAmount`
   + `Money` `presentValueAmount`
   + `CalculationPeriod[]` `calculationPeriod`
}

`org.isda.cdm@0.2.0.PaymentCalculationPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.PaymentCalculationPeriod` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.PaymentCalculationPeriod` "1" *-- "*" `org.isda.cdm@0.2.0.CalculationPeriod`
class `org.isda.cdm@0.2.0.PaymentCalculationPeriodBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `unadjustedPaymentDate`
   + `DateTime` `adjustedPaymentDate`
   + `Double` `fixedPaymentAmount`
   + `Double` `discountFactor`
}

class `org.isda.cdm@0.2.0.PartialExercise` {
<< concept>>
   + `Integer` `minimumNumberOfOptions`
   + `String` `notionaReference`
   + `Double` `integralMultipleAmount`
   + `Double` `minimumNotionalAmount`
}

class `org.isda.cdm@0.2.0.PartialExerciseBuilder` {
<< concept>>
   + `Integer` `minimumNumberOfOptions`
   + `String` `notionaReference`
   + `Double` `integralMultipleAmount`
   + `Double` `minimumNotionalAmount`
}

class `org.isda.cdm@0.2.0.MortgageSectorEnum` {
<< enumeration>>
   + `ABS`
   + `CDO`
   + `CMBS`
   + `RMBS`
}

class `org.isda.cdm@0.2.0.CrossCurrencyTerms` {
<< concept>>
   + `SettlementProvision` `settlementProvision`
   + `PrincipalExchanges` `principalExchanges`
}

`org.isda.cdm@0.2.0.CrossCurrencyTerms` "1" *-- "1" `org.isda.cdm@0.2.0.SettlementProvision`
`org.isda.cdm@0.2.0.CrossCurrencyTerms` "1" *-- "1" `org.isda.cdm@0.2.0.PrincipalExchanges`
class `org.isda.cdm@0.2.0.CrossCurrencyTermsBuilder`
<< concept>> `org.isda.cdm@0.2.0.CrossCurrencyTermsBuilder`

class `org.isda.cdm@0.2.0.PartyIdSourceEnum` {
<< enumeration>>
   + `BIC`
   + `LEI`
   + `ARNU`
   + `CCPT`
   + `CUST`
   + `DRLC`
   + `EMPL`
   + `NIDN`
   + `SOSE`
   + `TXID`
}

class `org.isda.cdm@0.2.0.IssuerTradeId` {
<< concept>>
   + `String` `identifier`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `String` `identifierScheme`
}

class `org.isda.cdm@0.2.0.IssuerTradeIdBuilder` {
<< concept>>
   + `String` `identifier`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `String` `identifierScheme`
}

class `org.isda.cdm@0.2.0.IdentifierBuilder` {
<< concept>>
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

class `org.isda.cdm@0.2.0.Identifier` {
<< concept>>
   + `IdentifierValue` `identifierValue`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

`org.isda.cdm@0.2.0.Identifier` "1" *-- "1" `org.isda.cdm@0.2.0.IdentifierValue`
class `org.isda.cdm@0.2.0.FrequencyBuilder` {
<< concept>>
   + `String` `id`
   + `PeriodExtendedEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.FrequencyBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodExtendedEnum`
class `org.isda.cdm@0.2.0.Frequency` {
<< concept>>
   + `String` `id`
   + `PeriodExtendedEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.Frequency` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodExtendedEnum`
class `org.isda.cdm@0.2.0.PassThroughItem` {
<< concept>>
   + `Double` `passThroughPercentage`
   + `PayerReceiver` `payerReceiver`
}

`org.isda.cdm@0.2.0.PassThroughItem` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiver`
class `org.isda.cdm@0.2.0.PassThroughItemBuilder` {
<< concept>>
   + `Double` `passThroughPercentage`
}

class `org.isda.cdm@0.2.0.OtherAgreementBuilder` {
<< concept>>
   + `String` `type`
   + `String` `identifier`
   + `String` `identifierScheme`
   + `DateTime` `date`
   + `String` `typeScheme`
   + `String` `versionScheme`
   + `String` `version`
}

class `org.isda.cdm@0.2.0.OtherAgreement` {
<< concept>>
   + `String` `type`
   + `String` `identifier`
   + `String` `identifierScheme`
   + `DateTime` `date`
   + `String` `typeScheme`
   + `String` `versionScheme`
   + `String` `version`
}

class `org.isda.cdm@0.2.0.ContractualSupplementEnum` {
<< enumeration>>
   + `ABX`
   + `CD_SON_MBS`
   + `ISDA_1999_CREDIT_CONVERTIBLE_EXCHANGEABLE_ACCRETING_OBLIGATIONS`
   + `ISDA_1999_CREDIT_SUCCESSOR_AND_CREDIT_EVENTS`
   + `ISDA_2003_CREDIT_MAY_2003`
   + `I_TRAXX_EUROPE_DEALER`
   + `STANDARD_LCDS`
}

class `org.isda.cdm@0.2.0.TaxonomySourceEnum` {
<< enumeration>>
   + `CFI`
   + `ISDA`
}

class `org.isda.cdm@0.2.0.FailureToPay` {
<< concept>>
   + `Boolean` `applicable`
   + `GracePeriodExtension` `gracePeriodExtension`
   + `Money` `paymentRequirement`
}

`org.isda.cdm@0.2.0.FailureToPay` "1" *-- "1" `org.isda.cdm@0.2.0.GracePeriodExtension`
`org.isda.cdm@0.2.0.FailureToPay` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.FailureToPayBuilder` {
<< concept>>
   + `Boolean` `applicable`
}

class `org.isda.cdm@0.2.0.PayRelativeToEnum` {
<< enumeration>>
   + `CALCULATION_PERIOD_START_DATE`
   + `CALCULATION_PERIOD_END_DATE`
   + `LAST_PRICING_DATE`
   + `RESET_DATE`
   + `VALUATION_DATE`
}

class `org.isda.cdm@0.2.0.ExerciseEventBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `adjustedRelevantSwapEffectiveDate`
   + `DateTime` `adjustedExerciseFeePaymentDate`
   + `DateTime` `adjustedCashSettlementValuationDate`
   + `DateTime` `adjustedCashSettlementPaymentDate`
   + `DateTime` `adjustedExerciseDate`
}

class `org.isda.cdm@0.2.0.ExerciseEvent` {
<< concept>>
   + `String` `id`
   + `DateTime` `adjustedRelevantSwapEffectiveDate`
   + `DateTime` `adjustedExerciseFeePaymentDate`
   + `DateTime` `adjustedCashSettlementValuationDate`
   + `DateTime` `adjustedCashSettlementPaymentDate`
   + `DateTime` `adjustedExerciseDate`
}

class `org.isda.cdm@0.2.0.SpreadSchedule` {
<< concept>>
   + `SpreadScheduleTypeEnum` `type`
   + `String` `typeScheme`
   + `String` `id`
   + `Double` `initialValue`
   + `Step[]` `step`
}

`org.isda.cdm@0.2.0.SpreadSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.SpreadScheduleTypeEnum`
`org.isda.cdm@0.2.0.SpreadSchedule` "1" *-- "*" `org.isda.cdm@0.2.0.Step`
class `org.isda.cdm@0.2.0.SpreadScheduleBuilder` {
<< concept>>
   + `SpreadScheduleTypeEnum` `type`
   + `String` `typeScheme`
   + `String` `id`
   + `Double` `initialValue`
}

`org.isda.cdm@0.2.0.SpreadScheduleBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.SpreadScheduleTypeEnum`
class `org.isda.cdm@0.2.0.LoanParticipation` {
<< concept>>
   + `String` `qualifyingParticipationSeller`
   + `Boolean` `applicable`
   + `Boolean` `partialCashSettlement`
}

class `org.isda.cdm@0.2.0.LoanParticipationBuilder` {
<< concept>>
   + `String` `qualifyingParticipationSeller`
   + `Boolean` `applicable`
   + `Boolean` `partialCashSettlement`
}

class `org.isda.cdm@0.2.0.IdentifierValueBuilder` {
<< concept>>
   + `String` `id`
   + `String` `identifier`
   + `String` `identifierScheme`
}

class `org.isda.cdm@0.2.0.IdentifierValue` {
<< concept>>
   + `String` `id`
   + `String` `identifier`
   + `String` `identifierScheme`
}

class `org.isda.cdm@0.2.0.Loan` {
<< concept>>
   + `String` `facilityTypeScheme`
   + `String` `lienScheme`
   + `String` `trancheScheme`
   + `String` `tranche`
   + `DateTime` `maturity`
   + `LegalEntity[]` `borrower`
   + `String[]` `borrowerReference`
   + `String` `lien`
   + `String` `facilityType`
   + `DateTime` `creditAgreementDate`
   + `String` `id`
   + `String` `instrumentIdentifierScheme`
   + `String` `description`
   + `String[]` `instrumentIdentifier`
}

`org.isda.cdm@0.2.0.Loan` "1" *-- "*" `org.isda.cdm@0.2.0.LegalEntity`
class `org.isda.cdm@0.2.0.LoanBuilder` {
<< concept>>
   + `String` `facilityTypeScheme`
   + `String` `lienScheme`
   + `String` `trancheScheme`
   + `String` `tranche`
   + `DateTime` `maturity`
   + `String[]` `borrowerReference`
   + `String` `lien`
   + `String` `facilityType`
   + `DateTime` `creditAgreementDate`
   + `String` `id`
   + `String` `instrumentIdentifierScheme`
   + `String` `description`
   + `String[]` `instrumentIdentifier`
}

class `org.isda.cdm@0.2.0.EventEffect` {
<< concept>>
   + `String[]` `listedProduct`
   + `String[]` `payment`
   + `String[]` `contractReference`
   + `String[]` `effectedContract`
   + `String[]` `effectedContractReference`
   + `String` `effectedEvent`
   + `String[]` `transfer`
   + `String[]` `contract`
}

class `org.isda.cdm@0.2.0.EventEffectBuilder` {
<< concept>>
   + `String[]` `listedProduct`
   + `String[]` `payment`
   + `String[]` `contractReference`
   + `String[]` `effectedContract`
   + `String[]` `effectedContractReference`
   + `String` `effectedEvent`
   + `String[]` `transfer`
   + `String[]` `contract`
}

class `org.isda.cdm@0.2.0.BusinessCentersBuilder` {
<< concept>>
   + `String` `id`
   + `String` `businessCenterScheme`
   + `BusinessCenterEnum[]` `businessCenter`
   + `String` `businessCentersReference`
}

`org.isda.cdm@0.2.0.BusinessCentersBuilder` "1" *-- "*" `org.isda.cdm@0.2.0.BusinessCenterEnum`
class `org.isda.cdm@0.2.0.BusinessCenters` {
<< concept>>
   + `String` `id`
   + `String` `businessCenterScheme`
   + `BusinessCenterEnum[]` `businessCenter`
   + `String` `businessCentersReference`
}

`org.isda.cdm@0.2.0.BusinessCenters` "1" *-- "*" `org.isda.cdm@0.2.0.BusinessCenterEnum`
class `org.isda.cdm@0.2.0.BondOptionStrikeBuilder`
<< concept>> `org.isda.cdm@0.2.0.BondOptionStrikeBuilder`

class `org.isda.cdm@0.2.0.BondOptionStrike` {
<< concept>>
   + `ReferenceSwapCurve` `referenceSwapCurve`
   + `OptionStrike` `price`
}

`org.isda.cdm@0.2.0.BondOptionStrike` "1" *-- "1" `org.isda.cdm@0.2.0.ReferenceSwapCurve`
`org.isda.cdm@0.2.0.BondOptionStrike` "1" *-- "1" `org.isda.cdm@0.2.0.OptionStrike`
class `org.isda.cdm@0.2.0.MandatoryEarlyTerminationBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.MandatoryEarlyTermination` {
<< concept>>
   + `String` `id`
   + `OptionCashSettlement` `cashSettlement`
   + `CalculationAgent` `calculationAgent`
   + `AdjustableDate` `mandatoryEarlyTerminationDate`
   + `MandatoryEarlyTerminationAdjustedDates` `mandatoryEarlyTerminationAdjustedDates`
}

`org.isda.cdm@0.2.0.MandatoryEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.OptionCashSettlement`
`org.isda.cdm@0.2.0.MandatoryEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationAgent`
`org.isda.cdm@0.2.0.MandatoryEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDate`
`org.isda.cdm@0.2.0.MandatoryEarlyTermination` "1" *-- "1" `org.isda.cdm@0.2.0.MandatoryEarlyTerminationAdjustedDates`
class `org.isda.cdm@0.2.0.OptionStyleBuilder`
<< concept>> `org.isda.cdm@0.2.0.OptionStyleBuilder`

class `org.isda.cdm@0.2.0.OptionStyle` {
<< concept>>
   + `AmericanExercise` `americanExercise`
   + `BermudaExercise` `bermudaExercise`
   + `EuropeanExercise` `europeanExercise`
}

`org.isda.cdm@0.2.0.OptionStyle` "1" *-- "1" `org.isda.cdm@0.2.0.AmericanExercise`
`org.isda.cdm@0.2.0.OptionStyle` "1" *-- "1" `org.isda.cdm@0.2.0.BermudaExercise`
`org.isda.cdm@0.2.0.OptionStyle` "1" *-- "1" `org.isda.cdm@0.2.0.EuropeanExercise`
class `org.isda.cdm@0.2.0.ProductIdentifierBuilder` {
<< concept>>
   + `String` `productId`
   + `ProductIdSourceEnum` `productIdSource`
   + `String` `productIdScheme`
}

`org.isda.cdm@0.2.0.ProductIdentifierBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.ProductIdSourceEnum`
class `org.isda.cdm@0.2.0.ProductIdentifier` {
<< concept>>
   + `String` `productId`
   + `ProductIdSourceEnum` `productIdSource`
   + `String` `productIdScheme`
}

`org.isda.cdm@0.2.0.ProductIdentifier` "1" *-- "1" `org.isda.cdm@0.2.0.ProductIdSourceEnum`
class `org.isda.cdm@0.2.0.SpecifiedCurrencyBuilder` {
<< concept>>
   + `String` `currency`
   + `Boolean` `applicable`
   + `String` `currencyScheme`
}

class `org.isda.cdm@0.2.0.SpecifiedCurrency` {
<< concept>>
   + `String` `currency`
   + `Boolean` `applicable`
   + `String` `currencyScheme`
}

class `org.isda.cdm@0.2.0.CalculationPeriodDates` {
<< concept>>
   + `String` `id`
   + `CalculationPeriodFrequency` `calculationPeriodFrequency`
   + `DateInstances` `effectiveDate`
   + `AdjustableDate` `terminationDate`
   + `DateTime` `firstCompoundingPeriodEndDate`
   + `StubPeriodTypeEnum` `stubPeriodType`
   + `AdjustedRelativeDateOffset` `relativeEffectiveDate`
   + `RelativeDateOffset` `relativeTerminationDate`
   + `AdjustableDate` `firstPeriodStartDate`
   + `DateTime` `firstRegularPeriodStartDate`
   + `BusinessDayAdjustments` `calculationPeriodDatesAdjustments`
   + `DateTime` `lastRegularPeriodEndDate`
}

`org.isda.cdm@0.2.0.CalculationPeriodDates` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationPeriodFrequency`
`org.isda.cdm@0.2.0.CalculationPeriodDates` "1" *-- "1" `org.isda.cdm@0.2.0.DateInstances`
`org.isda.cdm@0.2.0.CalculationPeriodDates` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDate`
`org.isda.cdm@0.2.0.CalculationPeriodDates` "1" *-- "1" `org.isda.cdm@0.2.0.StubPeriodTypeEnum`
`org.isda.cdm@0.2.0.CalculationPeriodDates` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustedRelativeDateOffset`
`org.isda.cdm@0.2.0.CalculationPeriodDates` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
`org.isda.cdm@0.2.0.CalculationPeriodDates` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDate`
`org.isda.cdm@0.2.0.CalculationPeriodDates` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
class `org.isda.cdm@0.2.0.CalculationPeriodDatesBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `firstCompoundingPeriodEndDate`
   + `StubPeriodTypeEnum` `stubPeriodType`
   + `DateTime` `firstRegularPeriodStartDate`
   + `DateTime` `lastRegularPeriodEndDate`
}

`org.isda.cdm@0.2.0.CalculationPeriodDatesBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.StubPeriodTypeEnum`
class `org.isda.cdm@0.2.0.StubCalculationPeriodAmount` {
<< concept>>
   + `String` `calculationPeriodDatesReference`
   + `StubValue` `initialStub`
   + `StubValue` `finalStub`
}

`org.isda.cdm@0.2.0.StubCalculationPeriodAmount` "1" *-- "1" `org.isda.cdm@0.2.0.StubValue`
`org.isda.cdm@0.2.0.StubCalculationPeriodAmount` "1" *-- "1" `org.isda.cdm@0.2.0.StubValue`
class `org.isda.cdm@0.2.0.StubCalculationPeriodAmountBuilder` {
<< concept>>
   + `String` `calculationPeriodDatesReference`
}

class `org.isda.cdm@0.2.0.SettledEntityMatrixSourceEnum` {
<< enumeration>>
   + `CONFIRMATION_ANNEX`
   + `NOT_APPLICABLE`
   + `PUBLISHER`
}

class `org.isda.cdm@0.2.0.SwapCurveValuation` {
<< concept>>
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Period` `indexTenor`
   + `Double` `spread`
   + `QuotationSideEnum` `side`
}

`org.isda.cdm@0.2.0.SwapCurveValuation` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.SwapCurveValuation` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.SwapCurveValuation` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationSideEnum`
class `org.isda.cdm@0.2.0.SwapCurveValuationBuilder` {
<< concept>>
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Double` `spread`
   + `QuotationSideEnum` `side`
}

`org.isda.cdm@0.2.0.SwapCurveValuationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.SwapCurveValuationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationSideEnum`
class `org.isda.cdm@0.2.0.PartyAndAccountReferenceBuilder` {
<< concept>>
   + `String` `accountReference`
   + `String` `partyReference`
}

class `org.isda.cdm@0.2.0.PartyAndAccountReference` {
<< concept>>
   + `String` `accountReference`
   + `String` `partyReference`
}

class `org.isda.cdm@0.2.0.ConstituentWeightBuilder` {
<< concept>>
   + `Double` `openUnits`
   + `Double` `basketPercentage`
}

class `org.isda.cdm@0.2.0.ConstituentWeight` {
<< concept>>
   + `Double` `openUnits`
   + `Double` `basketPercentage`
}

class `org.isda.cdm@0.2.0.InterestRatePayoutBuilder` {
<< concept>>
   + `String` `id`
   + `String` `dayCountFractionScheme`
   + `DayCountFractionEnum` `dayCountFraction`
   + `CompoundingMethodEnum` `compoundingMethod`
}

`org.isda.cdm@0.2.0.InterestRatePayoutBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.InterestRatePayoutBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CompoundingMethodEnum`
class `org.isda.cdm@0.2.0.InterestRatePayout` {
<< concept>>
   + `String` `id`
   + `String` `rosettaKeyValue`
   + `String` `dayCountFractionScheme`
   + `CrossCurrencyTerms` `crossCurrencyTerms`
   + `Discounting` `discounting`
   + `CashflowRepresentation` `cashflowRepresentation`
   + `BondReference` `bondReference`
   + `DayCountFractionEnum` `dayCountFraction`
   + `CompoundingMethodEnum` `compoundingMethod`
   + `ResetDates` `resetDates`
   + `PayerReceiver` `payerReceiver`
   + `CalculationPeriodDates` `calculationPeriodDates`
   + `ContractualQuantity` `quantity`
   + `InterestRate` `interestRate`
   + `StubPeriod` `stubPeriod`
   + `PaymentDates` `paymentDates`
}

`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.CrossCurrencyTerms`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.Discounting`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.CashflowRepresentation`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.BondReference`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.CompoundingMethodEnum`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.ResetDates`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiver`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationPeriodDates`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.ContractualQuantity`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.InterestRate`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.StubPeriod`
`org.isda.cdm@0.2.0.InterestRatePayout` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentDates`
class `org.isda.cdm@0.2.0.AdjustableOrAdjustedOrRelativeDateBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `unadjustedDate`
   + `DateTime` `adjustedDate`
}

class `org.isda.cdm@0.2.0.AdjustableOrAdjustedOrRelativeDate` {
<< concept>>
   + `String` `id`
   + `DateTime` `unadjustedDate`
   + `RelativeDateOffset` `relativeDate`
   + `DateTime` `adjustedDate`
   + `BusinessDayAdjustments` `dateAdjustments`
}

`org.isda.cdm@0.2.0.AdjustableOrAdjustedOrRelativeDate` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
`org.isda.cdm@0.2.0.AdjustableOrAdjustedOrRelativeDate` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
class `org.isda.cdm@0.2.0.Obligations` {
<< concept>>
   + `ObligationCategoryEnum` `category`
   + `String` `excluded`
   + `Boolean` `fullFaithAndCreditObLiability`
   + `Boolean` `generalFundObligationLiability`
   + `Boolean` `listed`
   + `Boolean` `notContingent`
   + `NotDomesticCurrency` `notDomesticCurrency`
   + `Boolean` `notDomesticIssuance`
   + `Boolean` `notDomesticLaw`
   + `Boolean` `notSovereignLender`
   + `Boolean` `notSubordinated`
   + `String` `othReferenceEntityObligations`
   + `Boolean` `revenueObligationLiability`
   + `SpecifiedCurrency` `specifiedCurrency`
   + `String` `designatedPriority`
   + `Boolean` `cashSettlementOnly`
   + `Boolean` `deliveryOfCommitments`
   + `Boolean` `continuity`
   + `String` `designatedPriorityScheme`
}

`org.isda.cdm@0.2.0.Obligations` "1" *-- "1" `org.isda.cdm@0.2.0.ObligationCategoryEnum`
`org.isda.cdm@0.2.0.Obligations` "1" *-- "1" `org.isda.cdm@0.2.0.NotDomesticCurrency`
`org.isda.cdm@0.2.0.Obligations` "1" *-- "1" `org.isda.cdm@0.2.0.SpecifiedCurrency`
class `org.isda.cdm@0.2.0.ObligationsBuilder` {
<< concept>>
   + `ObligationCategoryEnum` `category`
   + `String` `excluded`
   + `Boolean` `fullFaithAndCreditObLiability`
   + `Boolean` `generalFundObligationLiability`
   + `Boolean` `listed`
   + `Boolean` `notContingent`
   + `Boolean` `notDomesticIssuance`
   + `Boolean` `notDomesticLaw`
   + `Boolean` `notSovereignLender`
   + `Boolean` `notSubordinated`
   + `String` `othReferenceEntityObligations`
   + `Boolean` `revenueObligationLiability`
   + `String` `designatedPriority`
   + `Boolean` `cashSettlementOnly`
   + `Boolean` `deliveryOfCommitments`
   + `Boolean` `continuity`
   + `String` `designatedPriorityScheme`
}

`org.isda.cdm@0.2.0.ObligationsBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.ObligationCategoryEnum`
class `org.isda.cdm@0.2.0.ContractualTermsSupplement` {
<< concept>>
   + `ContractualSupplementEnum` `type`
   + `DateTime` `publicationDate`
   + `String` `typeScheme`
}

`org.isda.cdm@0.2.0.ContractualTermsSupplement` "1" *-- "1" `org.isda.cdm@0.2.0.ContractualSupplementEnum`
class `org.isda.cdm@0.2.0.ContractualTermsSupplementBuilder` {
<< concept>>
   + `ContractualSupplementEnum` `type`
   + `DateTime` `publicationDate`
   + `String` `typeScheme`
}

`org.isda.cdm@0.2.0.ContractualTermsSupplementBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.ContractualSupplementEnum`
class `org.isda.cdm@0.2.0.Lineage` {
<< concept>>
   + `Identifier[]` `contractReference`
   + `Identifier[]` `eventReference`
   + `String` `contractReferenceScheme`
}

`org.isda.cdm@0.2.0.Lineage` "1" *-- "*" `org.isda.cdm@0.2.0.Identifier`
`org.isda.cdm@0.2.0.Lineage` "1" *-- "*" `org.isda.cdm@0.2.0.Identifier`
class `org.isda.cdm@0.2.0.LineageBuilder` {
<< concept>>
   + `String` `contractReferenceScheme`
}

class `org.isda.cdm@0.2.0.SettledEntityMatrix` {
<< concept>>
   + `DateTime` `publicationDate`
   + `String` `matrixSourceScheme`
   + `SettledEntityMatrixSourceEnum` `matrixSource`
}

`org.isda.cdm@0.2.0.SettledEntityMatrix` "1" *-- "1" `org.isda.cdm@0.2.0.SettledEntityMatrixSourceEnum`
class `org.isda.cdm@0.2.0.SettledEntityMatrixBuilder` {
<< concept>>
   + `DateTime` `publicationDate`
   + `String` `matrixSourceScheme`
   + `SettledEntityMatrixSourceEnum` `matrixSource`
}

`org.isda.cdm@0.2.0.SettledEntityMatrixBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.SettledEntityMatrixSourceEnum`
class `org.isda.cdm@0.2.0.ReferenceInformationBuilder` {
<< concept>>
   + `Double` `referencePrice`
   + `Boolean` `allGuarantees`
   + `Boolean` `noReferenceObligation`
   + `Boolean` `unknownReferenceObligation`
   + `Boolean` `referencePolicy`
   + `Boolean` `securedList`
}

class `org.isda.cdm@0.2.0.ReferenceInformation` {
<< concept>>
   + `Double` `referencePrice`
   + `Boolean` `allGuarantees`
   + `ReferenceObligation[]` `referenceObligation`
   + `LegalEntity` `referenceEntity`
   + `Boolean` `noReferenceObligation`
   + `Boolean` `unknownReferenceObligation`
   + `Boolean` `referencePolicy`
   + `Boolean` `securedList`
}

`org.isda.cdm@0.2.0.ReferenceInformation` "1" *-- "*" `org.isda.cdm@0.2.0.ReferenceObligation`
`org.isda.cdm@0.2.0.ReferenceInformation` "1" *-- "1" `org.isda.cdm@0.2.0.LegalEntity`
class `org.isda.cdm@0.2.0.NonNegativeAmountScheduleBuilder` {
<< concept>>
   + `String` `currency`
   + `String` `currencyScheme`
   + `String` `id`
   + `Double` `initialValue`
}

class `org.isda.cdm@0.2.0.NonNegativeAmountSchedule` {
<< concept>>
   + `String` `currency`
   + `String` `currencyScheme`
   + `String` `id`
   + `Double` `initialValue`
   + `NonNegativeStep[]` `step`
}

`org.isda.cdm@0.2.0.NonNegativeAmountSchedule` "1" *-- "*" `org.isda.cdm@0.2.0.NonNegativeStep`
class `org.isda.cdm@0.2.0.CashflowTypeEnum` {
<< enumeration>>
   + `BROKERAGE_COMMISSION`
   + `FEE`
   + `INTEREST`
   + `NET_INTEREST`
   + `NOVATION_FEE`
   + `PREMIUM`
   + `TERMINATION_FEE`
}

class `org.isda.cdm@0.2.0.PayerReceiver` {
<< concept>>
   + `String` `payerPartyReference`
   + `String` `receiverPartyReference`
   + `String` `payerAccountReference`
   + `String` `receiverAccountReference`
}

class `org.isda.cdm@0.2.0.PayerReceiverBuilder` {
<< concept>>
   + `String` `payerPartyReference`
   + `String` `receiverPartyReference`
   + `String` `payerAccountReference`
   + `String` `receiverAccountReference`
}

class `org.isda.cdm@0.2.0.BusinessCenterEnum` {
<< enumeration>>
   + `AEAD`
   + `AEDU`
   + `AMYE`
   + `BEBR`
   + `BRBD`
   + `CATO`
   + `CHZU`
   + `CNBE`
   + `DEFR`
   + `EUTA`
   + `GBLO`
   + `INMU`
   + `JPTO`
   + `KRSE`
   + `USNY`
}

class `org.isda.cdm@0.2.0.BasketReferenceInformation` {
<< concept>>
   + `Tranche` `tranche`
   + `BasketName` `basketName`
   + `String[]` `basketId`
   + `ReferencePool` `referencePool`
   + `Integer` `nthToDefault`
   + `Integer` `mthToDefault`
   + `String` `basketIdScheme`
}

`org.isda.cdm@0.2.0.BasketReferenceInformation` "1" *-- "1" `org.isda.cdm@0.2.0.Tranche`
`org.isda.cdm@0.2.0.BasketReferenceInformation` "1" *-- "1" `org.isda.cdm@0.2.0.BasketName`
`org.isda.cdm@0.2.0.BasketReferenceInformation` "1" *-- "1" `org.isda.cdm@0.2.0.ReferencePool`
class `org.isda.cdm@0.2.0.BasketReferenceInformationBuilder` {
<< concept>>
   + `String[]` `basketId`
   + `Integer` `nthToDefault`
   + `Integer` `mthToDefault`
   + `String` `basketIdScheme`
}

class `org.isda.cdm@0.2.0.FeaturePayment` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `AdjustableOrAdjustedDate` `featurePaymentDate`
   + `String` `currencyScheme`
   + `Double` `levelPercentage`
   + `PayerReceiver` `payerReceiver`
   + `Double` `amount`
   + `TimeTypeEnum` `time`
}

`org.isda.cdm@0.2.0.FeaturePayment` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrAdjustedDate`
`org.isda.cdm@0.2.0.FeaturePayment` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiver`
`org.isda.cdm@0.2.0.FeaturePayment` "1" *-- "1" `org.isda.cdm@0.2.0.TimeTypeEnum`
class `org.isda.cdm@0.2.0.FeaturePaymentBuilder` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `String` `currencyScheme`
   + `Double` `levelPercentage`
   + `Double` `amount`
   + `TimeTypeEnum` `time`
}

`org.isda.cdm@0.2.0.FeaturePaymentBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.TimeTypeEnum`
class `org.isda.cdm@0.2.0.ReferencePool` {
<< concept>>
   + `ReferencePoolItem[]` `referencePoolItem`
}

`org.isda.cdm@0.2.0.ReferencePool` "1" *-- "*" `org.isda.cdm@0.2.0.ReferencePoolItem`
class `org.isda.cdm@0.2.0.ReferencePoolBuilder`
<< concept>> `org.isda.cdm@0.2.0.ReferencePoolBuilder`

class `org.isda.cdm@0.2.0.PhysicalSettlementPeriod` {
<< concept>>
   + `Integer` `businessDays`
   + `Integer` `maximumBusinessDays`
   + `Boolean` `businessDaysNotSpecified`
}

class `org.isda.cdm@0.2.0.PhysicalSettlementPeriodBuilder` {
<< concept>>
   + `Integer` `businessDays`
   + `Integer` `maximumBusinessDays`
   + `Boolean` `businessDaysNotSpecified`
}

class `org.isda.cdm@0.2.0.PackageTypeEnum` {
<< enumeration>>
   + `BUTTERFLY`
   + `CALENDAR_ROLL`
   + `CALENDAR_SPREAD`
   + `CUSTOM`
   + `INDEX_ROLL`
   + `ONE_CANCELS_OTHERS`
   + `SWAP_SPREAD`
   + `SWITCH`
}

class `org.isda.cdm@0.2.0.EconomicTermsBuilder`
<< concept>> `org.isda.cdm@0.2.0.EconomicTermsBuilder`

class `org.isda.cdm@0.2.0.EconomicTerms` {
<< concept>>
   + `String` `rosettaKeyValue`
   + `Payout` `payout`
   + `EarlyTerminationProvision` `earlyTerminationProvision`
   + `CancelableProvision` `cancelableProvision`
   + `ExtendibleProvision` `extendibleProvision`
}

`org.isda.cdm@0.2.0.EconomicTerms` "1" *-- "1" `org.isda.cdm@0.2.0.Payout`
`org.isda.cdm@0.2.0.EconomicTerms` "1" *-- "1" `org.isda.cdm@0.2.0.EarlyTerminationProvision`
`org.isda.cdm@0.2.0.EconomicTerms` "1" *-- "1" `org.isda.cdm@0.2.0.CancelableProvision`
`org.isda.cdm@0.2.0.EconomicTerms` "1" *-- "1" `org.isda.cdm@0.2.0.ExtendibleProvision`
class `org.isda.cdm@0.2.0.EquityAsset` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `ProductIdentifier[]` `productIdentifier`
   + `ProductTaxonomy[]` `productTaxonomy`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.EquityAsset` "1" *-- "*" `org.isda.cdm@0.2.0.ProductIdentifier`
`org.isda.cdm@0.2.0.EquityAsset` "1" *-- "*" `org.isda.cdm@0.2.0.ProductTaxonomy`
class `org.isda.cdm@0.2.0.EquityAssetBuilder` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

class `org.isda.cdm@0.2.0.AdjustableOrRelativeDates` {
<< concept>>
   + `String` `id`
   + `AdjustableDates` `adjustableDates`
   + `RelativeDates` `relativeDates`
}

`org.isda.cdm@0.2.0.AdjustableOrRelativeDates` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDates`
`org.isda.cdm@0.2.0.AdjustableOrRelativeDates` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDates`
class `org.isda.cdm@0.2.0.AdjustableOrRelativeDatesBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.IndexAnnexSourceEnum` {
<< enumeration>>
   + `MASTER_CONFIRMATION`
   + `PUBLISHER`
}

class `org.isda.cdm@0.2.0.Knock` {
<< concept>>
   + `TriggerEvent` `knockOut`
   + `TriggerEvent` `knockIn`
}

`org.isda.cdm@0.2.0.Knock` "1" *-- "1" `org.isda.cdm@0.2.0.TriggerEvent`
`org.isda.cdm@0.2.0.Knock` "1" *-- "1" `org.isda.cdm@0.2.0.TriggerEvent`
class `org.isda.cdm@0.2.0.KnockBuilder`
<< concept>> `org.isda.cdm@0.2.0.KnockBuilder`

class `org.isda.cdm@0.2.0.CalculationAgentModelBuilder` {
<< concept>>
   + `BusinessCenterEnum` `calculationAgentBusinessCenter`
}

`org.isda.cdm@0.2.0.CalculationAgentModelBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
class `org.isda.cdm@0.2.0.CalculationAgentModel` {
<< concept>>
   + `BusinessCenterEnum` `calculationAgentBusinessCenter`
   + `CalculationAgent` `calculationAgent`
}

`org.isda.cdm@0.2.0.CalculationAgentModel` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
`org.isda.cdm@0.2.0.CalculationAgentModel` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationAgent`
class `org.isda.cdm@0.2.0.CalendarSpread` {
<< concept>>
   + `AdjustableOrRelativeDate` `expirationDateTwo`
}

`org.isda.cdm@0.2.0.CalendarSpread` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrRelativeDate`
class `org.isda.cdm@0.2.0.CalendarSpreadBuilder`
<< concept>> `org.isda.cdm@0.2.0.CalendarSpreadBuilder`

class `org.isda.cdm@0.2.0.ProductTaxonomy` {
<< concept>>
   + `String` `taxonomyValue`
   + `TaxonomySourceEnum` `taxonomySource`
}

`org.isda.cdm@0.2.0.ProductTaxonomy` "1" *-- "1" `org.isda.cdm@0.2.0.TaxonomySourceEnum`
class `org.isda.cdm@0.2.0.ProductTaxonomyBuilder` {
<< concept>>
   + `String` `taxonomyValue`
   + `TaxonomySourceEnum` `taxonomySource`
}

`org.isda.cdm@0.2.0.ProductTaxonomyBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.TaxonomySourceEnum`
class `org.isda.cdm@0.2.0.TransferTypeEnum` {
<< enumeration>>
   + `SECURITY_SETTLEMENT`
   + `SECURITY_TRANSFER`
   + `BROKERAGE_COMMISSION`
   + `FEE`
   + `INTEREST`
   + `NET_INTEREST`
   + `NOVATION_FEE`
   + `PREMIUM`
   + `TERMINATION_FEE`
}

class `org.isda.cdm@0.2.0.BrokerConfirmation` {
<< concept>>
   + `BrokerConfirmationTypeEnum` `brokerConfirmationType`
   + `String` `brokerConfirmationTypeScheme`
}

`org.isda.cdm@0.2.0.BrokerConfirmation` "1" *-- "1" `org.isda.cdm@0.2.0.BrokerConfirmationTypeEnum`
class `org.isda.cdm@0.2.0.BrokerConfirmationBuilder` {
<< concept>>
   + `BrokerConfirmationTypeEnum` `brokerConfirmationType`
   + `String` `brokerConfirmationTypeScheme`
}

`org.isda.cdm@0.2.0.BrokerConfirmationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BrokerConfirmationTypeEnum`
class `org.isda.cdm@0.2.0.DeliverableObligations` {
<< concept>>
   + `ObligationCategoryEnum` `category`
   + `Boolean` `acceleratedOrMatured`
   + `Boolean` `accruedInterest`
   + `PCDeliverableObligationCharac` `assignableLoan`
   + `PCDeliverableObligationCharac` `consentRequiredLoan`
   + `LoanParticipation` `directLoanParticipation`
   + `String` `excluded`
   + `Boolean` `fullFaithAndCreditObLiability`
   + `Boolean` `generalFundObligationLiability`
   + `LoanParticipation` `indirectLoanParticipation`
   + `Boolean` `listed`
   + `Period` `maximumMaturity`
   + `Boolean` `notBearer`
   + `Boolean` `notContingent`
   + `NotDomesticCurrency` `notDomesticCurrency`
   + `Boolean` `notDomesticIssuance`
   + `Boolean` `notDomesticLaw`
   + `Boolean` `notSovereignLender`
   + `Boolean` `notSubordinated`
   + `String` `othReferenceEntityObligations`
   + `Boolean` `revenueObligationLiability`
   + `SpecifiedCurrency` `specifiedCurrency`
   + `Boolean` `transferable`
}

`org.isda.cdm@0.2.0.DeliverableObligations` "1" *-- "1" `org.isda.cdm@0.2.0.ObligationCategoryEnum`
`org.isda.cdm@0.2.0.DeliverableObligations` "1" *-- "1" `org.isda.cdm@0.2.0.PCDeliverableObligationCharac`
`org.isda.cdm@0.2.0.DeliverableObligations` "1" *-- "1" `org.isda.cdm@0.2.0.PCDeliverableObligationCharac`
`org.isda.cdm@0.2.0.DeliverableObligations` "1" *-- "1" `org.isda.cdm@0.2.0.LoanParticipation`
`org.isda.cdm@0.2.0.DeliverableObligations` "1" *-- "1" `org.isda.cdm@0.2.0.LoanParticipation`
`org.isda.cdm@0.2.0.DeliverableObligations` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.DeliverableObligations` "1" *-- "1" `org.isda.cdm@0.2.0.NotDomesticCurrency`
`org.isda.cdm@0.2.0.DeliverableObligations` "1" *-- "1" `org.isda.cdm@0.2.0.SpecifiedCurrency`
class `org.isda.cdm@0.2.0.DeliverableObligationsBuilder` {
<< concept>>
   + `ObligationCategoryEnum` `category`
   + `Boolean` `acceleratedOrMatured`
   + `Boolean` `accruedInterest`
   + `String` `excluded`
   + `Boolean` `fullFaithAndCreditObLiability`
   + `Boolean` `generalFundObligationLiability`
   + `Boolean` `listed`
   + `Boolean` `notBearer`
   + `Boolean` `notContingent`
   + `Boolean` `notDomesticIssuance`
   + `Boolean` `notDomesticLaw`
   + `Boolean` `notSovereignLender`
   + `Boolean` `notSubordinated`
   + `String` `othReferenceEntityObligations`
   + `Boolean` `revenueObligationLiability`
   + `Boolean` `transferable`
}

`org.isda.cdm@0.2.0.DeliverableObligationsBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.ObligationCategoryEnum`
class `org.isda.cdm@0.2.0.DateInstancesBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `date`
}

class `org.isda.cdm@0.2.0.DateInstances` {
<< concept>>
   + `String` `id`
   + `AdjustableDate` `adjustableDate`
   + `PriorDateInstance[]` `priorDateInstance`
   + `DateTime` `date`
}

`org.isda.cdm@0.2.0.DateInstances` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableDate`
`org.isda.cdm@0.2.0.DateInstances` "1" *-- "*" `org.isda.cdm@0.2.0.PriorDateInstance`
class `org.isda.cdm@0.2.0.ExerciseNoticeBuilder` {
<< concept>>
   + `String` `businessCenterScheme`
   + `BusinessCenterEnum` `businessCenter`
   + `String` `exerciseNoticePartyReference`
   + `String` `partyReference`
}

`org.isda.cdm@0.2.0.ExerciseNoticeBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
class `org.isda.cdm@0.2.0.ExerciseNotice` {
<< concept>>
   + `String` `businessCenterScheme`
   + `BusinessCenterEnum` `businessCenter`
   + `String` `exerciseNoticePartyReference`
   + `String` `partyReference`
}

`org.isda.cdm@0.2.0.ExerciseNotice` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
class `org.isda.cdm@0.2.0.MasterAgreementTypeEnum` {
<< enumeration>>
   + `AFB`
   + `ISDA`
}

class `org.isda.cdm@0.2.0.FloatingRate` {
<< concept>>
   + `String` `id`
   + `SpreadSchedule[]` `spreadSchedule`
   + `String` `floatingRateIndexScheme`
   + `Schedule` `floatingRateMultiplierSchedule`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Period` `indexTenor`
   + `RateTreatmentEnum` `rateTreatment`
   + `StrikeSchedule[]` `capRateSchedule`
   + `StrikeSchedule[]` `floorRateSchedule`
}

`org.isda.cdm@0.2.0.FloatingRate` "1" *-- "*" `org.isda.cdm@0.2.0.SpreadSchedule`
`org.isda.cdm@0.2.0.FloatingRate` "1" *-- "1" `org.isda.cdm@0.2.0.Schedule`
`org.isda.cdm@0.2.0.FloatingRate` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.FloatingRate` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.FloatingRate` "1" *-- "1" `org.isda.cdm@0.2.0.RateTreatmentEnum`
`org.isda.cdm@0.2.0.FloatingRate` "1" *-- "*" `org.isda.cdm@0.2.0.StrikeSchedule`
`org.isda.cdm@0.2.0.FloatingRate` "1" *-- "*" `org.isda.cdm@0.2.0.StrikeSchedule`
class `org.isda.cdm@0.2.0.FloatingRateBuilder` {
<< concept>>
   + `String` `id`
   + `String` `floatingRateIndexScheme`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `RateTreatmentEnum` `rateTreatment`
}

`org.isda.cdm@0.2.0.FloatingRateBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.FloatingRateBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.RateTreatmentEnum`
class `org.isda.cdm@0.2.0.CancellationEvent` {
<< concept>>
   + `String` `id`
   + `DateTime` `adjustedEarlyTerminationDate`
   + `DateTime` `adjustedExerciseDate`
}

class `org.isda.cdm@0.2.0.CancellationEventBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `adjustedEarlyTerminationDate`
   + `DateTime` `adjustedExerciseDate`
}

class `org.isda.cdm@0.2.0.MultipleValuationDates` {
<< concept>>
   + `Integer` `businessDaysThereafter`
   + `Integer` `numberValuationDates`
   + `Integer` `businessDays`
}

class `org.isda.cdm@0.2.0.MultipleValuationDatesBuilder` {
<< concept>>
   + `Integer` `businessDaysThereafter`
   + `Integer` `numberValuationDates`
   + `Integer` `businessDays`
}

class `org.isda.cdm@0.2.0.TriggerBuilder` {
<< concept>>
   + `Double` `level`
   + `Double` `levelPercentage`
   + `String` `creditEventsReference`
   + `TriggerTypeEnum` `triggerType`
   + `TriggerTimeTypeEnum` `triggerTimeType`
}

`org.isda.cdm@0.2.0.TriggerBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.TriggerTypeEnum`
`org.isda.cdm@0.2.0.TriggerBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.TriggerTimeTypeEnum`
class `org.isda.cdm@0.2.0.Trigger` {
<< concept>>
   + `CreditEvents` `creditEvents`
   + `Double` `level`
   + `Double` `levelPercentage`
   + `String` `creditEventsReference`
   + `TriggerTypeEnum` `triggerType`
   + `TriggerTimeTypeEnum` `triggerTimeType`
}

`org.isda.cdm@0.2.0.Trigger` "1" *-- "1" `org.isda.cdm@0.2.0.CreditEvents`
`org.isda.cdm@0.2.0.Trigger` "1" *-- "1" `org.isda.cdm@0.2.0.TriggerTypeEnum`
`org.isda.cdm@0.2.0.Trigger` "1" *-- "1" `org.isda.cdm@0.2.0.TriggerTimeTypeEnum`
class `org.isda.cdm@0.2.0.ExerciseOutcome` {
<< concept>>
   + `PhysicalExercise` `physicalExercise`
   + `Cashflow` `cashExercise`
   + `ContractReference[]` `contractReference`
   + `Contract[]` `contract`
}

`org.isda.cdm@0.2.0.ExerciseOutcome` "1" *-- "1" `org.isda.cdm@0.2.0.PhysicalExercise`
`org.isda.cdm@0.2.0.ExerciseOutcome` "1" *-- "1" `org.isda.cdm@0.2.0.Cashflow`
`org.isda.cdm@0.2.0.ExerciseOutcome` "1" *-- "*" `org.isda.cdm@0.2.0.ContractReference`
`org.isda.cdm@0.2.0.ExerciseOutcome` "1" *-- "*" `org.isda.cdm@0.2.0.Contract`
class `org.isda.cdm@0.2.0.ExerciseOutcomeBuilder`
<< concept>> `org.isda.cdm@0.2.0.ExerciseOutcomeBuilder`

class `org.isda.cdm@0.2.0.ExerciseFeeScheduleBuilder` {
<< concept>>
   + `String` `notionalReference`
   + `String` `payerPartyReference`
   + `String` `receiverPartyReference`
   + `String` `payerAccountReference`
   + `String` `receiverAccountReference`
}

class `org.isda.cdm@0.2.0.ExerciseFeeSchedule` {
<< concept>>
   + `String` `notionalReference`
   + `AmountSchedule` `feeAmountSchedule`
   + `Schedule` `feeRateSchedule`
   + `RelativeDateOffset` `feePaymentDate`
   + `String` `payerPartyReference`
   + `String` `receiverPartyReference`
   + `String` `payerAccountReference`
   + `String` `receiverAccountReference`
}

`org.isda.cdm@0.2.0.ExerciseFeeSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.AmountSchedule`
`org.isda.cdm@0.2.0.ExerciseFeeSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.Schedule`
`org.isda.cdm@0.2.0.ExerciseFeeSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
class `org.isda.cdm@0.2.0.MarketDisruptionEnum` {
<< enumeration>>
   + `MODIFIED_POSTPONEMENT`
   + `OMISSION`
   + `POSTPONEMENT`
}

class `org.isda.cdm@0.2.0.FloatingRateIndexEnum` {
<< enumeration>>
   + `AED_EBOR_REUTERS`
   + `AUD_AONIA_OIS_COMPOUND`
   + `AUD_AONIA_OIS_COMPOUND_SWAP_MARKER`
   + `BRL_CDI`
   + `CAD_BA_CDOR`
   + `CNY_CNREPOFIX_CFXS_REUTERS`
   + `EUR_EONIA_OIS_COMPOUND`
   + `EUR_EURIBOR_REUTERS`
   + `EUR_EURIBOR_TELERATE`
   + `EUR_LIBOR_BBA`
   + `GBP_LIBOR_BBA`
   + `GBP_LIBOR_ISDA`
   + `GBP_SONIA_COMPOUND`
   + `INR_FBIL_MIBOR_OIS_COMPOUND`
   + `KRW_CD_KSDA_BLOOMBERG`
   + `UK_RPIX`
   + `USA_CPI_U`
   + `USD_FEDERAL_FUNDS_H_15_OIS_COMPOUND`
   + `USD_LIBOR_BBA`
}

class `org.isda.cdm@0.2.0.EventTimestamp` {
<< concept>>
   + `DateTime` `expiryTimestamp`
   + `DateTime` `creationTimestamp`
}

class `org.isda.cdm@0.2.0.EventTimestampBuilder` {
<< concept>>
   + `DateTime` `expiryTimestamp`
   + `DateTime` `creationTimestamp`
}

class `org.isda.cdm@0.2.0.QuantoBuilder`
<< concept>> `org.isda.cdm@0.2.0.QuantoBuilder`

class `org.isda.cdm@0.2.0.Quanto` {
<< concept>>
   + `FxRate[]` `fxRate`
   + `FxSpotRateSource` `fxSpotRateSource`
}

`org.isda.cdm@0.2.0.Quanto` "1" *-- "*" `org.isda.cdm@0.2.0.FxRate`
`org.isda.cdm@0.2.0.Quanto` "1" *-- "1" `org.isda.cdm@0.2.0.FxSpotRateSource`
class `org.isda.cdm@0.2.0.UnitEnum` {
<< enumeration>>
   + `M_WH`
   + `MMBTU`
   + `BBL`
   + `GAL`
   + `BSH`
}

class `org.isda.cdm@0.2.0.DeterminationMethodEnum` {
<< enumeration>>
   + `AGREED_INITIAL_PRICE`
   + `AS_SPECIFIED_IN_MASTER_CONFIRMATION`
   + `CALCULATION_AGENT`
   + `CLOSING_PRICE`
   + `DIVIDEND_CURRENCY`
   + `EXPIRING_CONTRACT_LEVEL`
   + `HEDGE_EXECUTION`
   + `ISSUER_PAYMENT_CURRENCY`
   + `NAV`
   + `OPEN_PRICE`
   + `OSP_PRICE`
   + `SETTLEMENT_CURRENCY`
   + `STRIKE_DATE_DETERMINATION`
   + `TWAP_PRICE`
   + `VALUATION_TIME`
   + `VWAP_PRICE`
}

class `org.isda.cdm@0.2.0.NotionalSchedule` {
<< concept>>
   + `String` `id`
   + `NonNegativeAmountSchedule` `notionalStepSchedule`
   + `NotionalStepRule` `notionalStepParameters`
}

`org.isda.cdm@0.2.0.NotionalSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.NonNegativeAmountSchedule`
`org.isda.cdm@0.2.0.NotionalSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.NotionalStepRule`
class `org.isda.cdm@0.2.0.NotionalScheduleBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.PeriodEnum` {
<< enumeration>>
   + `D`
   + `W`
   + `M`
   + `Y`
}

class `org.isda.cdm@0.2.0.InceptionBuilder`
<< concept>> `org.isda.cdm@0.2.0.InceptionBuilder`

class `org.isda.cdm@0.2.0.Inception` {
<< concept>>
   + `ContractOrContractReference[]` `before`
   + `ContractOrContractReference` `after`
}

`org.isda.cdm@0.2.0.Inception` "1" *-- "*" `org.isda.cdm@0.2.0.ContractOrContractReference`
`org.isda.cdm@0.2.0.Inception` "1" *-- "1" `org.isda.cdm@0.2.0.ContractOrContractReference`
class `org.isda.cdm@0.2.0.ExerciseFeeBuilder` {
<< concept>>
   + `String` `notionalReference`
   + `Double` `feeAmount`
   + `Double` `feeRate`
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
   + `String` `buyerAccountReference`
   + `String` `sellerAccountReference`
}

class `org.isda.cdm@0.2.0.ExerciseFee` {
<< concept>>
   + `String` `notionalReference`
   + `RelativeDateOffset` `feePaymentDate`
   + `Double` `feeAmount`
   + `Double` `feeRate`
   + `String` `sellerPartyReference`
   + `String` `buyerPartyReference`
   + `String` `buyerAccountReference`
   + `String` `sellerAccountReference`
}

`org.isda.cdm@0.2.0.ExerciseFee` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
class `org.isda.cdm@0.2.0.BusinessDayConventionEnum` {
<< enumeration>>
   + `FOLLOWING`
   + `FRN`
   + `MODFOLLOWING`
   + `PRECEDING`
   + `MODPRECEDING`
   + `NEAREST`
   + `NONE`
   + `NOT_APPLICABLE`
}

class `org.isda.cdm@0.2.0.CancelableProvisionAdjustedDatesBuilder`
<< concept>> `org.isda.cdm@0.2.0.CancelableProvisionAdjustedDatesBuilder`

class `org.isda.cdm@0.2.0.CancelableProvisionAdjustedDates` {
<< concept>>
   + `CancellationEvent[]` `cancellationEvent`
}

`org.isda.cdm@0.2.0.CancelableProvisionAdjustedDates` "1" *-- "*" `org.isda.cdm@0.2.0.CancellationEvent`
class `org.isda.cdm@0.2.0.PremiumTypeEnum` {
<< enumeration>>
   + `PRE_PAID`
   + `POST_PAID`
   + `VARIABLE`
   + `FIXED`
}

class `org.isda.cdm@0.2.0.Quantity` {
<< concept>>
   + `UnitEnum` `unit`
   + `Double` `amount`
}

`org.isda.cdm@0.2.0.Quantity` "1" *-- "1" `org.isda.cdm@0.2.0.UnitEnum`
class `org.isda.cdm@0.2.0.QuantityBuilder` {
<< concept>>
   + `UnitEnum` `unit`
   + `Double` `amount`
}

`org.isda.cdm@0.2.0.QuantityBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.UnitEnum`
class `org.isda.cdm@0.2.0.FinalCalculationPeriodDateAdjustment` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `String` `relevantUnderlyingDateReference`
   + `String` `swapStreamReference`
}

`org.isda.cdm@0.2.0.FinalCalculationPeriodDateAdjustment` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
class `org.isda.cdm@0.2.0.FinalCalculationPeriodDateAdjustmentBuilder` {
<< concept>>
   + `BusinessDayConventionEnum` `businessDayConvention`
   + `String` `relevantUnderlyingDateReference`
   + `String` `swapStreamReference`
}

`org.isda.cdm@0.2.0.FinalCalculationPeriodDateAdjustmentBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayConventionEnum`
class `org.isda.cdm@0.2.0.CalculationAmount` {
<< concept>>
   + `Step[]` `step`
   + `String` `id`
   + `String` `currency`
   + `String` `currencyScheme`
   + `Double` `amount`
}

`org.isda.cdm@0.2.0.CalculationAmount` "1" *-- "*" `org.isda.cdm@0.2.0.Step`
class `org.isda.cdm@0.2.0.CalculationAmountBuilder` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `String` `currencyScheme`
   + `Double` `amount`
}

class `org.isda.cdm@0.2.0.TriggerTimeTypeEnum` {
<< enumeration>>
   + `CLOSING`
   + `ANYTIME`
}

class `org.isda.cdm@0.2.0.EarlyTerminationProvision` {
<< concept>>
   + `String` `id`
   + `Period` `mandatoryEarlyTerminationDateTenor`
   + `ExercisePeriod` `optionalEarlyTerminationParameters`
   + `MandatoryEarlyTermination` `mandatoryEarlyTermination`
   + `OptionalEarlyTermination` `optionalEarlyTermination`
}

`org.isda.cdm@0.2.0.EarlyTerminationProvision` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.EarlyTerminationProvision` "1" *-- "1" `org.isda.cdm@0.2.0.ExercisePeriod`
`org.isda.cdm@0.2.0.EarlyTerminationProvision` "1" *-- "1" `org.isda.cdm@0.2.0.MandatoryEarlyTermination`
`org.isda.cdm@0.2.0.EarlyTerminationProvision` "1" *-- "1" `org.isda.cdm@0.2.0.OptionalEarlyTermination`
class `org.isda.cdm@0.2.0.EarlyTerminationProvisionBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.PremiumExpression` {
<< concept>>
   + `PremiumTypeEnum` `premiumType`
   + `Money` `pricePerOption`
   + `Double` `percentageOfNotional`
}

`org.isda.cdm@0.2.0.PremiumExpression` "1" *-- "1" `org.isda.cdm@0.2.0.PremiumTypeEnum`
`org.isda.cdm@0.2.0.PremiumExpression` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.PremiumExpressionBuilder` {
<< concept>>
   + `PremiumTypeEnum` `premiumType`
   + `Double` `percentageOfNotional`
}

`org.isda.cdm@0.2.0.PremiumExpressionBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PremiumTypeEnum`
class `org.isda.cdm@0.2.0.FxFeatureBuilder` {
<< concept>>
   + `String` `referenceCurrency`
   + `String` `referenceCurrencyScheme`
}

class `org.isda.cdm@0.2.0.FxFeature` {
<< concept>>
   + `String` `referenceCurrency`
   + `Composite` `composite`
   + `Quanto` `quanto`
   + `Composite` `crossCurrency`
   + `String` `referenceCurrencyScheme`
}

`org.isda.cdm@0.2.0.FxFeature` "1" *-- "1" `org.isda.cdm@0.2.0.Composite`
`org.isda.cdm@0.2.0.FxFeature` "1" *-- "1" `org.isda.cdm@0.2.0.Quanto`
`org.isda.cdm@0.2.0.FxFeature` "1" *-- "1" `org.isda.cdm@0.2.0.Composite`
class `org.isda.cdm@0.2.0.WeeklyRollConventionEnum` {
<< enumeration>>
   + `TBILL`
   + `MON`
   + `TUE`
   + `WED`
   + `THU`
   + `FRI`
   + `SAT`
   + `SUN`
}

class `org.isda.cdm@0.2.0.Rosetta`
<< concept>> `org.isda.cdm@0.2.0.Rosetta`

class `org.isda.cdm@0.2.0.IdentifiedAssetBuilder` {
<< concept>>
   + `String` `id`
   + `String` `instrumentIdentifierScheme`
   + `String` `description`
   + `String[]` `instrumentIdentifier`
}

class `org.isda.cdm@0.2.0.IdentifiedAsset` {
<< concept>>
   + `String` `id`
   + `String` `instrumentIdentifierScheme`
   + `String` `description`
   + `String[]` `instrumentIdentifier`
}

class `org.isda.cdm@0.2.0.CrossCurrencyMethodBuilder` {
<< concept>>
   + `String` `cashSettlementCurrencyScheme`
   + `String[]` `cashSettlementCurrency`
   + `QuotationRateTypeEnum` `quotationRateType`
}

`org.isda.cdm@0.2.0.CrossCurrencyMethodBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationRateTypeEnum`
class `org.isda.cdm@0.2.0.CrossCurrencyMethod` {
<< concept>>
   + `String` `cashSettlementCurrencyScheme`
   + `CashSettlementReferenceBanks[]` `cashSettlementReferenceBanks`
   + `String[]` `cashSettlementCurrency`
   + `QuotationRateTypeEnum` `quotationRateType`
}

`org.isda.cdm@0.2.0.CrossCurrencyMethod` "1" *-- "*" `org.isda.cdm@0.2.0.CashSettlementReferenceBanks`
`org.isda.cdm@0.2.0.CrossCurrencyMethod` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationRateTypeEnum`
class `org.isda.cdm@0.2.0.ContractReferenceBuilder` {
<< concept>>
   + `StateEnum` `state`
   + `String` `accountReference`
   + `String` `partyReference`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

`org.isda.cdm@0.2.0.ContractReferenceBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.StateEnum`
class `org.isda.cdm@0.2.0.ContractReference` {
<< concept>>
   + `StateEnum` `state`
   + `String` `rosettaKey`
   + `String` `accountReference`
   + `String` `partyReference`
   + `IdentifierValue` `identifierValue`
   + `String` `issuer`
   + `String` `issuerScheme`
   + `Integer` `version`
}

`org.isda.cdm@0.2.0.ContractReference` "1" *-- "1" `org.isda.cdm@0.2.0.StateEnum`
`org.isda.cdm@0.2.0.ContractReference` "1" *-- "1" `org.isda.cdm@0.2.0.IdentifierValue`
class `org.isda.cdm@0.2.0.RestructuringEnum` {
<< enumeration>>
   + `MOD_MOD_R`
   + `MOD_R`
   + `R`
}

class `org.isda.cdm@0.2.0.OptionFeatureBuilder`
<< concept>> `org.isda.cdm@0.2.0.OptionFeatureBuilder`

class `org.isda.cdm@0.2.0.OptionFeature` {
<< concept>>
   + `FxFeature` `fxFeature`
   + `StrategyFeature` `strategyFeature`
   + `Asian` `asian`
   + `Barrier` `barrier`
   + `Knock` `knock`
   + `PassThrough` `passThrough`
}

`org.isda.cdm@0.2.0.OptionFeature` "1" *-- "1" `org.isda.cdm@0.2.0.FxFeature`
`org.isda.cdm@0.2.0.OptionFeature` "1" *-- "1" `org.isda.cdm@0.2.0.StrategyFeature`
`org.isda.cdm@0.2.0.OptionFeature` "1" *-- "1" `org.isda.cdm@0.2.0.Asian`
`org.isda.cdm@0.2.0.OptionFeature` "1" *-- "1" `org.isda.cdm@0.2.0.Barrier`
`org.isda.cdm@0.2.0.OptionFeature` "1" *-- "1" `org.isda.cdm@0.2.0.Knock`
`org.isda.cdm@0.2.0.OptionFeature` "1" *-- "1" `org.isda.cdm@0.2.0.PassThrough`
class `org.isda.cdm@0.2.0.LegalEntityBuilder` {
<< concept>>
   + `String` `name`
   + `String` `id`
   + `String` `entityId`
   + `String` `entityIdScheme`
   + `String` `nameScheme`
}

class `org.isda.cdm@0.2.0.LegalEntity` {
<< concept>>
   + `String` `name`
   + `String` `id`
   + `String` `entityId`
   + `String` `entityIdScheme`
   + `String` `nameScheme`
}

class `org.isda.cdm@0.2.0.StateEnum` {
<< enumeration>>
   + `ALLOCATED`
   + `EXERCISED`
   + `NOVATED`
   + `TERMINATED`
}

class `org.isda.cdm@0.2.0.MasterConfirmation` {
<< concept>>
   + `MasterConfirmationTypeEnum` `masterConfirmationType`
   + `DateTime` `masterConfirmationDate`
   + `DateTime` `masterConfirmationAnnexDate`
   + `MasterConfirmationAnnexTypeEnum` `masterConfirmationAnnexType`
   + `String` `masterConfirmationAnnexTypeScheme`
   + `String` `masterConfirmationTypeScheme`
}

`org.isda.cdm@0.2.0.MasterConfirmation` "1" *-- "1" `org.isda.cdm@0.2.0.MasterConfirmationTypeEnum`
`org.isda.cdm@0.2.0.MasterConfirmation` "1" *-- "1" `org.isda.cdm@0.2.0.MasterConfirmationAnnexTypeEnum`
class `org.isda.cdm@0.2.0.MasterConfirmationBuilder` {
<< concept>>
   + `MasterConfirmationTypeEnum` `masterConfirmationType`
   + `DateTime` `masterConfirmationDate`
   + `DateTime` `masterConfirmationAnnexDate`
   + `MasterConfirmationAnnexTypeEnum` `masterConfirmationAnnexType`
   + `String` `masterConfirmationAnnexTypeScheme`
   + `String` `masterConfirmationTypeScheme`
}

`org.isda.cdm@0.2.0.MasterConfirmationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.MasterConfirmationTypeEnum`
`org.isda.cdm@0.2.0.MasterConfirmationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.MasterConfirmationAnnexTypeEnum`
class `org.isda.cdm@0.2.0.Commodity`
<< concept>> `org.isda.cdm@0.2.0.Commodity`

class `org.isda.cdm@0.2.0.CommodityBuilder`
<< concept>> `org.isda.cdm@0.2.0.CommodityBuilder`

class `org.isda.cdm@0.2.0.BusinessCenterTime` {
<< concept>>
   + `String` `businessCenterScheme`
   + `BusinessCenterEnum` `businessCenter`
   + `DateTime` `hourMinuteTime`
}

`org.isda.cdm@0.2.0.BusinessCenterTime` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
class `org.isda.cdm@0.2.0.BusinessCenterTimeBuilder` {
<< concept>>
   + `String` `businessCenterScheme`
   + `BusinessCenterEnum` `businessCenter`
   + `DateTime` `hourMinuteTime`
}

`org.isda.cdm@0.2.0.BusinessCenterTimeBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterEnum`
class `org.isda.cdm@0.2.0.NegativeInterestRateTreatmentEnum` {
<< enumeration>>
   + `NEGATIVE_INTEREST_RATE_METHOD`
   + `ZERO_INTEREST_RATE_METHOD`
}

class `org.isda.cdm@0.2.0.GracePeriodExtensionBuilder` {
<< concept>>
   + `Boolean` `applicable`
}

class `org.isda.cdm@0.2.0.GracePeriodExtension` {
<< concept>>
   + `Boolean` `applicable`
   + `Offset` `gracePeriod`
}

`org.isda.cdm@0.2.0.GracePeriodExtension` "1" *-- "1" `org.isda.cdm@0.2.0.Offset`
class `org.isda.cdm@0.2.0.PrincipalExchangesBuilder` {
<< concept>>
   + `String` `id`
   + `Boolean` `initialExchange`
   + `Boolean` `finalExchange`
   + `Boolean` `intermediateExchange`
}

class `org.isda.cdm@0.2.0.PrincipalExchanges` {
<< concept>>
   + `String` `id`
   + `Boolean` `initialExchange`
   + `Boolean` `finalExchange`
   + `Boolean` `intermediateExchange`
}

class `org.isda.cdm@0.2.0.RateTreatmentEnum` {
<< enumeration>>
   + `BOND_EQUIVALENT_YIELD`
   + `MONEY_MARKET_YIELD`
}

class `org.isda.cdm@0.2.0.Bond` {
<< concept>>
   + `Period` `paymentFrequency`
   + `String` `dayCountFractionScheme`
   + `Double` `parValue`
   + `Double` `issuanceFaceAmount`
   + `DayCountFractionEnum` `dayCountFraction`
   + `String` `couponTypeScheme`
   + `String` `seniorityScheme`
   + `String` `issuerName`
   + `String` `issuerReference`
   + `CreditSeniorityEnum` `seniority`
   + `CouponTypeEnum` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `DateTime` `issueDate`
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `ProductIdentifier[]` `productIdentifier`
   + `ProductTaxonomy[]` `productTaxonomy`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.Bond` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.Bond` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.Bond` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSeniorityEnum`
`org.isda.cdm@0.2.0.Bond` "1" *-- "1" `org.isda.cdm@0.2.0.CouponTypeEnum`
`org.isda.cdm@0.2.0.Bond` "1" *-- "*" `org.isda.cdm@0.2.0.ProductIdentifier`
`org.isda.cdm@0.2.0.Bond` "1" *-- "*" `org.isda.cdm@0.2.0.ProductTaxonomy`
class `org.isda.cdm@0.2.0.BondBuilder` {
<< concept>>
   + `String` `dayCountFractionScheme`
   + `Double` `parValue`
   + `Double` `issuanceFaceAmount`
   + `DayCountFractionEnum` `dayCountFraction`
   + `String` `couponTypeScheme`
   + `String` `seniorityScheme`
   + `String` `issuerName`
   + `String` `issuerReference`
   + `CreditSeniorityEnum` `seniority`
   + `CouponTypeEnum` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `DateTime` `issueDate`
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.BondBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DayCountFractionEnum`
`org.isda.cdm@0.2.0.BondBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSeniorityEnum`
`org.isda.cdm@0.2.0.BondBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CouponTypeEnum`
class `org.isda.cdm@0.2.0.MatrixTermEnum` {
<< enumeration>>
   + `IVS_1_OPEN_MARKETS`
}

class `org.isda.cdm@0.2.0.AveragingInOutEnum` {
<< enumeration>>
   + `IN`
   + `OUT`
   + `BOTH`
}

class `org.isda.cdm@0.2.0.PrincipalExchange` {
<< concept>>
   + `String` `id`
   + `Double` `discountFactor`
   + `DateTime` `unadjustedPrincipalExchangeDate`
   + `DateTime` `adjustedPrincipalExchangeDate`
   + `Double` `principalExchangeAmount`
   + `Money` `presentValuePrincipalExchangeAmount`
}

`org.isda.cdm@0.2.0.PrincipalExchange` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
class `org.isda.cdm@0.2.0.PrincipalExchangeBuilder` {
<< concept>>
   + `String` `id`
   + `Double` `discountFactor`
   + `DateTime` `unadjustedPrincipalExchangeDate`
   + `DateTime` `adjustedPrincipalExchangeDate`
   + `Double` `principalExchangeAmount`
}

class `org.isda.cdm@0.2.0.ReferencePair` {
<< concept>>
   + `ReferenceObligation` `referenceObligation`
   + `LegalEntity` `referenceEntity`
   + `Boolean` `noReferenceObligation`
   + `EntityTypeEnum` `entityType`
   + `String` `entityTypeScheme`
}

`org.isda.cdm@0.2.0.ReferencePair` "1" *-- "1" `org.isda.cdm@0.2.0.ReferenceObligation`
`org.isda.cdm@0.2.0.ReferencePair` "1" *-- "1" `org.isda.cdm@0.2.0.LegalEntity`
`org.isda.cdm@0.2.0.ReferencePair` "1" *-- "1" `org.isda.cdm@0.2.0.EntityTypeEnum`
class `org.isda.cdm@0.2.0.ReferencePairBuilder` {
<< concept>>
   + `Boolean` `noReferenceObligation`
   + `EntityTypeEnum` `entityType`
   + `String` `entityTypeScheme`
}

`org.isda.cdm@0.2.0.ReferencePairBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.EntityTypeEnum`
class `org.isda.cdm@0.2.0.SettlementRateOptionEnum` {
<< enumeration>>
   + `ARS_BNAR_ARS01`
   + `ARS_EMTA_INDICATIVE_SURVEY_RATE_ARS04`
   + `BRL_PTAX_BRL09`
   + `CNY_SAEC_CNY01`
   + `KRW_KFTC18_KRW02`
   + `INR_RBIB_INR01`
}

class `org.isda.cdm@0.2.0.TermsChangePrimitive` {
<< concept>>
   + `ContractOrContractReference` `before`
   + `ContractOrContractReference` `after`
}

`org.isda.cdm@0.2.0.TermsChangePrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.ContractOrContractReference`
`org.isda.cdm@0.2.0.TermsChangePrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.ContractOrContractReference`
class `org.isda.cdm@0.2.0.TermsChangePrimitiveBuilder`
<< concept>> `org.isda.cdm@0.2.0.TermsChangePrimitiveBuilder`

class `org.isda.cdm@0.2.0.Rounding` {
<< concept>>
   + `RoundingDirectionEnum` `roundingDirection`
   + `Integer` `precision`
}

`org.isda.cdm@0.2.0.Rounding` "1" *-- "1" `org.isda.cdm@0.2.0.RoundingDirectionEnum`
class `org.isda.cdm@0.2.0.RoundingBuilder` {
<< concept>>
   + `RoundingDirectionEnum` `roundingDirection`
   + `Integer` `precision`
}

`org.isda.cdm@0.2.0.RoundingBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.RoundingDirectionEnum`
class `org.isda.cdm@0.2.0.ProductIdentificationBuilder` {
<< concept>>
   + `String` `productQualifier`
   + `AssetClassEnum` `primaryAssetClass`
   + `AssetClassEnum[]` `secondaryAssetClass`
   + `String[]` `productType`
   + `String[]` `productId`
   + `String` `productIdScheme`
   + `String` `primaryAssetClassScheme`
   + `String` `productTypeScheme`
   + `String` `secondaryAssetClassScheme`
}

`org.isda.cdm@0.2.0.ProductIdentificationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.AssetClassEnum`
`org.isda.cdm@0.2.0.ProductIdentificationBuilder` "1" *-- "*" `org.isda.cdm@0.2.0.AssetClassEnum`
class `org.isda.cdm@0.2.0.ProductIdentification` {
<< concept>>
   + `String` `productQualifier`
   + `AssetClassEnum` `primaryAssetClass`
   + `AssetClassEnum[]` `secondaryAssetClass`
   + `String[]` `productType`
   + `String[]` `productId`
   + `String` `productIdScheme`
   + `String` `primaryAssetClassScheme`
   + `String` `productTypeScheme`
   + `String` `secondaryAssetClassScheme`
}

`org.isda.cdm@0.2.0.ProductIdentification` "1" *-- "1" `org.isda.cdm@0.2.0.AssetClassEnum`
`org.isda.cdm@0.2.0.ProductIdentification` "1" *-- "*" `org.isda.cdm@0.2.0.AssetClassEnum`
class `org.isda.cdm@0.2.0.AveragingSchedule` {
<< concept>>
   + `DateTime` `endDate`
   + `DateTime` `startDate`
   + `CalculationPeriodFrequency` `averagingPeriodFrequency`
}

`org.isda.cdm@0.2.0.AveragingSchedule` "1" *-- "1" `org.isda.cdm@0.2.0.CalculationPeriodFrequency`
class `org.isda.cdm@0.2.0.AveragingScheduleBuilder` {
<< concept>>
   + `DateTime` `endDate`
   + `DateTime` `startDate`
}

class `org.isda.cdm@0.2.0.DateTimeListBuilder` {
<< concept>>
   + `DateTime[]` `dateTime`
}

class `org.isda.cdm@0.2.0.DateTimeList` {
<< concept>>
   + `DateTime[]` `dateTime`
}

class `org.isda.cdm@0.2.0.MakeWholeAmountBuilder` {
<< concept>>
   + `InterpolationMethodEnum` `interpolationMethod`
   + `DateTime` `earlyCallDate`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Double` `spread`
   + `QuotationSideEnum` `side`
}

`org.isda.cdm@0.2.0.MakeWholeAmountBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.InterpolationMethodEnum`
`org.isda.cdm@0.2.0.MakeWholeAmountBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.MakeWholeAmountBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationSideEnum`
class `org.isda.cdm@0.2.0.MakeWholeAmount` {
<< concept>>
   + `InterpolationMethodEnum` `interpolationMethod`
   + `DateTime` `earlyCallDate`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Period` `indexTenor`
   + `Double` `spread`
   + `QuotationSideEnum` `side`
}

`org.isda.cdm@0.2.0.MakeWholeAmount` "1" *-- "1" `org.isda.cdm@0.2.0.InterpolationMethodEnum`
`org.isda.cdm@0.2.0.MakeWholeAmount` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.MakeWholeAmount` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.MakeWholeAmount` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationSideEnum`
class `org.isda.cdm@0.2.0.BondReferenceBuilder` {
<< concept>>
   + `Boolean` `conditionPrecedentBond`
   + `Boolean` `discrepancyClause`
}

class `org.isda.cdm@0.2.0.BondReference` {
<< concept>>
   + `Bond` `bond`
   + `Boolean` `conditionPrecedentBond`
   + `Boolean` `discrepancyClause`
}

`org.isda.cdm@0.2.0.BondReference` "1" *-- "1" `org.isda.cdm@0.2.0.Bond`
class `org.isda.cdm@0.2.0.ValuationPostponement` {
<< concept>>
   + `Integer` `maximumDaysOfPostponement`
}

class `org.isda.cdm@0.2.0.ValuationPostponementBuilder` {
<< concept>>
   + `Integer` `maximumDaysOfPostponement`
}

class `org.isda.cdm@0.2.0.SettlementProvision` {
<< concept>>
   + `String` `settlementCurrency`
   + `NonDeliverableSettlement` `nonDeliverableSettlement`
   + `String` `settlementCurrencyScheme`
}

`org.isda.cdm@0.2.0.SettlementProvision` "1" *-- "1" `org.isda.cdm@0.2.0.NonDeliverableSettlement`
class `org.isda.cdm@0.2.0.SettlementProvisionBuilder` {
<< concept>>
   + `String` `settlementCurrency`
   + `String` `settlementCurrencyScheme`
}

class `org.isda.cdm@0.2.0.CashflowBaseBuilder` {
<< concept>>
   + `String` `id`
   + `Double` `discountFactor`
}

class `org.isda.cdm@0.2.0.CashflowBase` {
<< concept>>
   + `String` `id`
   + `Double` `discountFactor`
   + `Money` `presentValueAmount`
   + `PremiumExpression` `premiumExpression`
   + `PaymentDiscounting` `paymentDiscounting`
   + `PayerReceiver` `payerReceiver`
}

`org.isda.cdm@0.2.0.CashflowBase` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.CashflowBase` "1" *-- "1" `org.isda.cdm@0.2.0.PremiumExpression`
`org.isda.cdm@0.2.0.CashflowBase` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentDiscounting`
`org.isda.cdm@0.2.0.CashflowBase` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiver`
class `org.isda.cdm@0.2.0.Resource` {
<< concept>>
   + `ResourceLength` `length`
   + `String` `name`
   + `String` `language`
   + `String` `resourceId`
   + `ResourceTypeEnum` `resourceType`
   + `Double` `sizeInBytes`
   + `String` `mimeType`
   + `String` `comments`
   + `String` `url`
   + `String` `string`
   + `String` `languageScheme`
   + `String` `mimeTypeScheme`
   + `String` `resourceIdScheme`
   + `String` `resourceTypeScheme`
}

`org.isda.cdm@0.2.0.Resource` "1" *-- "1" `org.isda.cdm@0.2.0.ResourceLength`
`org.isda.cdm@0.2.0.Resource` "1" *-- "1" `org.isda.cdm@0.2.0.ResourceTypeEnum`
class `org.isda.cdm@0.2.0.ResourceBuilder` {
<< concept>>
   + `String` `name`
   + `String` `language`
   + `String` `resourceId`
   + `ResourceTypeEnum` `resourceType`
   + `Double` `sizeInBytes`
   + `String` `mimeType`
   + `String` `comments`
   + `String` `url`
   + `String` `string`
   + `String` `languageScheme`
   + `String` `mimeTypeScheme`
   + `String` `resourceIdScheme`
   + `String` `resourceTypeScheme`
}

`org.isda.cdm@0.2.0.ResourceBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.ResourceTypeEnum`
class `org.isda.cdm@0.2.0.ReferenceObligationBuilder` {
<< concept>>
   + `String` `primaryObligorReference`
   + `String` `guarantorReference`
   + `Boolean` `standardReferenceObligation`
}

class `org.isda.cdm@0.2.0.ReferenceObligation` {
<< concept>>
   + `Mortgage` `mortgage`
   + `Bond` `bond`
   + `ConvertibleBond` `convertibleBond`
   + `Loan` `loan`
   + `LegalEntity` `primaryObligor`
   + `String` `primaryObligorReference`
   + `LegalEntity` `guarantor`
   + `String` `guarantorReference`
   + `Boolean` `standardReferenceObligation`
}

`org.isda.cdm@0.2.0.ReferenceObligation` "1" *-- "1" `org.isda.cdm@0.2.0.Mortgage`
`org.isda.cdm@0.2.0.ReferenceObligation` "1" *-- "1" `org.isda.cdm@0.2.0.Bond`
`org.isda.cdm@0.2.0.ReferenceObligation` "1" *-- "1" `org.isda.cdm@0.2.0.ConvertibleBond`
`org.isda.cdm@0.2.0.ReferenceObligation` "1" *-- "1" `org.isda.cdm@0.2.0.Loan`
`org.isda.cdm@0.2.0.ReferenceObligation` "1" *-- "1" `org.isda.cdm@0.2.0.LegalEntity`
`org.isda.cdm@0.2.0.ReferenceObligation` "1" *-- "1" `org.isda.cdm@0.2.0.LegalEntity`
class `org.isda.cdm@0.2.0.ValuationMethodEnum` {
<< enumeration>>
   + `MARKET`
   + `HIGHEST`
   + `AVERAGE_MARKET`
   + `AVERAGE_HIGHEST`
   + `BLENDED_MARKET`
   + `BLENDED_HIGHEST`
   + `AVERAGE_BLENDED_MARKET`
   + `AVERAGE_BLENDED_HIGHEST`
}

class `org.isda.cdm@0.2.0.ExecutionBuilder`
<< concept>> `org.isda.cdm@0.2.0.ExecutionBuilder`

class `org.isda.cdm@0.2.0.Execution` {
<< concept>>
   + `TradeHeader` `tradeHeader`
   + `ContractualProduct` `contractualProduct`
   + `Party[]` `party`
}

`org.isda.cdm@0.2.0.Execution` "1" *-- "1" `org.isda.cdm@0.2.0.TradeHeader`
`org.isda.cdm@0.2.0.Execution` "1" *-- "1" `org.isda.cdm@0.2.0.ContractualProduct`
`org.isda.cdm@0.2.0.Execution` "1" *-- "*" `org.isda.cdm@0.2.0.Party`
class `org.isda.cdm@0.2.0.InformationSource` {
<< concept>>
   + `InformationProviderEnum` `sourceProvider`
   + `String` `sourcePage`
   + `String` `sourcePageHeading`
   + `String` `sourcePageScheme`
   + `String` `sourceProviderScheme`
}

`org.isda.cdm@0.2.0.InformationSource` "1" *-- "1" `org.isda.cdm@0.2.0.InformationProviderEnum`
class `org.isda.cdm@0.2.0.InformationSourceBuilder` {
<< concept>>
   + `InformationProviderEnum` `sourceProvider`
   + `String` `sourcePage`
   + `String` `sourcePageHeading`
   + `String` `sourcePageScheme`
   + `String` `sourceProviderScheme`
}

`org.isda.cdm@0.2.0.InformationSourceBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.InformationProviderEnum`
class `org.isda.cdm@0.2.0.MandatoryEarlyTerminationAdjustedDates` {
<< concept>>
   + `DateTime` `adjustedEarlyTerminationDate`
   + `DateTime` `adjustedCashSettlementValuationDate`
   + `DateTime` `adjustedCashSettlementPaymentDate`
}

class `org.isda.cdm@0.2.0.MandatoryEarlyTerminationAdjustedDatesBuilder` {
<< concept>>
   + `DateTime` `adjustedEarlyTerminationDate`
   + `DateTime` `adjustedCashSettlementValuationDate`
   + `DateTime` `adjustedCashSettlementPaymentDate`
}

class `org.isda.cdm@0.2.0.InitialFixingDateBuilder` {
<< concept>>
   + `DateTime` `initialFixingDate`
}

class `org.isda.cdm@0.2.0.Period` {
<< concept>>
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.Period` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.InitialFixingDate` {
<< concept>>
   + `DateTime` `initialFixingDate`
   + `RelativeDateOffset` `relativeDateOffset`
}

`org.isda.cdm@0.2.0.InitialFixingDate` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
class `org.isda.cdm@0.2.0.OptionCashSettlement` {
<< concept>>
   + `String` `id`
   + `CashSettlementPaymentDate` `cashSettlementPaymentDate`
   + `BusinessCenterTime` `cashSettlementValuationTime`
   + `RelativeDateOffset` `cashSettlementValuationDate`
   + `CashPriceMethod` `cashPriceMethod`
   + `CashPriceMethod` `cashPriceAlternateMethod`
   + `YieldCurveMethod` `parYieldCurveAdjustedMethod`
   + `YieldCurveMethod` `zeroCouponYieldAdjustedMethod`
   + `YieldCurveMethod` `parYieldCurveUnadjustedMethod`
   + `CrossCurrencyMethod` `crossCurrencyMethod`
   + `YieldCurveMethod` `collateralizedCashPriceMethod`
}

`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.CashSettlementPaymentDate`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.CashPriceMethod`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.CashPriceMethod`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.YieldCurveMethod`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.YieldCurveMethod`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.YieldCurveMethod`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.CrossCurrencyMethod`
`org.isda.cdm@0.2.0.OptionCashSettlement` "1" *-- "1" `org.isda.cdm@0.2.0.YieldCurveMethod`
class `org.isda.cdm@0.2.0.OptionCashSettlementBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.NotionalStepRuleBuilder` {
<< concept>>
   + `Double` `notionalStepAmount`
   + `Double` `notionalStepRate`
   + `StepRelativeToEnum` `stepRelativeTo`
   + `DateTime` `firstNotionalStepDate`
   + `DateTime` `lastNotionalStepDate`
   + `String` `calculationPeriodDatesReference`
}

`org.isda.cdm@0.2.0.NotionalStepRuleBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.StepRelativeToEnum`
class `org.isda.cdm@0.2.0.NotionalStepRule` {
<< concept>>
   + `Double` `notionalStepAmount`
   + `Double` `notionalStepRate`
   + `StepRelativeToEnum` `stepRelativeTo`
   + `Frequency` `stepFrequency`
   + `DateTime` `firstNotionalStepDate`
   + `DateTime` `lastNotionalStepDate`
   + `String` `calculationPeriodDatesReference`
}

`org.isda.cdm@0.2.0.NotionalStepRule` "1" *-- "1" `org.isda.cdm@0.2.0.StepRelativeToEnum`
`org.isda.cdm@0.2.0.NotionalStepRule` "1" *-- "1" `org.isda.cdm@0.2.0.Frequency`
class `org.isda.cdm@0.2.0.InflationRateCalculation` {
<< concept>>
   + `Offset` `inflationLag`
   + `String` `indexSource`
   + `String` `mainPublication`
   + `InterpolationMethodEnum` `interpolationMethod`
   + `Double` `initialIndexLevel`
   + `Boolean` `fallbackBondApplicable`
   + `String` `indexSourceScheme`
   + `String` `interpolationMethodScheme`
   + `String` `mainPublicationScheme`
   + `Double` `initialRate`
   + `Rounding` `finalRateRounding`
   + `AveragingMethodEnum` `averagingMethod`
   + `NegativeInterestRateTreatmentEnum` `negativeInterestRateTreatment`
   + `String` `id`
   + `SpreadSchedule[]` `spreadSchedule`
   + `String` `floatingRateIndexScheme`
   + `Schedule` `floatingRateMultiplierSchedule`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Period` `indexTenor`
   + `RateTreatmentEnum` `rateTreatment`
   + `StrikeSchedule[]` `capRateSchedule`
   + `StrikeSchedule[]` `floorRateSchedule`
}

`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.Offset`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.InterpolationMethodEnum`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.Rounding`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingMethodEnum`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.NegativeInterestRateTreatmentEnum`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "*" `org.isda.cdm@0.2.0.SpreadSchedule`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.Schedule`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "1" `org.isda.cdm@0.2.0.RateTreatmentEnum`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "*" `org.isda.cdm@0.2.0.StrikeSchedule`
`org.isda.cdm@0.2.0.InflationRateCalculation` "1" *-- "*" `org.isda.cdm@0.2.0.StrikeSchedule`
class `org.isda.cdm@0.2.0.InflationRateCalculationBuilder` {
<< concept>>
   + `String` `indexSource`
   + `String` `mainPublication`
   + `InterpolationMethodEnum` `interpolationMethod`
   + `Double` `initialIndexLevel`
   + `Boolean` `fallbackBondApplicable`
   + `String` `indexSourceScheme`
   + `String` `interpolationMethodScheme`
   + `String` `mainPublicationScheme`
   + `Double` `initialRate`
   + `AveragingMethodEnum` `averagingMethod`
   + `NegativeInterestRateTreatmentEnum` `negativeInterestRateTreatment`
   + `String` `id`
   + `String` `floatingRateIndexScheme`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `RateTreatmentEnum` `rateTreatment`
}

`org.isda.cdm@0.2.0.InflationRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.InterpolationMethodEnum`
`org.isda.cdm@0.2.0.InflationRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.AveragingMethodEnum`
`org.isda.cdm@0.2.0.InflationRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.NegativeInterestRateTreatmentEnum`
`org.isda.cdm@0.2.0.InflationRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.InflationRateCalculationBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.RateTreatmentEnum`
class `org.isda.cdm@0.2.0.QuantityChangePrimitiveBuilder`
<< concept>> `org.isda.cdm@0.2.0.QuantityChangePrimitiveBuilder`

class `org.isda.cdm@0.2.0.QuantityChangePrimitive` {
<< concept>>
   + `ContractOrContractReference` `before`
   + `ContractualQuantity[]` `change`
   + `ContractOrContractReference` `after`
}

`org.isda.cdm@0.2.0.QuantityChangePrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.ContractOrContractReference`
`org.isda.cdm@0.2.0.QuantityChangePrimitive` "1" *-- "*" `org.isda.cdm@0.2.0.ContractualQuantity`
`org.isda.cdm@0.2.0.QuantityChangePrimitive` "1" *-- "1" `org.isda.cdm@0.2.0.ContractOrContractReference`
class `org.isda.cdm@0.2.0.Documentation` {
<< concept>>
   + `ContractualDefinitionsEnum[]` `contractualDefinitions`
   + `ContractualTermsSupplement[]` `contractualTermsSupplement`
   + `MasterAgreement` `masterAgreement`
   + `BrokerConfirmation` `brokerConfirmation`
   + `CreditSupportAgreement` `creditSupportAgreement`
   + `OtherAgreement[]` `otherAgreement`
   + `Resource[]` `attachment`
   + `MasterConfirmation` `masterConfirmation`
   + `ContractualMatrix[]` `contractualMatrix`
   + `String` `contractualDefinitionsScheme`
}

`org.isda.cdm@0.2.0.Documentation` "1" *-- "*" `org.isda.cdm@0.2.0.ContractualDefinitionsEnum`
`org.isda.cdm@0.2.0.Documentation` "1" *-- "*" `org.isda.cdm@0.2.0.ContractualTermsSupplement`
`org.isda.cdm@0.2.0.Documentation` "1" *-- "1" `org.isda.cdm@0.2.0.MasterAgreement`
`org.isda.cdm@0.2.0.Documentation` "1" *-- "1" `org.isda.cdm@0.2.0.BrokerConfirmation`
`org.isda.cdm@0.2.0.Documentation` "1" *-- "1" `org.isda.cdm@0.2.0.CreditSupportAgreement`
`org.isda.cdm@0.2.0.Documentation` "1" *-- "*" `org.isda.cdm@0.2.0.OtherAgreement`
`org.isda.cdm@0.2.0.Documentation` "1" *-- "*" `org.isda.cdm@0.2.0.Resource`
`org.isda.cdm@0.2.0.Documentation` "1" *-- "1" `org.isda.cdm@0.2.0.MasterConfirmation`
`org.isda.cdm@0.2.0.Documentation` "1" *-- "*" `org.isda.cdm@0.2.0.ContractualMatrix`
class `org.isda.cdm@0.2.0.DocumentationBuilder` {
<< concept>>
   + `ContractualDefinitionsEnum[]` `contractualDefinitions`
   + `String` `contractualDefinitionsScheme`
}

`org.isda.cdm@0.2.0.DocumentationBuilder` "1" *-- "*" `org.isda.cdm@0.2.0.ContractualDefinitionsEnum`
class `org.isda.cdm@0.2.0.CompoundingMethodEnum` {
<< enumeration>>
   + `FLAT`
   + `NONE`
   + `STRAIGHT`
   + `SPREAD_EXCLUSIVE`
}

class `org.isda.cdm@0.2.0.ExercisePeriod` {
<< concept>>
   + `String` `id`
   + `Period` `earliestExerciseDateTenor`
   + `Period` `exerciseFrequency`
}

`org.isda.cdm@0.2.0.ExercisePeriod` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.ExercisePeriod` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
class `org.isda.cdm@0.2.0.ExercisePeriodBuilder` {
<< concept>>
   + `String` `id`
}

class `org.isda.cdm@0.2.0.AdjustableDate` {
<< concept>>
   + `String` `id`
   + `DateTime` `unadjustedDate`
   + `String` `dateAdjustmentsReference`
   + `DateTime` `adjustedDate`
   + `BusinessDayAdjustments` `dateAdjustments`
}

`org.isda.cdm@0.2.0.AdjustableDate` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessDayAdjustments`
class `org.isda.cdm@0.2.0.AdjustableDateBuilder` {
<< concept>>
   + `String` `id`
   + `DateTime` `unadjustedDate`
   + `String` `dateAdjustmentsReference`
   + `DateTime` `adjustedDate`
}

class `org.isda.cdm@0.2.0.StubFloatingRate` {
<< concept>>
   + `String` `id`
   + `SpreadSchedule[]` `spreadSchedule`
   + `Schedule` `floatingRateMultiplierSchedule`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `Period` `indexTenor`
   + `RateTreatmentEnum` `rateTreatment`
   + `StrikeSchedule[]` `capRateSchedule`
   + `StrikeSchedule[]` `floorRateSchedule`
}

`org.isda.cdm@0.2.0.StubFloatingRate` "1" *-- "*" `org.isda.cdm@0.2.0.SpreadSchedule`
`org.isda.cdm@0.2.0.StubFloatingRate` "1" *-- "1" `org.isda.cdm@0.2.0.Schedule`
`org.isda.cdm@0.2.0.StubFloatingRate` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.StubFloatingRate` "1" *-- "1" `org.isda.cdm@0.2.0.Period`
`org.isda.cdm@0.2.0.StubFloatingRate` "1" *-- "1" `org.isda.cdm@0.2.0.RateTreatmentEnum`
`org.isda.cdm@0.2.0.StubFloatingRate` "1" *-- "*" `org.isda.cdm@0.2.0.StrikeSchedule`
`org.isda.cdm@0.2.0.StubFloatingRate` "1" *-- "*" `org.isda.cdm@0.2.0.StrikeSchedule`
class `org.isda.cdm@0.2.0.StubFloatingRateBuilder` {
<< concept>>
   + `String` `id`
   + `FloatingRateIndexEnum` `floatingRateIndex`
   + `RateTreatmentEnum` `rateTreatment`
}

`org.isda.cdm@0.2.0.StubFloatingRateBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.FloatingRateIndexEnum`
`org.isda.cdm@0.2.0.StubFloatingRateBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.RateTreatmentEnum`
class `org.isda.cdm@0.2.0.DayCountFractionEnum` {
<< enumeration>>
   + `_1_1`
   + `_30_360`
   + `_30E_360`
   + `_30E_360_ISDA`
   + `ACT_360`
   + `ACT_365_FIXED`
   + `ACT_365L`
   + `ACT_ACT_AFB`
   + `ACT_ACT_ICMA`
   + `ACT_ACT_ISDA`
   + `ACT_ACT_ISMA`
   + `BUS_252`
}

class `org.isda.cdm@0.2.0.PriorDateInstanceBuilder` {
<< concept>>
   + `DateTime` `date`
}

class `org.isda.cdm@0.2.0.PriorDateInstance` {
<< concept>>
   + `Identifier` `contractReference`
   + `DateTime` `date`
}

`org.isda.cdm@0.2.0.PriorDateInstance` "1" *-- "1" `org.isda.cdm@0.2.0.Identifier`
class `org.isda.cdm@0.2.0.DateRelativeToCalculationPeriodDates` {
<< concept>>
   + `String[]` `calculationPeriodDatesReference`
}

class `org.isda.cdm@0.2.0.DateRelativeToCalculationPeriodDatesBuilder` {
<< concept>>
   + `String[]` `calculationPeriodDatesReference`
}

class `org.isda.cdm@0.2.0.NaturalPersonRoleEnum` {
<< enumeration>>
   + `TRADER`
}

class `org.isda.cdm@0.2.0.CompositeBuilder` {
<< concept>>
   + `DeterminationMethodEnum` `determinationMethod`
}

`org.isda.cdm@0.2.0.CompositeBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.DeterminationMethodEnum`
class `org.isda.cdm@0.2.0.Composite` {
<< concept>>
   + `FxSpotRateSource` `fxSpotRateSource`
   + `DeterminationMethodEnum` `determinationMethod`
   + `RelativeDateOffset` `relativeDate`
}

`org.isda.cdm@0.2.0.Composite` "1" *-- "1" `org.isda.cdm@0.2.0.FxSpotRateSource`
`org.isda.cdm@0.2.0.Composite` "1" *-- "1" `org.isda.cdm@0.2.0.DeterminationMethodEnum`
`org.isda.cdm@0.2.0.Composite` "1" *-- "1" `org.isda.cdm@0.2.0.RelativeDateOffset`
class `org.isda.cdm@0.2.0.AveragingObservationListBuilder`
<< concept>> `org.isda.cdm@0.2.0.AveragingObservationListBuilder`

class `org.isda.cdm@0.2.0.AveragingObservationList` {
<< concept>>
   + `WeightedAveragingObservation[]` `averagingObservation`
}

`org.isda.cdm@0.2.0.AveragingObservationList` "1" *-- "*" `org.isda.cdm@0.2.0.WeightedAveragingObservation`
class `org.isda.cdm@0.2.0.TransferStatusEnum` {
<< enumeration>>
   + `DISPUTED`
   + `INSTRUCTED`
   + `PENDING`
   + `SETTLED`
}

class `org.isda.cdm@0.2.0.ListedHeader` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `ProductIdentifier[]` `productIdentifier`
   + `ProductTaxonomy[]` `productTaxonomy`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

`org.isda.cdm@0.2.0.ListedHeader` "1" *-- "*" `org.isda.cdm@0.2.0.ProductIdentifier`
`org.isda.cdm@0.2.0.ListedHeader` "1" *-- "*" `org.isda.cdm@0.2.0.ProductTaxonomy`
class `org.isda.cdm@0.2.0.ListedHeaderBuilder` {
<< concept>>
   + `String` `id`
   + `String` `currency`
   + `String` `clearanceSystemScheme`
   + `String` `productIdentifierScheme`
   + `String` `description`
   + `String` `clearanceSystem`
   + `String` `currencyScheme`
}

class `org.isda.cdm@0.2.0.OptionPhysicalSettlementBuilder` {
<< concept>>
   + `Boolean` `clearedPhysicalSettlement`
   + `String` `predeterminedClearingOrganizationPartyReference`
}

class `org.isda.cdm@0.2.0.OptionPhysicalSettlement` {
<< concept>>
   + `Boolean` `clearedPhysicalSettlement`
   + `String` `predeterminedClearingOrganizationPartyReference`
}

class `org.isda.cdm@0.2.0.PackageInformation` {
<< concept>>
   + `CategoryEnum[]` `category`
   + `RelatedParty[]` `relatedParty`
   + `Boolean` `intentToAllocate`
}

`org.isda.cdm@0.2.0.PackageInformation` "1" *-- "*" `org.isda.cdm@0.2.0.CategoryEnum`
`org.isda.cdm@0.2.0.PackageInformation` "1" *-- "*" `org.isda.cdm@0.2.0.RelatedParty`
class `org.isda.cdm@0.2.0.PackageInformationBuilder` {
<< concept>>
   + `CategoryEnum[]` `category`
   + `Boolean` `intentToAllocate`
}

`org.isda.cdm@0.2.0.PackageInformationBuilder` "1" *-- "*" `org.isda.cdm@0.2.0.CategoryEnum`
class `org.isda.cdm@0.2.0.Cashflow` {
<< concept>>
   + `AdjustableOrAdjustedOrRelativeDate` `cashflowDate`
   + `String` `rosettaKeyValue`
   + `String` `cashflowCalculation`
   + `CashflowTypeEnum` `cashflowType`
   + `Money` `cashflowAmount`
   + `String` `id`
   + `Double` `discountFactor`
   + `Money` `presentValueAmount`
   + `PremiumExpression` `premiumExpression`
   + `PaymentDiscounting` `paymentDiscounting`
   + `PayerReceiver` `payerReceiver`
}

`org.isda.cdm@0.2.0.Cashflow` "1" *-- "1" `org.isda.cdm@0.2.0.AdjustableOrAdjustedOrRelativeDate`
`org.isda.cdm@0.2.0.Cashflow` "1" *-- "1" `org.isda.cdm@0.2.0.CashflowTypeEnum`
`org.isda.cdm@0.2.0.Cashflow` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.Cashflow` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.Cashflow` "1" *-- "1" `org.isda.cdm@0.2.0.PremiumExpression`
`org.isda.cdm@0.2.0.Cashflow` "1" *-- "1" `org.isda.cdm@0.2.0.PaymentDiscounting`
`org.isda.cdm@0.2.0.Cashflow` "1" *-- "1" `org.isda.cdm@0.2.0.PayerReceiver`
class `org.isda.cdm@0.2.0.CashflowBuilder` {
<< concept>>
   + `String` `cashflowCalculation`
   + `CashflowTypeEnum` `cashflowType`
   + `String` `id`
   + `Double` `discountFactor`
}

`org.isda.cdm@0.2.0.CashflowBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.CashflowTypeEnum`
class `org.isda.cdm@0.2.0.CommodityReferencePriceEnum` {
<< enumeration>>
   + `ALUMINIUM_ALLOY_LME_15_MONTH`
}

class `org.isda.cdm@0.2.0.PeriodBuilder` {
<< concept>>
   + `String` `id`
   + `PeriodEnum` `period`
   + `Integer` `periodMultiplier`
}

`org.isda.cdm@0.2.0.PeriodBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.PeriodEnum`
class `org.isda.cdm@0.2.0.CashSettlementTerms` {
<< concept>>
   + `String` `id`
   + `Money` `quotationAmount`
   + `Money` `minimumQuotationAmout`
   + `Boolean` `accruedInterest`
   + `String` `settlementCurrency`
   + `Integer` `cashSettlementBusinessDays`
   + `ValuationDate` `valuationDate`
   + `BusinessCenterTime` `valuationTime`
   + `QuotationRateTypeEnum` `quotationMethod`
   + `String` `dealer`
   + `Money` `cashSettlementAmount`
   + `Boolean` `fixedSettlement`
   + `ValuationMethodEnum` `valuationMethod`
   + `Double` `recoveryFactor`
   + `String` `settlementCurrencyScheme`
}

`org.isda.cdm@0.2.0.CashSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.CashSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.CashSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.ValuationDate`
`org.isda.cdm@0.2.0.CashSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.BusinessCenterTime`
`org.isda.cdm@0.2.0.CashSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationRateTypeEnum`
`org.isda.cdm@0.2.0.CashSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.Money`
`org.isda.cdm@0.2.0.CashSettlementTerms` "1" *-- "1" `org.isda.cdm@0.2.0.ValuationMethodEnum`
class `org.isda.cdm@0.2.0.CashSettlementTermsBuilder` {
<< concept>>
   + `String` `id`
   + `Boolean` `accruedInterest`
   + `String` `settlementCurrency`
   + `Integer` `cashSettlementBusinessDays`
   + `QuotationRateTypeEnum` `quotationMethod`
   + `String` `dealer`
   + `Boolean` `fixedSettlement`
   + `ValuationMethodEnum` `valuationMethod`
   + `Double` `recoveryFactor`
   + `String` `settlementCurrencyScheme`
}

`org.isda.cdm@0.2.0.CashSettlementTermsBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.QuotationRateTypeEnum`
`org.isda.cdm@0.2.0.CashSettlementTermsBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.ValuationMethodEnum`
class `org.isda.cdm@0.2.0.RateObservationBuilder` {
<< concept>>
   + `String` `id`
   + `Integer` `observationWeight`
   + `DateTime` `resetDate`
   + `DateTime` `adjustedFixingDate`
   + `Double` `observedRate`
   + `Double` `treatedRate`
   + `String` `rateReference`
   + `Double` `forecastRate`
   + `Double` `treatedForecastRate`
}

class `org.isda.cdm@0.2.0.RateObservation` {
<< concept>>
   + `String` `id`
   + `Integer` `observationWeight`
   + `DateTime` `resetDate`
   + `DateTime` `adjustedFixingDate`
   + `Double` `observedRate`
   + `Double` `treatedRate`
   + `String` `rateReference`
   + `Double` `forecastRate`
   + `Double` `treatedForecastRate`
}

class `org.isda.cdm@0.2.0.MasterAgreement` {
<< concept>>
   + `String` `masterAgreementId`
   + `MasterAgreementTypeEnum` `masterAgreementType`
   + `String` `masterAgreementVersion`
   + `DateTime` `masterAgreementDate`
   + `String` `masterAgreementIdScheme`
   + `String` `masterAgreementTypeScheme`
   + `String` `masterAgreementVersionScheme`
}

`org.isda.cdm@0.2.0.MasterAgreement` "1" *-- "1" `org.isda.cdm@0.2.0.MasterAgreementTypeEnum`
class `org.isda.cdm@0.2.0.MasterAgreementBuilder` {
<< concept>>
   + `String` `masterAgreementId`
   + `MasterAgreementTypeEnum` `masterAgreementType`
   + `String` `masterAgreementVersion`
   + `DateTime` `masterAgreementDate`
   + `String` `masterAgreementIdScheme`
   + `String` `masterAgreementTypeScheme`
   + `String` `masterAgreementVersionScheme`
}

`org.isda.cdm@0.2.0.MasterAgreementBuilder` "1" *-- "1" `org.isda.cdm@0.2.0.MasterAgreementTypeEnum`
class `org.isda.cdm@0.2.0.ScheduleBuilder` {
<< concept>>
   + `String` `id`
   + `Double` `initialValue`
}

class `org.isda.cdm@0.2.0.Schedule` {
<< concept>>
   + `String` `id`
   + `Double` `initialValue`
   + `Step[]` `step`
}

`org.isda.cdm@0.2.0.Schedule` "1" *-- "*" `org.isda.cdm@0.2.0.Step`
class `org.isda.cdm@0.2.0.OptionDenomination` {
<< concept>>
   + `Double` `optionEntitlement`
   + `Double` `numberOfOptions`
   + `String` `entitlementCurrency`
   + `String` `entitlementCurrencyScheme`
}

class `org.isda.cdm@0.2.0.OptionDenominationBuilder` {
<< concept>>
   + `Double` `optionEntitlement`
   + `Double` `numberOfOptions`
   + `String` `entitlementCurrency`
   + `String` `entitlementCurrencyScheme`
}

```

